﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace PGT.ConfigurationManager
{
  public partial class ConfigSet : Form
  {
    /// <summary>
    /// Opens a new Config Set Editor dialog.
    /// </summary>
    /// <param name="ConfigSetID">The ID of the Set to Edit. If empty or set to -1 dialog goes into insert mode</param>
    public ConfigSet(int ConfigSetID = -1)
    {
      InitializeComponent();
      if (ConfigSetID != -1)
      {
        this.configSetsTableAdapter.FillByConfigSetID(this.configDS.ConfigSets, ConfigSetID);
        cbxCreateSetFrom.Enabled = false;
        label1.Enabled = false;
        tbNote.Enabled = true;
      }
      else
      {
        ConfigDS.ConfigSetsRow newRow = this.configDS.ConfigSets.NewConfigSetsRow();
        newRow.ConfigSetName = "New Configuration Set";
        newRow.Note = "";
        this.configDS.ConfigSets.AddConfigSetsRow(newRow);
        ConfigDS.ConfigSetsDataTable csdt = this.configSetsTableAdapter.GetData();
        ConfigDS.ConfigSetsRow er = csdt.NewConfigSetsRow();
        er.ConfigSetName = "<empty configuration set>";
        csdt.Rows.InsertAt(er, 0);
        cbxCreateSetFrom.DataSource = csdt.ToList();
      }
    }
    private void btnOK_Click(object sender, EventArgs e)
    {
      if (cbxCreateSetFrom.SelectedIndex == 0)
      {
        configSetsBindingSource.EndEdit();
        configSetsTableAdapter.Update(configDS);
      }
      else
      {
        configSetsBindingSource.CancelEdit();
        qTA.CloneConfigSet(((ConfigDS.ConfigSetsRow)cbxCreateSetFrom.SelectedItem).ConfigSetID, tbConfigSetName.Text);
      }
    }
    private void cbxCreateSetFrom_Format(object sender, ListControlConvertEventArgs e)
    {
      e.Value = ((ConfigDS.ConfigSetsRow)e.ListItem).ConfigSetName;
    }

    private void cbxCreateSetFrom_DropDownClosed(object sender, EventArgs e)
    {
      tbNote.Enabled = cbxCreateSetFrom.SelectedIndex == 0;
      if (cbxCreateSetFrom.SelectedIndex > 0)
      {
        tbNote.Text = ((ConfigDS.ConfigSetsRow)cbxCreateSetFrom.SelectedItem).Note;
      }
    }
  }
}
