﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Xml.Linq;
using System.Reflection;
using System.Configuration;
using PGT.ConfigurationManager.Properties;

namespace PGT.ConfigurationManager
{
  public partial class SqlConnectionEditor : Form
  {
    private BackgroundWorker _animation;
    public SqlConnectionEditor(BackgroundWorker animation = null)
    {
      InitializeComponent();
      _animation = animation;
      cbxSQLServerName.DataSource = Settings.Default.SQLServerNames;
      cbxSQLServerName.Text = Settings.Default.SQLServerName;
    }

    private void btnOK_Click(object sender, EventArgs e)
    {
    }

    private void SqlConnectionEditor_FormClosed(object sender, FormClosedEventArgs e)
    {
      Settings curSettings = Settings.Default;
      if (DialogResult == System.Windows.Forms.DialogResult.OK)
      {
        if (_animation != null && !_animation.IsBusy) _animation.RunWorkerAsync();
        try
        {
          if (curSettings.SQLServerNames == null) curSettings.SQLServerNames = new System.Collections.Specialized.StringCollection();
          if (!curSettings.SQLServerNames.Contains(cbxSQLServerName.Text))
          {
            curSettings.SQLServerNames.Add(cbxSQLServerName.Text);
          }
          curSettings.SQLServerName = cbxSQLServerName.Text;
          curSettings.Save();
          Hide();
          DatabaseManager.RegisterDatabase(curSettings.SQLServerName, curSettings.DatabaseName, curSettings.SQLIntegratedSecurity, curSettings.SQLServerUsername, curSettings.SQLServerPassword, _animation);
        }
        finally
        { 
          if (_animation != null) _animation.CancelAsync(); 
        }
        MessageBox.Show("Application needs to be restarted for the updated configuration to take effect.", "Restart required", MessageBoxButtons.OK, MessageBoxIcon.Information);
      }
    }

    private void checkBox1_CheckStateChanged(object sender, EventArgs e)
    {
      tbSQLUser.Enabled = !checkBox1.Checked;
      tbSQLPassword.Enabled = !checkBox1.Checked;
    }

  }
}
