﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PGT.Properties;
using PGT.Common;

namespace PGT
{

  public partial class SGTCustomActionHandler : ICustomActionHandler
	{
    public bool DoCustomAction(IScriptExecutorBase Executor, LogWriter log, string CustomActionID, string DeviceIP, string HostName, string JumpList, out string ActionResult, out bool ConnectionDropped)
		{
			bool result = false;
			ConnectionDropped = false;
			ActionResult = "CustomActionID was not handled";
			if ((CustomActionID == "SGT_1") | (CustomActionID == "SGT_2"))
			{
				#region St Gobain config script creation

				// action IDs are :
				//   SGT_1 : log healthcek information
				//	 SGT_2 : create configuration script
				//
        string detectedHostName = Executor.STerminal.GetHostName("#");
				bool continuescript = true;									
				if	(detectedHostName.ToUpperInvariant().Trim() != HostName.ToUpperInvariant().Trim())
				{
					switch (CustomActionID)
					{
						case "SGT_1" :
							{
								Executor.ShowActivity(string.Format("WRONG host name ! Should be on <{0}> but we are on <{1}>.", HostName, detectedHostName));
								break;
							}
						case "SGT_2" :
							{
								ActionResult = string.Format("ALERT : WE ARE ON THE WRONG HOST ! Should be on <{0}> but we are on <{1}>. Custom actions skipped.", HostName, detectedHostName);
								continuescript = false;
								break;
							}
					}
				}
				if (continuescript)
				{
					try
					{
						Executor.ShowActivity(string.Format(">> We are on host : {0}", detectedHostName));
						bool timedout = false;
						List<string> ConfigScript = new List<string>(20);
						if (CustomActionID == "SGT_2") log.WriteLogEntryEx(string.Format("{0},{1},{2},{3},{4},{5},{6},{7},{8},{9},{10}", "1", JumpList, "cisco", DeviceIP, HostName, "telnet", "", "yes", "", "", "reloadschedule 30"), false);
						ConfigScript.Add("conf t");

						#region VPN ID check
						string command = "sh run | in router bgp";
						Executor.ShowActivity(command);
						string commandResult = Executor.STerminal.ExecCommand(command, "#", out timedout);
						Executor.ShowActivity(commandResult);
						int h_VPNID = commandResult.IndexOf("64799") >= 0 ? 11 : commandResult.IndexOf("65499") >= 0 ? 10 : -1;
						#endregion

						ConfigScript.Add("interface Dialer 1");

						#region dialer idle-timeout
						command = "sh run int dialer 1 | inc dialer idle-timeout";
						Executor.ShowActivity(command);
						commandResult = Executor.STerminal.ExecCommand(command, "#", out timedout);
						Executor.ShowActivity(commandResult);
						int v_IdleTimeout = commandResult.IndexOf("900") >= 0 ? 900 : commandResult.IndexOf("180") >= 0 ? 180 : -1;
						switch (v_IdleTimeout)
						{
							case 900:
								{
									ConfigScript.Add("  dialer idle-timeout 180");
									break;
								}
						}

						#endregion

						#region get dialer bandwidth
						command = "sh run int dialer 1 | inc bandwidth";
						Executor.ShowActivity(command);
						commandResult = Executor.STerminal.ExecCommand(command, "#", out timedout);
						Executor.ShowActivity(commandResult);
						int v_Bandwidth = commandResult.IndexOf("64") >= 0 ? 64 : commandResult.IndexOf("128") >= 0 ? 128 : -1;
						#endregion

						#region dialer load-threshold check
						command = "sh run int dialer 1 | inc load-threshold";
						Executor.ShowActivity(command);
						commandResult = Executor.STerminal.ExecCommand(command, "#", out timedout);
						Executor.ShowActivity(commandResult);
						bool b_loadthreshold_exists = commandResult.IndexOf("dialer load-threshold") >= 0;
						bool h_loadthreshold_ok = ((v_Bandwidth == 64) & !b_loadthreshold_exists) | ((v_Bandwidth == 128) & b_loadthreshold_exists);
						if (!h_loadthreshold_ok)
						{
							switch (v_Bandwidth)
							{
								case 64:
									{
										if (b_loadthreshold_exists) ConfigScript.Add("  no dialer load-threshold 100 either");
										break;
									}
								case 128:
									{
										if (!b_loadthreshold_exists) ConfigScript.Add("  dialer load-threshold 100 either");
										break;
									}
							}
						}
						#endregion

						#region dialer ppp multilink links max check
						command = "sh run int dialer 1 | inc ppp multilink links max";
						Executor.ShowActivity(command);
						commandResult = Executor.STerminal.ExecCommand(command, "#", out timedout);
						Executor.ShowActivity(commandResult);
						int h_pppmultilink_count = commandResult.IndexOf("ppp multilink links maximum 1") >= 0 ? 1 : commandResult.IndexOf("ppp multilink links maximum 2") >= 0 ? 2 : 0;
						bool h_pppmultilink_ok = ((v_Bandwidth == 64) & (h_pppmultilink_count == 1)) | ((v_Bandwidth == 128) & (h_pppmultilink_count == 2));
						if (!h_pppmultilink_ok)
						{
							switch (v_Bandwidth)
							{
								case 64:
									{
										if (h_pppmultilink_count != 1) ConfigScript.Add("  ppp multilink links maximum 1");
										break;
									}
								case 128:
									{
										if (h_pppmultilink_count != 2) ConfigScript.Add("  ppp multilink links maximum 2");
										break;
									}
							}
						}
						#endregion

						ConfigScript.Add("exit"); // from interface Dialer 1
						ConfigScript.Add("!");

						#region  route tag check
						command = "sh run | in ip route";
						Executor.ShowActivity(command);
						commandResult = Executor.STerminal.ExecCommand(command, "#", out timedout);
						Executor.ShowActivity(commandResult);
						bool b_tagged = (commandResult.IndexOf("tag 90") >= 0) | (commandResult.IndexOf("tag 95") >= 0);
						#endregion

						#region  STATIC2RIP check
						command = "sh run | in redistribute static route-map STATIC2RIP";
						Executor.ShowActivity(command);
						commandResult = Executor.STerminal.ExecCommand(command, "#", out timedout);
						Executor.ShowActivity(commandResult);
						bool b_rip_redist_exists = commandResult.IndexOf("redistribute static route-map STATIC2RIP") >= 0;
						bool h_rip_ok = !(b_rip_redist_exists ^ b_tagged);
						if (!h_rip_ok)
						{
							ConfigScript.Add("router rip");
							if (b_tagged) ConfigScript.Add("  redistribute static route-map STATIC2RIP");
							else ConfigScript.Add("  no redistribute static");
							ConfigScript.Add("exit");
							ConfigScript.Add("!");
						}
						#endregion

						#region  STATIC2BGP check
						command = "sh run | in redistribute static route-map STATIC2BGP";
						Executor.ShowActivity(command);
						commandResult = Executor.STerminal.ExecCommand(command, "#", out timedout);
						Executor.ShowActivity(commandResult);
						bool b_bgp_redist_exists = commandResult.IndexOf("redistribute static route-map STATIC2BGP") >= 0;
						bool h_bgp_ok = !(b_bgp_redist_exists ^ b_tagged);
						if (!h_bgp_ok)
						{
							switch (h_VPNID)
							{
								case 10:
									{
										ConfigScript.Add("router bgp 65499");
										break;
									}
								case 11:
									{
										ConfigScript.Add("router bgp 64799");
										break;
									}
							}
							if (b_tagged) ConfigScript.Add("  redistribute static route-map STATIC2BGP");
							else ConfigScript.Add("  no redistribute static");
							ConfigScript.Add("exit");
							ConfigScript.Add("!");
						}
						#endregion

						#region  access-list 21 check

						// access-list 21 check 1
						command = "sh ip access-list 21 | i permit 10.86.18.9";
						Executor.ShowActivity(command);
						commandResult = Executor.STerminal.ExecCommand(command, "#", out timedout);
						Executor.ShowActivity(commandResult);
						bool b_acl21_18dot9 = commandResult.IndexOf("permit 10.86.18.9") >= 0;
						//if (b_acl21_18dot9)
						//{
						//	if (int.TryParse(commandResult.SplitBySpace()[0], out acl_seq_number))
						//	{
						//		ConfigScript.Add(string.Format("no {0}", acl_seq_number));
						//	}
						//	else Executor.ShowActivity(string.Format("ERROR : unable to acquire acl sequence number #21/1. Parsed string was : {0}", commandResult));
						//}

						// access-list 21 check 2
						command = "sh ip access-list 21 | i permit 10.86.18.4";
						Executor.ShowActivity(command);
						commandResult = Executor.STerminal.ExecCommand(command, "#", out timedout);
						Executor.ShowActivity(commandResult);
						bool b_acl21_18dot4 = commandResult.IndexOf("permit 10.86.18.4") >= 0;


						// access-list 21 check 3
						command = "sh ip access-list 21 | i permit 10.86.50.9";
						Executor.ShowActivity(command);
						commandResult = Executor.STerminal.ExecCommand(command, "#", out timedout);
						Executor.ShowActivity(commandResult);
						bool b_acl21_50dot9 = commandResult.IndexOf("permit 10.86.50.9") >= 0;


						// access-list 21 check 4
						command = "sh ip access-list 21 | i permit 10.86.50.4";
						Executor.ShowActivity(command);
						commandResult = Executor.STerminal.ExecCommand(command, "#", out timedout);
						Executor.ShowActivity(commandResult);
						bool b_acl21_50dot4 = commandResult.IndexOf("permit 10.86.50.4") >= 0;

						if (!b_acl21_50dot4 | !b_acl21_50dot9 | b_acl21_18dot4 | b_acl21_18dot9)
						{
							ConfigScript.Add("no access-list 21");
							ConfigScript.Add("access-list 21 remark SGT SNMP Access");
							ConfigScript.Add("access-list 21 permit 10.198.5.226");
							ConfigScript.Add("access-list 21 permit 10.86.50.4");
							ConfigScript.Add("access-list 21 permit 10.86.50.9");
							ConfigScript.Add("access-list 21 permit 10.198.5.167");
							ConfigScript.Add("access-list 21 permit 10.176.112.1");
							ConfigScript.Add("access-list 21 permit 10.198.5.29");
							ConfigScript.Add("access-list 21 permit 159.151.116.0 0.0.0.255");
							ConfigScript.Add("access-list 21 permit 10.152.16.64 0.0.0.63");
							ConfigScript.Add("access-list 21 permit 10.152.26.0 0.0.0.255");
							ConfigScript.Add("access-list 21 permit 10.176.102.0 0.0.0.127");
							ConfigScript.Add("access-list 21 permit 10.198.255.184 0.0.0.7"); ;
							ConfigScript.Add("access-list 21 permit 10.139.60.0 0.0.0.255");
							ConfigScript.Add("access-list 21 permit 10.91.127.224 0.0.0.15");
							ConfigScript.Add("access-list 21 permit 10.86.248.224 0.0.0.15");
							ConfigScript.Add("access-list 21 permit 10.89.241.144 0.0.0.15");
							ConfigScript.Add("access-list 21 permit 10.151.14.192 0.0.0.63");
							ConfigScript.Add("access-list 21 deny   any log");
						}


						#endregion

						#region	 access-list 109 check
						// -- 12 -- access-list 109 check 1
						command = "sh ip access-list 109 | i 10.86.50.4 host 0.0.0.0 eq telnet";
						Executor.ShowActivity(command);
						commandResult = Executor.STerminal.ExecCommand(command, "#", out timedout);
						Executor.ShowActivity(commandResult);
						bool b_acl109_50dot4 = commandResult.IndexOf("host 10.86.50.4 host 0.0.0.0 eq telnet") >= 0;

						// -- 13 -- access-list 109 check 2
						command = "sh ip access-list 109 | i 10.86.50.9 host 0.0.0.0 eq telnet";
						Executor.ShowActivity(command);
						commandResult = Executor.STerminal.ExecCommand(command, "#", out timedout);
						Executor.ShowActivity(commandResult);
						bool b_acl109_50dot9 = commandResult.IndexOf("10.86.50.9 host 0.0.0.0 eq telnet") >= 0;

						// -- 14 -- access-list 109 check 3
						command = "sh ip access-list 109 | i 10.86.18.4 host 0.0.0.0 eq telnet";
						Executor.ShowActivity(command);
						commandResult = Executor.STerminal.ExecCommand(command, "#", out timedout);
						Executor.ShowActivity(commandResult);
						bool b_acl109_18dot4 = commandResult.IndexOf("host 10.86.18.4 host 0.0.0.0 eq telnet") >= 0;

						// -- 15 -- access-list 109 check 4
						command = "sh ip access-list 109 | i 10.86.18.9 host 0.0.0.0 eq telnet";
						Executor.ShowActivity(command);
						commandResult = Executor.STerminal.ExecCommand(command, "#", out timedout);
						Executor.ShowActivity(commandResult);
						bool b_acl109_18dot9 = commandResult.IndexOf("10.86.18.9 host 0.0.0.0 eq telnet") >= 0;

						if (!b_acl109_50dot9 | !b_acl109_50dot4 | b_acl109_18dot9 | b_acl109_18dot4)
						{
							//ConfigScript.Add("line line vty 0 4");
							//ConfigScript.Add("  no access-class 109 in");
							//ConfigScript.Add("exit");
							//ConfigScript.Add("!");
							//ConfigScript.Add("line line vty 5 15");
							//ConfigScript.Add("  no access-class 109 in");
							//ConfigScript.Add("exit");
							ConfigScript.Add("!");
							ConfigScript.Add("no access-list 109");
							ConfigScript.Add("!");
							ConfigScript.Add("access-list 109 remark BT & SGT VTY access");
							ConfigScript.Add("access-list 109 remark SGT Range");
							ConfigScript.Add("access-list 109 permi ip any any");
							ConfigScript.Add("access-list 109 permit tcp host 10.198.5.226 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp host 10.86.50.9 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp host 10.86.50.4 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp host 10.198.5.167 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp host 10.176.112.1 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp host 10.198.5.29 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp 159.151.116.0 0.0.0.255 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp 10.152.16.64 0.0.0.63 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp 10.152.26.0 0.0.0.255 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp 10.176.102.0 0.0.0.127 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp 10.198.255.184 0.0.0.7 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp 10.139.60.0 0.0.0.255 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp 10.91.127.224 0.0.0.15 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp 10.86.248.224 0.0.0.15 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp 10.89.241.144 0.0.0.15 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp 10.151.14.192 0.0.0.63 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 Remark BT Range");
							ConfigScript.Add("Access-list 109 Remark CPE Man Range");
							ConfigScript.Add("access-list 109 permit tcp 172.107.0.0 0.0.255.255 host 0.0.0.0 eq telnet");
							ConfigScript.Add("Access-list 109 Remark WAN Range");
							ConfigScript.Add("access-list 109 permit tcp 192.168.4.0 0.0.3.255 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp 192.168.8.0 0.0.3.255 host 0.0.0.0 eq telnet");
							ConfigScript.Add("Access-list 109 Remark Man Platform Range");
							ConfigScript.Add("access-list 109 permit tcp 62.6.0.0 0.0.255.255 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp 62.239.34.0 0.0.0.255 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp 62.239.35.0 0.0.0.255 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp 194.102.6.0 0.0.0.255 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp 194.102.7.0 0.0.0.255 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp 194.102.8.0 0.0.0.255 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp 194.102.9.0 0.0.0.255 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp 194.102.19.0 0.0.0.255 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp 194.74.144.0 0.0.0.255 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 permit tcp 147.151.39.224 0.0.0.31 host 0.0.0.0 eq telnet");
							ConfigScript.Add("access-list 109 deny  ip any any log");
							ConfigScript.Add("!");
							ConfigScript.Add("ip access-list ext 109");
							ConfigScript.Add("no 10");
							ConfigScript.Add("exit");
							ConfigScript.Add("!");							//ConfigScript.Add("line line vty 0 4");
							//ConfigScript.Add("  access-class 109 in");
							//ConfigScript.Add("exit");
							//ConfigScript.Add("line line vty 5 15");
							//ConfigScript.Add("  access-class 109 in");
							//ConfigScript.Add("exit");

						}
						#endregion

						#region	 access-list 187 check
						// -- 16 -- access-list 187 check
						command = "sh run | in access-list 187 remark";
						Executor.ShowActivity(command);
						commandResult = Executor.STerminal.ExecCommand(command, "#", out timedout);
						Executor.ShowActivity(commandResult);
						bool b_acl187_ok = false;
						switch (h_VPNID)
						{
							case 10:
								{
									b_acl187_ok = commandResult.IndexOf("QoS Medium class ACL SGNet10 2014-01-27") >= 0;
									break;
								}
							case 11:
								{
									b_acl187_ok = commandResult.IndexOf("QoS Medium class ACL SGNet11 2013-10-21") >= 0;
									break;
								}
						}
						if (!b_acl187_ok)
						{
							switch (h_VPNID)
							{
								case 10:
									{
										ConfigScript.Add("no access-list 187");
										ConfigScript.Add("!");
										ConfigScript.Add("! ACL 187 for VPN10 (VPNN 600179)");
										ConfigScript.Add("!");
										ConfigScript.Add("access-list 187 remark QoS Medium class ACL SGNet10 2014-01-27");
										ConfigScript.Add("access-list 187 deny tcp any any eq 102");
										ConfigScript.Add("access-list 187 deny tcp any eq 102 any");
										ConfigScript.Add("access-list 187 deny tcp any any eq smtp");
										ConfigScript.Add("access-list 187 deny tcp any eq smtp any");
										ConfigScript.Add("access-list 187 deny tcp any any eq 8080");
										ConfigScript.Add("access-list 187 deny tcp any eq 8080 any");
										ConfigScript.Add("access-list 187 deny tcp any any eq 1080");
										ConfigScript.Add("access-list 187 deny tcp any eq 1080 any");
										ConfigScript.Add("access-list 187 deny tcp any any eq 4993");
										ConfigScript.Add("access-list 187 deny tcp any eq 4993 any");
										ConfigScript.Add("access-list 187 deny tcp any any range 2080 2099");
										ConfigScript.Add("access-list 187 deny tcp any range 2080 2099 any");
										ConfigScript.Add("access-list 187 deny tcp any range 9000 9070 any");
										ConfigScript.Add("access-list 187 deny tcp any any range 9000 9070");
										ConfigScript.Add("access-list 187 deny tcp any any eq 20");
										ConfigScript.Add("access-list 187 deny tcp any eq 20 any");
										ConfigScript.Add("access-list 187 deny tcp any any eq 4950");
										ConfigScript.Add("access-list 187 deny tcp any eq 4950 any");
										ConfigScript.Add("access-list 187 deny tcp any any eq 10082");
										ConfigScript.Add("access-list 187 deny tcp any eq 10082 any");
										ConfigScript.Add("access-list 187 deny tcp any any eq 1556");
										ConfigScript.Add("access-list 187 deny tcp any eq 1556 any");
										ConfigScript.Add("access-list 187 deny tcp any any eq 10102");
										ConfigScript.Add("access-list 187 deny tcp any eq 10102 any");
										ConfigScript.Add("access-list 187 deny tcp any any eq bgp");
										ConfigScript.Add("access-list 187 deny tcp any eq bgp any");
										ConfigScript.Add("access-list 187 deny icmp any any");
										ConfigScript.Add("access-list 187 deny udp any any eq domain");
										ConfigScript.Add("access-list 187 deny udp any eq domain any");
										ConfigScript.Add("access-list 187 deny tcp any any range 3200 3300");
										ConfigScript.Add("access-list 187 deny tcp any range 3200 3300 any");
										ConfigScript.Add("access-list 187 deny tcp any any eq 3600");
										ConfigScript.Add("access-list 187 deny tcp any eq 3600 any");
										ConfigScript.Add("access-list 187 deny tcp any any eq telnet");
										ConfigScript.Add("access-list 187 deny tcp any eq telnet any");
										ConfigScript.Add("access-list 187 deny tcp any any eq 1494");
										ConfigScript.Add("access-list 187 deny tcp any eq 1494 any");
										ConfigScript.Add("access-list 187 deny udp any any eq 1604");
										ConfigScript.Add("access-list 187 deny udp any eq 1604 any");
										ConfigScript.Add("access-list 187 deny tcp any any eq 3389");
										ConfigScript.Add("access-list 187 deny tcp any eq 3389 any");
										ConfigScript.Add("access-list 187 deny tcp any any eq 2598");
										ConfigScript.Add("access-list 187 deny tcp any eq 2598 any");
										ConfigScript.Add("access-list 187 deny udp any any eq 1645");
										ConfigScript.Add("access-list 187 deny udp any eq 1645 any");
										ConfigScript.Add("access-list 187 deny udp any any eq 1646");
										ConfigScript.Add("access-list 187 deny udp any eq 1646 any");
										ConfigScript.Add("access-list 187 deny udp any range 1812 1813 any");
										ConfigScript.Add("access-list 187 deny udp any any range 1812 1813");
										ConfigScript.Add("access-list 187 deny udp any eq 3389 any");
										ConfigScript.Add("access-list 187 deny udp any any eq 3389");
										ConfigScript.Add("access-list 187 deny tcp any range 8000 8070 any");
										ConfigScript.Add("access-list 187 deny tcp any any range 8000 8070");
										ConfigScript.Add("access-list 187 deny udp any range 161 162 any");
										ConfigScript.Add("access-list 187 deny udp any any range 161 162");
										ConfigScript.Add("access-list 187 permit ip any any");
										break;
									}
								case 11:
									{
										ConfigScript.Add("no access-list 187");
										ConfigScript.Add("!");
										ConfigScript.Add("!  ACL 187 for VPN11 (VPNN 300127)");
										ConfigScript.Add("!");
										ConfigScript.Add("access-list 187 remark QoS Medium class ACL SGNet11 2013-10-21");
										ConfigScript.Add("access-list 187 permit tcp any eq 1494 any");
										ConfigScript.Add("access-list 187 permit tcp any any eq 1494");
										ConfigScript.Add("access-list 187 permit udp any eq 1604 any");
										ConfigScript.Add("access-list 187 permit udp any any eq 1604");
										ConfigScript.Add("access-list 187 permit tcp any any eq 2598");
										ConfigScript.Add("access-list 187 permit tcp any eq 2598 any");
										ConfigScript.Add("access-list 187 permit tcp any any eq 3389");
										ConfigScript.Add("access-list 187 permit tcp any eq 3389 any");
										ConfigScript.Add("access-list 187 permit udp any any eq 3389");
										ConfigScript.Add("access-list 187 permit udp any eq 3389 any");
										ConfigScript.Add("access-list 187 permit tcp any any range 7000 7070");
										ConfigScript.Add("access-list 187 permit tcp any range 7000 7070 any"); break;
									}
							}
							ConfigScript.Add("!");
						}
						#endregion

						#region  access-list 188 check
						// -- 17 -- access-list 188 check
						command = "sh run | in access-list 188 remark";
						Executor.ShowActivity(command);
						commandResult = Executor.STerminal.ExecCommand(command, "#", out timedout);
						Executor.ShowActivity(commandResult);
						bool b_acl188_ok = false;
						switch (h_VPNID)
						{
							case 10:
								{
									b_acl188_ok = commandResult.IndexOf("QoS High class ACL SGNet10 2014-01-21") >= 0;
									break;
								}
							case 11:
								{
									b_acl188_ok = commandResult.IndexOf("QoS High class ACL SGNet11 2013-10-21") >= 0;
									break;
								}
						}
						if (!b_acl188_ok)
						{
							switch (h_VPNID)
							{
								case 10:
									{
										ConfigScript.Add("no access-list 188");
										ConfigScript.Add("!");
										ConfigScript.Add("! ACL 188 for VPN10 (VPNN 600179)");
										ConfigScript.Add("!");
										ConfigScript.Add("access-list 188 remark QoS High class ACL SGNet10 2014-01-21");
										ConfigScript.Add("access-list 188 permit tcp any any eq bgp");
										ConfigScript.Add("access-list 188 permit tcp any eq bgp any");
										ConfigScript.Add("access-list 188 permit icmp any any");
										ConfigScript.Add("access-list 188 permit udp any any eq domain");
										ConfigScript.Add("access-list 188 permit udp any eq domain any");
										ConfigScript.Add("access-list 188 permit tcp any any range 3200 3300");
										ConfigScript.Add("access-list 188 permit tcp any range 3200 3300 any");
										ConfigScript.Add("access-list 188 permit tcp any any eq 3600");
										ConfigScript.Add("access-list 188 permit tcp any eq 3600 any");
										ConfigScript.Add("access-list 188 permit tcp any any eq telnet");
										ConfigScript.Add("access-list 188 permit tcp any eq telnet any");
										ConfigScript.Add("access-list 188 permit tcp any any eq 1494");
										ConfigScript.Add("access-list 188 permit tcp any eq 1494 any");
										ConfigScript.Add("access-list 188 permit udp any any eq 1604");
										ConfigScript.Add("access-list 188 permit udp any eq 1604 any");
										ConfigScript.Add("access-list 188 permit tcp any any eq 2598");
										ConfigScript.Add("access-list 188 permit tcp any eq 2598 any");
										ConfigScript.Add("access-list 188 permit udp any any eq 1645");
										ConfigScript.Add("access-list 188 permit udp any eq 1645 any");
										ConfigScript.Add("access-list 188 permit udp any any eq 1646");
										ConfigScript.Add("access-list 188 permit udp any eq 1646 any");
										ConfigScript.Add("access-list 188 permit tcp any any eq 3389");
										ConfigScript.Add("access-list 188 permit tcp any eq 3389 any");
										ConfigScript.Add("access-list 188 permit udp any range 1812 1813 any");
										ConfigScript.Add("access-list 188 permit udp any any range 1812 1813");
										ConfigScript.Add("access-list 188 permit udp any eq 3389 any");
										ConfigScript.Add("access-list 188 permit udp any any eq 3389");
										ConfigScript.Add("access-list 188 permit tcp any range 8000 8070 any");
										ConfigScript.Add("access-list 188 permit tcp any any range 8000 8070");
										ConfigScript.Add("access-list 188 permit udp any range 161 162 any");
										ConfigScript.Add("access-list 188 permit udp any any range 161 162");
										break;
									}
								case 11:
									{
										ConfigScript.Add("no access-list 188");
										ConfigScript.Add("!");
										ConfigScript.Add("!  ACL 188 for VPN11 (VPNN 300127)");
										ConfigScript.Add("!");
										ConfigScript.Add("access-list 188 remark QoS High class ACL SGNet11 2013-10-21");
										ConfigScript.Add("access-list 188 permit tcp any any eq bgp");
										ConfigScript.Add("access-list 188 permit tcp any eq bgp any");
										ConfigScript.Add("access-list 188 permit udp any any eq domain");
										ConfigScript.Add("access-list 188 permit udp any eq domain any");
										ConfigScript.Add("access-list 188 permit icmp any any");
										ConfigScript.Add("access-list 188 permit tcp any any eq telnet");
										ConfigScript.Add("access-list 188 permit tcp any eq telnet any");
										ConfigScript.Add("access-list 188 permit tcp any any eq 790");
										ConfigScript.Add("access-list 188 permit tcp any eq 790 any");
										ConfigScript.Add("access-list 188 permit udp any any eq 5060");
										ConfigScript.Add("access-list 188 permit udp any eq 5060 any");
										ConfigScript.Add("access-list 188 permit tcp any any range 8000 8070");
										ConfigScript.Add("access-list 188 permit tcp any range 8000 8070 any");
										ConfigScript.Add("access-list 188 permit udp any any eq snmp");
										ConfigScript.Add("access-list 188 permit udp any eq snmp any");
										ConfigScript.Add("access-list 188 permit udp any any eq snmptrap");
										ConfigScript.Add("access-list 188 permit udp any eq snmptrap any");
										break;
									}
							}
							ConfigScript.Add("!");
						}
						#endregion

						// Do not cancel reload now, first we must log back on, then we can cancel the scheduled reload request

						#region Log results	depending on CustomActionID
						switch (CustomActionID)
						{
							case "SGT_1":
								{
									log.WriteLogEntryEx(string.Format("{0},{1},{2},{3},{4},{5},{6},{7},{8},{9},{10},{11},{12},{13},{14},{15},{16},{17}", DeviceIP, h_VPNID, v_IdleTimeout,
										v_Bandwidth, h_loadthreshold_ok, h_pppmultilink_ok, h_rip_ok, h_bgp_ok, b_acl21_50dot4, b_acl21_50dot9, b_acl21_18dot4, b_acl21_18dot9, b_acl109_50dot4,
										b_acl109_50dot9, b_acl109_18dot4, b_acl109_18dot9, b_acl187_ok, b_acl188_ok), false);
									break;
								}
							case "SGT_2":
								{
									foreach (string configLine in ConfigScript)
									{
										//Selected, JumpServerList, Vendor, DeviceIP, HostName, ConnectionProtocol, Command, PrivilegedModeRequired, ReconnectRequired, RegExSearch, CustomActionID
										log.WriteLogEntryEx(string.Format("{0},{1},{2},{3},{4},{5},{6},{7}", "1", JumpList, "cisco", DeviceIP, HostName, "telnet", configLine, "yes", "", "", ""), false);
									}
									break;
								}
						}

						#endregion

						if (CustomActionID == "SGT_2")
						{

							#region Add banner
							ConfigScript.Clear();
							ConfigScript.Add("banner exec ^C");
							ConfigScript.Add("                            Secure Device Access");
							ConfigScript.Add("");
							ConfigScript.Add("    If you are not authorised to access this device then please log off now.");
							ConfigScript.Add(" *** ALL Commands from this device are Authorised & Authenticated & Accounted ***");
							ConfigScript.Add("");
							ConfigScript.Add("      Router Template SGNet11 V20");
							ConfigScript.Add("^C");
							ConfigScript.Add("banner motd ^C");
							ConfigScript.Add("");
							ConfigScript.Add("                   BRITISH TELECOMMUNICATIONS PLC ...");
							ConfigScript.Add("");
							ConfigScript.Add("     !! WARNING : You have accessed a Computer system operated by BT !!");
							ConfigScript.Add("");
							ConfigScript.Add("  You are required to have a personal authorisation from the System");
							ConfigScript.Add("");
							ConfigScript.Add("  Administrator before you use this system and you are strictly limited");
							ConfigScript.Add("");
							ConfigScript.Add("  to the use set out in that written authorisation. Unauthorised access");
							ConfigScript.Add("");
							ConfigScript.Add("  of a computer constitutes an offence under the Computer Misuse Act 1990.");
							ConfigScript.Add("");
							ConfigScript.Add("  You must ensure your User password conforms to the guidelines specified");
							ConfigScript.Add("");
							ConfigScript.Add("  in the BT Computer Security Manual.");
							ConfigScript.Add("");
							ConfigScript.Add("  If you understand this message and have been authorised to use this");
							ConfigScript.Add("");
							ConfigScript.Add("  system please enter your username and password below to continue this");
							ConfigScript.Add("");
							ConfigScript.Add("  session.");
							ConfigScript.Add("");
							ConfigScript.Add("        Otherwise you must disconnect from this session immediately.");
							ConfigScript.Add("");
							ConfigScript.Add("");
							ConfigScript.Add("");
							ConfigScript.Add("                         Secure Device Access");
							ConfigScript.Add("");
							ConfigScript.Add("*** ALL Commands from this device are Authorised & Authenticated & Accounted ***");
							ConfigScript.Add("");
							ConfigScript.Add("");
							ConfigScript.Add("^C");
							ConfigScript.Add("!");
							#endregion
							// for banner, we need to control command execution with the NOWAIT CustomActionID
							foreach (string configLine in ConfigScript)
							{
								//Selected, JumpServerList, Vendor, DeviceIP, HostName, ConnectionProtocol, Command, PrivilegedModeRequired, ReconnectRequired, RegExSearch, CustomActionID
								log.WriteLogEntryEx(string.Format("{0},{1},{2},{3},{4},{5},{6},{7},{8},{9},{10}", "1", JumpList, "cisco", DeviceIP, HostName, "telnet", configLine, "yes", "", "", "NOWAIT;NOTRIM"), false);
							}
							// exit from config mode
							log.WriteLogEntryEx(string.Format("{0},{1},{2},{3},{4},{5},{6},{7},{8},{9},{10}", "1", JumpList, "cisco", DeviceIP, HostName, "telnet", "exit", "yes", "", "", ""), false);
							// at the end, we need to quit and reconnect to the router	and so we can cancel reload and write configuration only after a successful reconnection
							// Selected, JumpServerList, Vendor, DeviceIP, HostName, ConnectionProtocol, Command, PrivilegedModeRequired, ReconnectRequired, RegExSearch, CustomActionID
							log.WriteLogEntryEx(string.Format("{0},{1},{2},{3},{4},{5},{6},{7},{8},{9},{10}", "1", JumpList, "cisco", DeviceIP, HostName, "telnet", "reload cancel", "yes", "yes", "", ""), false);
							log.WriteLogEntryEx(string.Format("{0},{1},{2},{3},{4},{5},{6},{7},{8},{9},{10}", "1", JumpList, "cisco", DeviceIP, HostName, "telnet", "write", "yes", "", "", ""), false);
						}
						ActionResult = "Custom action COMPLETED";
						result = true;
					}
					catch (Exception Ex)
					{
						ActionResult = Ex.Message;
					}
				}
				#endregion
			}
			else if (CustomActionID == "CEF_1")
			{
				#region CEF Huawei
				ActionResult = "Custom Action FAILED";
				bool timedout = false;
				string command = "patch load ar1220-v200r003c01cp0010.pat all run";
				Executor.ShowActivity(command);
				string commandResult = Executor.STerminal.ExecCommand(command, ">", out timedout);
				Executor.ShowActivity(commandResult);
				bool patch_success = (commandResult.IndexOf("operation succeeded") >= 0) | (commandResult.IndexOf("is running") >= 0);
				if (patch_success)
				{
					command = "reset slot 1";
					Executor.ShowActivity(command);
					Executor.STerminal.SendText(command);
					int waitresult = Executor.STerminal.WaitForPrompt(new TimeSpan(0, 0, 10), "[y/n]");
					if (waitresult == 0)
					{
						Executor.STerminal.SendText("y");
						ActionResult = "Custom Action COMPLETED";
						result = true;
						Executor.STerminal.ForceCloseTelnetConnection();
						log.WriteLogEntryEx(string.Format("DSL board was reset on device {0}", DeviceIP), false);
						//commandResult = Executor.STerminal.ExecCommand("y", ">", out timedout);
						//Executor.ShowActivity(commandResult);
						//if (commandResult.IndexOf("succeeded") >= 0)
						//{
						//	log.WriteLogEntryEx(string.Format("DSL board was sucessfully reset on device {0}", DeviceIP), false);
						//	ActionResult = "Custom Action COMPLETED";
						//	result = true;
						//}
						//else
						//{
						//	log.WriteLogEntryEx(string.Format("Error resetting DSL board on device {0}. Error : {1}", DeviceIP, commandResult), false);
						//	MessageBox.Show(string.Format("Error resetting DSL board on device {0}. Error : {1}", DeviceIP, commandResult), "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
						//}
					}
					else log.WriteLogEntryEx(string.Format("No reset prompt received, board was NOT reset. Device : {0}", DeviceIP), false);
				}
				else log.WriteLogEntryEx(string.Format("Patch install failed on device {0}", DeviceIP), false);
				#endregion
			}
			else if (CustomActionID == "CEF_2")
			{
				#region CEF Huawei Test
				ActionResult = "OK";
				result = true;
				bool timedout = false;
				string command = "dir flash:";
				Executor.ShowActivity(command);
				string commandResult = Executor.STerminal.ExecCommand(command, ">", out timedout);
				Executor.ShowActivity(commandResult);
				Executor.STerminal.ForceCloseTelnetConnection();
				ConnectionDropped = true;
				#endregion
			}
			else if (CustomActionID == "GNS_BANNER")
			{
				ActionResult = "OK";
				result = true;
				#region Add banner
				List<string> ConfigScript = new List<string>(20);
				log.WriteLogEntryEx(string.Format("{0},{1},{2},{3},{4},{5},{6},{7},{8},{9},{10}", "1", JumpList, "cisco", DeviceIP, HostName, "telnet", "conf t", "", "", "", ""), false);
				ConfigScript.Add("banner exec ^C");
				ConfigScript.Add("                            Secure Device Access");
				ConfigScript.Add("");
				ConfigScript.Add("    If you are not authorised to access this device then please log off now.");
				ConfigScript.Add(" *** ALL Commands from this device are Authorised Authenticated & Accounted ***");
				ConfigScript.Add("");
				ConfigScript.Add("      Router Template SGNet11 V20");
				ConfigScript.Add("^C");
				ConfigScript.Add("banner motd ^C");
				ConfigScript.Add("");
				ConfigScript.Add("                   BRITISH TELECOMMUNICATIONS PLC ...");
				ConfigScript.Add("");
				ConfigScript.Add("     !! WARNING : You have accessed a Computer system operated by BT !!");
				ConfigScript.Add("  You are required to have a personal authorisation from the System");
				ConfigScript.Add("  Administrator before you use this system and you are strictly limited");
				ConfigScript.Add("  to the use set out in that written authorisation. Unauthorised access");
				ConfigScript.Add("  of a computer constitutes an offence under the Computer Misuse Act 1990.");
				ConfigScript.Add("  You must ensure your User password conforms to the guidelines specified");
				ConfigScript.Add("  in the BT Computer Security Manual.");
				ConfigScript.Add("  If you understand this message and have been authorised to use this");
				ConfigScript.Add("  system please enter your username and password below to continue this");
				ConfigScript.Add("  session.");
				ConfigScript.Add("");
				ConfigScript.Add("        Otherwise you must disconnect from this session immediately.");
				ConfigScript.Add("");
				ConfigScript.Add("                         Secure Device Access");
				ConfigScript.Add("");
				ConfigScript.Add("*** ALL Commands from this device are Authorised Authenticated & Accounted ***");
				ConfigScript.Add("");

				#endregion
				foreach (string configLine in ConfigScript)
				{
					//Selected, JumpServerList, Vendor, DeviceIP, HostName, ConnectionProtocol, Command, PrivilegedModeRequired, ReconnectRequired, RegExSearch, CustomActionID
					log.WriteLogEntryEx(string.Format("{0},{1},{2},{3},{4},{5},{6},{7},{8},{9},{10}", "1", JumpList, "cisco", DeviceIP, HostName, "telnet", configLine, "", "", "", "NOWAIT;NOTRIM"), false);
				}
				log.WriteLogEntryEx(string.Format("{0},{1},{2},{3},{4},{5},{6},{7},{8},{9},{10}", "1", JumpList, "cisco", DeviceIP, HostName, "telnet", "^C", "", "", "", ""), false);
				log.WriteLogEntryEx(string.Format("{0},{1},{2},{3},{4},{5},{6},{7},{8},{9},{10}", "1", JumpList, "cisco", DeviceIP, HostName, "telnet", "!", "", "", "", ""), false);
				log.WriteLogEntryEx(string.Format("{0},{1},{2},{3},{4},{5},{6},{7},{8},{9},{10}", "1", JumpList, "cisco", DeviceIP, HostName, "telnet", "exit", "", "", "", ""), false);

			}
			return result;
		}

	}
}
