##############################################################
#                                                            #
#  This sample script shows how to collect data from a Cisco #
#  router and interact with PGT by sending beck results      #
#  and indicating script success                             #
#                                                            #
#  Copyright Laszlo Frank (c) 2016                           #
#                                                            #
##############################################################

import re

def GetVersion():
  result = ["",True]
  result = Terminal.ExecCommand("sh version","#")
  commandResult = result[0]
  timedOut = result[1]
  if not timedOut:
    _versions = [ n.strip(" ") for n in commandResult.splitlines() if n.startswith("Cisco") ]
    CiscoVersionInfo = [ v.strip(" ")  for v in _versions[0].split(",")]
    #Calculate IOS version numbers. This is more for demonstration, some scripts may need to check version numbers seperately
    _IOSVersion = CiscoVersionInfo[2]
    _IOSVersionNumber = _IOSVersion.split(" ")[1]
    _IOSSubVersionNumbers = re.findall(r"[\w']+", _IOSVersionNumber)
    IOSMajorRelease = _IOSSubVersionNumbers[0]
    IOSMinorRelease = _IOSSubVersionNumbers[1]
    IOSMaintenanceNumber = _IOSSubVersionNumbers[2]
    IOSTrainID = _IOSSubVersionNumbers[3]
    # Calculate Router HW version
    HWVersionInfo = [ v for v in _versions[1].strip(" ").split(" ")]
    HWPlatform = HWVersionInfo[0] + " " + HWVersionInfo[1]
    
    return "IOS Version:" + IOSMajorRelease + "." + IOSMinorRelease + "." + IOSMaintenanceNumber + "." +  IOSTrainID + ";HW:" + HWPlatform
    
def GetGW():
  result = ["",True]
  result = Terminal.ExecCommand("sh run int vlan1","#")
  commandResult = result[0]
  timedOut = result[1]
  if not timedOut:
    IpAddress = ""
    SubnetMask = ""
    #Get VLAN1 interface details
    for thisLine in commandResult.splitlines():
      if thisLine.strip(" ").startswith("ip address"):
        words = thisLine.strip(" ").split(" ")
        if len(words) > 3 :
          IpAddress = words[2]
          SubnetMask = words[3]
          break
          
    return ";Gateway IP:" + IpAddress + "/" + SubnetMask
    
def GetHostName():
  return  "Hostname: " + Terminal.GetHostName("#")

ScriptSuccess = False
ActionResult = "Script error"   
ActionResult = GetHostName() + ";" + GetVersion() + ";" +GetGW()
ScriptSuccess = True
    