##############################################################
#                                                            #
#  This sample script shows how to process ip helper-address #
#  on a Cisco L3 switch                                      #
#                                                            #
#  Copyright Laszlo Frank (c) 2016                           #
#                                                            #
#  Compatible with PGT v6.2 or later                         #
#                                                            #
##############################################################

import re
import sys

global ActionResult
ActionResult = "ip helper not found"
InterfacesWithHelperAddress = []

try:
  commandResult = Session.ExecCommand("sh ip int brief")
  for thisLine in commandResult.splitlines():
    ifList = filter(None, thisLine.split(" "))
    if ifList[4] == "up" and ifList[5] == "up":
      ifName = ifList[0]
      ifconfig = Session.ExecCommand("sh run int {0}".format(ifName))
      helperAddresses = re.findall(r'ip helper-address.*',ifconfig)
      if len(helperAddresses) > 0:
        for s in helperAddresses:
          address = filter(None, s.split(" "))[2]
          InterfacesWithHelperAddress.append([ifName, address])
          
  ActionResult = ";".join(InterfacesWithHelperAddress)
  ScriptSuccess = True
except:
  ActionResult = "Script error : {0}".format(sys.exc_info()[0]
  ScriptSuccess = False