<?xml version="1.0" standalone="yes"?>
<vScriptDS xmlns="http://tempuri.org/vScriptDS.xsd">
  <vScriptCommands>
    <vsID>0</vsID>
    <CommandID>b122709a-dfe5-4f57-8f2a-63985fdba578</CommandID>
    <Name>Start</Name>
    <DisplayLabel>Start</DisplayLabel>
    <Commands />
    <MainCode>YDKServices.InitService()</MainCode>
    <Origin_X>185</Origin_X>
    <Origin_Y>19</Origin_Y>
    <Size_Width>100</Size_Width>
    <Size_Height>40</Size_Height>
    <isStart>true</isStart>
    <isStop>false</isStop>
    <isSimpleCommand>false</isSimpleCommand>
    <isSimpleDecision>false</isSimpleDecision>
    <Variables />
    <Break>false</Break>
    <ExecPolicy>After</ExecPolicy>
    <CustomCodeBlock />
    <DemoMode>false</DemoMode>
    <Description />
    <WatchVariables />
    <Initializer />
  </vScriptCommands>
  <vScriptCommands>
    <vsID>1</vsID>
    <CommandID>7a13961e-e19b-450d-9c85-b21516f0b969</CommandID>
    <Name>Stop_0</Name>
    <DisplayLabel>Stop</DisplayLabel>
    <Commands />
    <MainCode>
global ActionResult
global ConnectionDropped
global ScriptSuccess
global DeviceConnectionInfo
global BreakExecution

YDKServices.Shutdown()
if ConfigureNTP.ExecError: 
  ActionResult += "Script Execution error"
  ScriptSuccess = False</MainCode>
    <Origin_X>184</Origin_X>
    <Origin_Y>286</Origin_Y>
    <Size_Width>100</Size_Width>
    <Size_Height>40</Size_Height>
    <isStart>false</isStart>
    <isStop>true</isStop>
    <isSimpleCommand>false</isSimpleCommand>
    <isSimpleDecision>false</isSimpleDecision>
    <Variables />
    <Break>false</Break>
    <ExecPolicy>After</ExecPolicy>
    <CustomCodeBlock />
    <DemoMode>false</DemoMode>
    <Description />
    <WatchVariables />
    <Initializer />
  </vScriptCommands>
  <vScriptCommands>
    <vsID>2</vsID>
    <CommandID>25d86a18-a7a0-424b-934a-245e8f5e976a</CommandID>
    <Name>ConfigureNTP</Name>
    <DisplayLabel />
    <Commands />
    <MainCode>logger = logging.getLogger("ydk")
logger.setLevel(logging.DEBUG)
handler = logging.StreamHandler()
formatter = logging.Formatter(("%(asctime)s - %(name)s - ""%(levelname)s - %(message)s"))
handler.setFormatter(formatter)
logger.addHandler(handler)

# Set required parameters of an entity
# Some YDK entities are in repository, like NTP, StaticConfig, SystemTime, etc...
# Drop any of them onto the Visual Script Editor and assign Entity variable below to them.

NTP.peerVrfName = "default"
NTP.peerIpv4Address = "8.8.8.8"
NTP.Configure()

Entity = NTP

# If you want to use Create operation for making configuration changes on device
response = YDKServices.Create(Entity.ydk_entity)

# Or simly read entity data from device
#response = YDKServices.Read(Entity.ydk_entity)

#Process response as required
self.ProcessResponse(response)</MainCode>
    <Origin_X>174</Origin_X>
    <Origin_Y>147</Origin_Y>
    <Size_Width>124</Size_Width>
    <Size_Height>50</Size_Height>
    <isStart>false</isStart>
    <isStop>false</isStop>
    <isSimpleCommand>false</isSimpleCommand>
    <isSimpleDecision>false</isSimpleDecision>
    <Variables />
    <Break>false</Break>
    <ExecPolicy>After</ExecPolicy>
    <CustomCodeBlock>def ProcessResponse(self, response):
  global ActionResult
  global ScriptSuccess
  if (response.find("&lt;ok\&gt;") &gt; 0) : 
    ActionResult = "configuration completed successfully"
    ScriptSuccess = True
  else:
    ActionResult = response
    ScriptSuccess = False
  
  </CustomCodeBlock>
    <DemoMode>false</DemoMode>
    <Description />
    <WatchVariables />
    <Initializer />
  </vScriptCommands>
  <vScriptCommands>
    <vsID>3</vsID>
    <CommandID>e5510d5e-9b06-461d-a417-18a4a865d01f</CommandID>
    <Name>YDKServices</Name>
    <DisplayLabel />
    <Commands />
    <MainCode />
    <Origin_X>362</Origin_X>
    <Origin_Y>21</Origin_Y>
    <Size_Width>120</Size_Width>
    <Size_Height>50</Size_Height>
    <isStart>false</isStart>
    <isStop>false</isStop>
    <isSimpleCommand>false</isSimpleCommand>
    <isSimpleDecision>false</isSimpleDecision>
    <Variables>_Provider = None
_CRUD = None</Variables>
    <Break>false</Break>
    <ExecPolicy>After</ExecPolicy>
    <CustomCodeBlock>def InitService(self):
  global Session
  self._Provider = PGTNetconfServiceProvider(Session)
  self._CRUD = CRUDService()
  
def Shutdown(self):
  self._Provider.close()
  
def Read(self, entity):
   return self._CRUD.read(self._Provider, entity)
   
def Create(self, entity):
  return self._CRUD.create(self._Provider, entity)
  
def Update(self, entity):
  self._CRUD.update(self._Provider, entity)
  
def Delete(self, entity):
  self._CRUD.delete(self._Provider, entity)</CustomCodeBlock>
    <DemoMode>false</DemoMode>
    <Description>A general YDK helper class to manages core YDK services.</Description>
    <WatchVariables />
    <Initializer />
  </vScriptCommands>
  <vScriptCommands>
    <vsID>4</vsID>
    <CommandID>da0b225b-5f63-49c3-8997-333b3f374e09</CommandID>
    <Name>NTP</Name>
    <DisplayLabel />
    <Commands />
    <MainCode />
    <Origin_X>512</Origin_X>
    <Origin_Y>20</Origin_Y>
    <Size_Width>124</Size_Width>
    <Size_Height>50</Size_Height>
    <isStart>false</isStart>
    <isStop>false</isStop>
    <isSimpleCommand>false</isSimpleCommand>
    <isSimpleDecision>false</isSimpleDecision>
    <Variables>ydk_entity = None
ntp_module = None
peerVrfName = ""
peerIpv4Address = ""</Variables>
    <Break>false</Break>
    <ExecPolicy>After</ExecPolicy>
    <CustomCodeBlock>def Init(self):
  """
Create NTP object and set required parameters
  """
  from ydk.models.ip import Cisco_IOS_XR_ip_ntp_cfg as xr_ip_ntp_cfg
  self.ntp_module = xr_ip_ntp_cfg
  self.ydk_entity  = xr_ip_ntp_cfg.Ntp()
  
def Configure(self):
  """
Configure NTP object according to attributes
  """
  peer_vrf = self.ydk_entity.peer_vrfs.PeerVrf()
  peer_vrf.vrf_name = self.peerVrfName
  peer_ipv4 = peer_vrf.peer_ipv4s.PeerIpv4()
  peer_ipv4.address_ipv4 = self.peerIpv4Address
  peer_type_ipv4 = peer_ipv4.PeerTypeIpv4()
  peer_type_ipv4.peer_type = self.ntp_module.NtpPeerEnum.SERVER
  peer_ipv4.peer_type_ipv4.append(peer_type_ipv4)
  peer_vrf.peer_ipv4s.peer_ipv4.append(peer_ipv4)
  self.ydk_entity.peer_vrfs.peer_vrf.append(peer_vrf)</CustomCodeBlock>
    <DemoMode>false</DemoMode>
    <Description>Encapsulates ydk.models.ip.Cisco_IOS_XR_ip_ntp_cfg class</Description>
    <WatchVariables />
    <Initializer>Init</Initializer>
  </vScriptCommands>
  <vScriptConnector>
    <cID>0</cID>
    <ConnectorID />
    <Name>ExecNTPConfig_Stop_0</Name>
    <DisplayLabel />
    <Left>2</Left>
    <Right>1</Right>
    <Condition>return True</Condition>
    <Variables />
    <Break>false</Break>
    <Order>1</Order>
    <Description />
    <WatchVariables />
  </vScriptConnector>
  <vScriptConnector>
    <cID>1</cID>
    <ConnectorID />
    <Name>Start_ConfigureNTP</Name>
    <DisplayLabel />
    <Left>0</Left>
    <Right>2</Right>
    <Condition>return True</Condition>
    <Variables />
    <Break>false</Break>
    <Order>0</Order>
    <Description />
    <WatchVariables />
  </vScriptConnector>
  <Parameters>
    <ScriptName>ydk_ConfigureNTP</ScriptName>
    <GlobalCode />
    <BreakPolicy>Before</BreakPolicy>
    <CustomNameSpaces>import clr
clr.AddReference("STerminal.dll")
from PGT import NetconfTerminal
from ydk.services import CRUDService
from PGTNetconfServiceProvider import PGTNetconfServiceProvider
from xml.etree import ElementTree 
import logging</CustomNameSpaces>
    <CustomReferences />
    <DebuggingAllowed>true</DebuggingAllowed>
    <LogFileName />
    <WatchVariables />
    <Language>Python</Language>
    <IsTemplate>false</IsTemplate>
    <IsRepository>false</IsRepository>
  </Parameters>
</vScriptDS>