 # import providers, services and models 
from ydk.services import CRUDService
from ydk.models.shellutil import Cisco_IOS_XR_shellutil_oper as xr_shellutil_oper
from ydk.models.ip import Cisco_IOS_XR_ip_static_cfg as xr_ip_static_cfg
from datetime import timedelta
from PGTNetconfServiceProvider import PGTNetconfServiceProvider


if __name__ == "__main__":
    """Main execution path"""
    
    # create NETCONF session
    provider = PGTNetconfServiceProvider(None)
    provider._connect("198.18.1.12", "admin", "admin")
    
    # create CRUD service
    crud = CRUDService()
    
    # create config object
    router_static = xr_ip_static_cfg.RouterStatic()  
    
    # read object from NETCONF device
    router_static = crud.read(provider, router_static)  
    
    # close NETCONFIG session and exit
    provider.close()     
    
    for p in router_static.default_vrf.address_family.vrfipv4.vrf_unicast.vrf_prefixes.vrf_prefix :
      print p.prefix