 # import providers, services and models 
from ydk.services import CRUDService
from ydk.models.ifmgr import Cisco_IOS_XR_ifmgr_oper as xr_ifmgr_oper
from PGTNetconfServiceProvider import PGTNetconfServiceProvider

def process_interface_properties(interface_properties):
    """Process data in interface_properties object."""
    pass

if __name__ == "__main__":
    """Main execution path"""
    
    # create NETCONF session
    provider = PGTNetconfServiceProvider(None)
    provider._connect("198.18.1.12", "admin", "admin")
    
    # create CRUD service
    crud = CRUDService()
    
    # create oper object
    interface_properties = xr_ifmgr_oper.InterfaceProperties() 
    # read object from NETCONF device
    interface_properties = crud.read(provider, interface_properties)
    # process object data 
    process_interface_properties(interface_properties) 
    
    # close NETCONFIG session and exit
    provider.close()     
    
     