


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION

from ydk.errors import YPYError, YPYModelError
from ydk.models import _yang_ns

_meta_table = {
    'EthernetMediaEnum' : _MetaInfoEnum('EthernetMediaEnum', 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'ethernet-other':'ETHERNET_OTHER',
            'ethernet-unknown':'ETHERNET_UNKNOWN',
            'ethernet-aui':'ETHERNET_AUI',
            'ethernet-10base5':'ETHERNET_10BASE5',
            'ethernet-foirl':'ETHERNET_FOIRL',
            'ethernet-10base2':'ETHERNET_10BASE2',
            'ethernet-10broad36':'ETHERNET_10BROAD36',
            'ethernet-10base':'ETHERNET_10BASE',
            'ethernet-10base-thd':'ETHERNET_10BASE_THD',
            'ethernet-10base-tfd':'ETHERNET_10BASE_TFD',
            'ethernet-10base-fp':'ETHERNET_10BASE_FP',
            'ethernet-10base-fb':'ETHERNET_10BASE_FB',
            'ethernet-10base-fl':'ETHERNET_10BASE_FL',
            'ethernet-10base-flhd':'ETHERNET_10BASE_FLHD',
            'ethernet-10base-flfd':'ETHERNET_10BASE_FLFD',
            'ethernet-100base-t4':'ETHERNET_100BASE_T4',
            'ethernet-100base-tx':'ETHERNET_100BASE_TX',
            'ethernet-100base-txhd':'ETHERNET_100BASE_TXHD',
            'ethernet-100base-txfd':'ETHERNET_100BASE_TXFD',
            'ethernet-100base-fx':'ETHERNET_100BASE_FX',
            'ethernet-100base-fxhd':'ETHERNET_100BASE_FXHD',
            'ethernet-100base-fxfd':'ETHERNET_100BASE_FXFD',
            'ethernet-100base-ex':'ETHERNET_100BASE_EX',
            'ethernet-100base-exhd':'ETHERNET_100BASE_EXHD',
            'ethernet-100base-exfd':'ETHERNET_100BASE_EXFD',
            'ethernet-100base-t2':'ETHERNET_100BASE_T2',
            'ethernet-100base-t2hd':'ETHERNET_100BASE_T2HD',
            'ethernet-100base-t2fd':'ETHERNET_100BASE_T2FD',
            'ethernet-1000base-x':'ETHERNET_1000BASE_X',
            'ethernet-1000base-xhd':'ETHERNET_1000BASE_XHD',
            'ethernet-1000base-xfd':'ETHERNET_1000BASE_XFD',
            'ethernet-1000base-lx':'ETHERNET_1000BASE_LX',
            'ethernet-1000base-lxhd':'ETHERNET_1000BASE_LXHD',
            'ethernet-1000base-lxfd':'ETHERNET_1000BASE_LXFD',
            'ethernet-1000base-sx':'ETHERNET_1000BASE_SX',
            'ethernet-1000base-sxhd':'ETHERNET_1000BASE_SXHD',
            'ethernet-1000base-sxfd':'ETHERNET_1000BASE_SXFD',
            'ethernet-1000base-cx':'ETHERNET_1000BASE_CX',
            'ethernet-1000base-cxhd':'ETHERNET_1000BASE_CXHD',
            'ethernet-1000base-cxfd':'ETHERNET_1000BASE_CXFD',
            'ethernet-1000base':'ETHERNET_1000BASE',
            'ethernet-1000base-thd':'ETHERNET_1000BASE_THD',
            'ethernet-1000base-tfd':'ETHERNET_1000BASE_TFD',
            'ethernet-10gbase-x':'ETHERNET_10GBASE_X',
            'ethernet-10gbase-lx4':'ETHERNET_10GBASE_LX4',
            'ethernet-10gbase-r':'ETHERNET_10GBASE_R',
            'ethernet-10gbase-er':'ETHERNET_10GBASE_ER',
            'ethernet-10gbase-lr':'ETHERNET_10GBASE_LR',
            'ethernet-10gbase-sr':'ETHERNET_10GBASE_SR',
            'ethernet-10gbase-w':'ETHERNET_10GBASE_W',
            'ethernet-10gbase-ew':'ETHERNET_10GBASE_EW',
            'ethernet-10gbase-lw':'ETHERNET_10GBASE_LW',
            'ethernet-10gbase-sw':'ETHERNET_10GBASE_SW',
            'ethernet-1000base-zx':'ETHERNET_1000BASE_ZX',
            'ethernet-1000base-cwdm':'ETHERNET_1000BASE_CWDM',
            'ethernet-1000base-cwdm-1470':'ETHERNET_1000BASE_CWDM_1470',
            'ethernet-1000base-cwdm-1490':'ETHERNET_1000BASE_CWDM_1490',
            'ethernet-1000base-cwdm-1510':'ETHERNET_1000BASE_CWDM_1510',
            'ethernet-1000base-cwdm-1530':'ETHERNET_1000BASE_CWDM_1530',
            'ethernet-1000base-cwdm-1550':'ETHERNET_1000BASE_CWDM_1550',
            'ethernet-1000base-cwdm-1570':'ETHERNET_1000BASE_CWDM_1570',
            'ethernet-1000base-cwdm-1590':'ETHERNET_1000BASE_CWDM_1590',
            'ethernet-1000base-cwdm-1610':'ETHERNET_1000BASE_CWDM_1610',
            'ethernet-10gbase-zr':'ETHERNET_10GBASE_ZR',
            'ethernet-10gbase-dwdm':'ETHERNET_10GBASE_DWDM',
            'ethernet-100gbase-lr4':'ETHERNET_100GBASE_LR4',
            'ethernet-1000base-dwdm':'ETHERNET_1000BASE_DWDM',
            'ethernet-1000base-dwdm-1533':'ETHERNET_1000BASE_DWDM_1533',
            'ethernet-1000base-dwdm-1537':'ETHERNET_1000BASE_DWDM_1537',
            'ethernet-1000base-dwdm-1541':'ETHERNET_1000BASE_DWDM_1541',
            'ethernet-1000base-dwdm-1545':'ETHERNET_1000BASE_DWDM_1545',
            'ethernet-1000base-dwdm-1549':'ETHERNET_1000BASE_DWDM_1549',
            'ethernet-1000base-dwdm-1553':'ETHERNET_1000BASE_DWDM_1553',
            'ethernet-1000base-dwdm-1557':'ETHERNET_1000BASE_DWDM_1557',
            'ethernet-1000base-dwdm-1561':'ETHERNET_1000BASE_DWDM_1561',
            'ethernet-40gbase-lr4':'ETHERNET_40GBASE_LR4',
            'ethernet-40gbase-er4':'ETHERNET_40GBASE_ER4',
            'ethernet-100gbase-er4':'ETHERNET_100GBASE_ER4',
            'ethernet-1000base-ex':'ETHERNET_1000BASE_EX',
            'ethernet-1000base-bx10-d':'ETHERNET_1000BASE_BX10_D',
            'ethernet-1000base-bx10-u':'ETHERNET_1000BASE_BX10_U',
            'ethernet-1000base-dwdm-1561-42':'ETHERNET_1000BASE_DWDM_1561_42',
            'ethernet-1000base-dwdm-1560-61':'ETHERNET_1000BASE_DWDM_1560_61',
            'ethernet-1000base-dwdm-1559-79':'ETHERNET_1000BASE_DWDM_1559_79',
            'ethernet-1000base-dwdm-1558-98':'ETHERNET_1000BASE_DWDM_1558_98',
            'ethernet-1000base-dwdm-1558-17':'ETHERNET_1000BASE_DWDM_1558_17',
            'ethernet-1000base-dwdm-1557-36':'ETHERNET_1000BASE_DWDM_1557_36',
            'ethernet-1000base-dwdm-1556-55':'ETHERNET_1000BASE_DWDM_1556_55',
            'ethernet-1000base-dwdm-1555-75':'ETHERNET_1000BASE_DWDM_1555_75',
            'ethernet-1000base-dwdm-1554-94':'ETHERNET_1000BASE_DWDM_1554_94',
            'ethernet-1000base-dwdm-1554-13':'ETHERNET_1000BASE_DWDM_1554_13',
            'ethernet-1000base-dwdm-1553-33':'ETHERNET_1000BASE_DWDM_1553_33',
            'ethernet-1000base-dwdm-1552-52':'ETHERNET_1000BASE_DWDM_1552_52',
            'ethernet-1000base-dwdm-1551-72':'ETHERNET_1000BASE_DWDM_1551_72',
            'ethernet-1000base-dwdm-1550-92':'ETHERNET_1000BASE_DWDM_1550_92',
            'ethernet-1000base-dwdm-1550-12':'ETHERNET_1000BASE_DWDM_1550_12',
            'ethernet-1000base-dwdm-1549-32':'ETHERNET_1000BASE_DWDM_1549_32',
            'ethernet-1000base-dwdm-1548-51':'ETHERNET_1000BASE_DWDM_1548_51',
            'ethernet-1000base-dwdm-1547-72':'ETHERNET_1000BASE_DWDM_1547_72',
            'ethernet-1000base-dwdm-1546-92':'ETHERNET_1000BASE_DWDM_1546_92',
            'ethernet-1000base-dwdm-1546-12':'ETHERNET_1000BASE_DWDM_1546_12',
            'ethernet-1000base-dwdm-1545-32':'ETHERNET_1000BASE_DWDM_1545_32',
            'ethernet-1000base-dwdm-1544-53':'ETHERNET_1000BASE_DWDM_1544_53',
            'ethernet-1000base-dwdm-1543-73':'ETHERNET_1000BASE_DWDM_1543_73',
            'ethernet-1000base-dwdm-1542-94':'ETHERNET_1000BASE_DWDM_1542_94',
            'ethernet-1000base-dwdm-1542-14':'ETHERNET_1000BASE_DWDM_1542_14',
            'ethernet-1000base-dwdm-1541-35':'ETHERNET_1000BASE_DWDM_1541_35',
            'ethernet-1000base-dwdm-1540-56':'ETHERNET_1000BASE_DWDM_1540_56',
            'ethernet-1000base-dwdm-1539-77':'ETHERNET_1000BASE_DWDM_1539_77',
            'ethernet-1000base-dwdm-1538-98':'ETHERNET_1000BASE_DWDM_1538_98',
            'ethernet-1000base-dwdm-1538-19':'ETHERNET_1000BASE_DWDM_1538_19',
            'ethernet-1000base-dwdm-1537-40':'ETHERNET_1000BASE_DWDM_1537_40',
            'ethernet-1000base-dwdm-1536-61':'ETHERNET_1000BASE_DWDM_1536_61',
            'ethernet-1000base-dwdm-1535-82':'ETHERNET_1000BASE_DWDM_1535_82',
            'ethernet-1000base-dwdm-1535-04':'ETHERNET_1000BASE_DWDM_1535_04',
            'ethernet-1000base-dwdm-1534-25':'ETHERNET_1000BASE_DWDM_1534_25',
            'ethernet-1000base-dwdm-1533-47':'ETHERNET_1000BASE_DWDM_1533_47',
            'ethernet-1000base-dwdm-1532-68':'ETHERNET_1000BASE_DWDM_1532_68',
            'ethernet-1000base-dwdm-1531-90':'ETHERNET_1000BASE_DWDM_1531_90',
            'ethernet-1000base-dwdm-1531-12':'ETHERNET_1000BASE_DWDM_1531_12',
            'ethernet-1000base-dwdm-1530-33':'ETHERNET_1000BASE_DWDM_1530_33',
            'ethernet-1000base-dwdm-tunable':'ETHERNET_1000BASE_DWDM_TUNABLE',
            'ethernet-10gbase-dwdm-1561-42':'ETHERNET_10GBASE_DWDM_1561_42',
            'ethernet-10gbase-dwdm-1560-61':'ETHERNET_10GBASE_DWDM_1560_61',
            'ethernet-10gbase-dwdm-1559-79':'ETHERNET_10GBASE_DWDM_1559_79',
            'ethernet-10gbase-dwdm-1558-98':'ETHERNET_10GBASE_DWDM_1558_98',
            'ethernet-10gbase-dwdm-1558-17':'ETHERNET_10GBASE_DWDM_1558_17',
            'ethernet-10gbase-dwdm-1557-36':'ETHERNET_10GBASE_DWDM_1557_36',
            'ethernet-10gbase-dwdm-1556-55':'ETHERNET_10GBASE_DWDM_1556_55',
            'ethernet-10gbase-dwdm-1555-75':'ETHERNET_10GBASE_DWDM_1555_75',
            'ethernet-10gbase-dwdm-1554-94':'ETHERNET_10GBASE_DWDM_1554_94',
            'ethernet-10gbase-dwdm-1554-13':'ETHERNET_10GBASE_DWDM_1554_13',
            'ethernet-10gbase-dwdm-1553-33':'ETHERNET_10GBASE_DWDM_1553_33',
            'ethernet-10gbase-dwdm-1552-52':'ETHERNET_10GBASE_DWDM_1552_52',
            'ethernet-10gbase-dwdm-1551-72':'ETHERNET_10GBASE_DWDM_1551_72',
            'ethernet-10gbase-dwdm-1550-92':'ETHERNET_10GBASE_DWDM_1550_92',
            'ethernet-10gbase-dwdm-1550-12':'ETHERNET_10GBASE_DWDM_1550_12',
            'ethernet-10gbase-dwdm-1549-32':'ETHERNET_10GBASE_DWDM_1549_32',
            'ethernet-10gbase-dwdm-1548-51':'ETHERNET_10GBASE_DWDM_1548_51',
            'ethernet-10gbase-dwdm-1547-72':'ETHERNET_10GBASE_DWDM_1547_72',
            'ethernet-10gbase-dwdm-1546-92':'ETHERNET_10GBASE_DWDM_1546_92',
            'ethernet-10gbase-dwdm-1546-12':'ETHERNET_10GBASE_DWDM_1546_12',
            'ethernet-10gbase-dwdm-1545-32':'ETHERNET_10GBASE_DWDM_1545_32',
            'ethernet-10gbase-dwdm-1544-53':'ETHERNET_10GBASE_DWDM_1544_53',
            'ethernet-10gbase-dwdm-1543-73':'ETHERNET_10GBASE_DWDM_1543_73',
            'ethernet-10gbase-dwdm-1542-94':'ETHERNET_10GBASE_DWDM_1542_94',
            'ethernet-10gbase-dwdm-1542-14':'ETHERNET_10GBASE_DWDM_1542_14',
            'ethernet-10gbase-dwdm-1541-35':'ETHERNET_10GBASE_DWDM_1541_35',
            'ethernet-10gbase-dwdm-1540-56':'ETHERNET_10GBASE_DWDM_1540_56',
            'ethernet-10gbase-dwdm-1539-77':'ETHERNET_10GBASE_DWDM_1539_77',
            'ethernet-10gbase-dwdm-1538-98':'ETHERNET_10GBASE_DWDM_1538_98',
            'ethernet-10gbase-dwdm-1538-19':'ETHERNET_10GBASE_DWDM_1538_19',
            'ethernet-10gbase-dwdm-1537-40':'ETHERNET_10GBASE_DWDM_1537_40',
            'ethernet-10gbase-dwdm-1536-61':'ETHERNET_10GBASE_DWDM_1536_61',
            'ethernet-10gbase-dwdm-1535-82':'ETHERNET_10GBASE_DWDM_1535_82',
            'ethernet-10gbase-dwdm-1535-04':'ETHERNET_10GBASE_DWDM_1535_04',
            'ethernet-10gbase-dwdm-1534-25':'ETHERNET_10GBASE_DWDM_1534_25',
            'ethernet-10gbase-dwdm-1533-47':'ETHERNET_10GBASE_DWDM_1533_47',
            'ethernet-10gbase-dwdm-1532-68':'ETHERNET_10GBASE_DWDM_1532_68',
            'ethernet-10gbase-dwdm-1531-90':'ETHERNET_10GBASE_DWDM_1531_90',
            'ethernet-10gbase-dwdm-1531-12':'ETHERNET_10GBASE_DWDM_1531_12',
            'ethernet-10gbase-dwdm-1530-33':'ETHERNET_10GBASE_DWDM_1530_33',
            'ethernet-10gbase-dwdm-tunable':'ETHERNET_10GBASE_DWDM_TUNABLE',
            'ethernet-40gbase-dwdm-1561-42':'ETHERNET_40GBASE_DWDM_1561_42',
            'ethernet-40gbase-dwdm-1560-61':'ETHERNET_40GBASE_DWDM_1560_61',
            'ethernet-40gbase-dwdm-1559-79':'ETHERNET_40GBASE_DWDM_1559_79',
            'ethernet-40gbase-dwdm-1558-98':'ETHERNET_40GBASE_DWDM_1558_98',
            'ethernet-40gbase-dwdm-1558-17':'ETHERNET_40GBASE_DWDM_1558_17',
            'ethernet-40gbase-dwdm-1557-36':'ETHERNET_40GBASE_DWDM_1557_36',
            'ethernet-40gbase-dwdm-1556-55':'ETHERNET_40GBASE_DWDM_1556_55',
            'ethernet-40gbase-dwdm-1555-75':'ETHERNET_40GBASE_DWDM_1555_75',
            'ethernet-40gbase-dwdm-1554-94':'ETHERNET_40GBASE_DWDM_1554_94',
            'ethernet-40gbase-dwdm-1554-13':'ETHERNET_40GBASE_DWDM_1554_13',
            'ethernet-40gbase-dwdm-1553-33':'ETHERNET_40GBASE_DWDM_1553_33',
            'ethernet-40gbase-dwdm-1552-52':'ETHERNET_40GBASE_DWDM_1552_52',
            'ethernet-40gbase-dwdm-1551-72':'ETHERNET_40GBASE_DWDM_1551_72',
            'ethernet-40gbase-dwdm-1550-92':'ETHERNET_40GBASE_DWDM_1550_92',
            'ethernet-40gbase-dwdm-1550-12':'ETHERNET_40GBASE_DWDM_1550_12',
            'ethernet-40gbase-dwdm-1549-32':'ETHERNET_40GBASE_DWDM_1549_32',
            'ethernet-40gbase-dwdm-1548-51':'ETHERNET_40GBASE_DWDM_1548_51',
            'ethernet-40gbase-dwdm-1547-72':'ETHERNET_40GBASE_DWDM_1547_72',
            'ethernet-40gbase-dwdm-1546-92':'ETHERNET_40GBASE_DWDM_1546_92',
            'ethernet-40gbase-dwdm-1546-12':'ETHERNET_40GBASE_DWDM_1546_12',
            'ethernet-40gbase-dwdm-1545-32':'ETHERNET_40GBASE_DWDM_1545_32',
            'ethernet-40gbase-dwdm-1544-53':'ETHERNET_40GBASE_DWDM_1544_53',
            'ethernet-40gbase-dwdm-1543-73':'ETHERNET_40GBASE_DWDM_1543_73',
            'ethernet-40gbase-dwdm-1542-94':'ETHERNET_40GBASE_DWDM_1542_94',
            'ethernet-40gbase-dwdm-1542-14':'ETHERNET_40GBASE_DWDM_1542_14',
            'ethernet-40gbase-dwdm-1541-35':'ETHERNET_40GBASE_DWDM_1541_35',
            'ethernet-40gbase-dwdm-1540-56':'ETHERNET_40GBASE_DWDM_1540_56',
            'ethernet-40gbase-dwdm-1539-77':'ETHERNET_40GBASE_DWDM_1539_77',
            'ethernet-40gbase-dwdm-1538-98':'ETHERNET_40GBASE_DWDM_1538_98',
            'ethernet-40gbase-dwdm-1538-19':'ETHERNET_40GBASE_DWDM_1538_19',
            'ethernet-40gbase-dwdm-1537-40':'ETHERNET_40GBASE_DWDM_1537_40',
            'ethernet-40gbase-dwdm-1536-61':'ETHERNET_40GBASE_DWDM_1536_61',
            'ethernet-40gbase-dwdm-1535-82':'ETHERNET_40GBASE_DWDM_1535_82',
            'ethernet-40gbase-dwdm-1535-04':'ETHERNET_40GBASE_DWDM_1535_04',
            'ethernet-40gbase-dwdm-1534-25':'ETHERNET_40GBASE_DWDM_1534_25',
            'ethernet-40gbase-dwdm-1533-47':'ETHERNET_40GBASE_DWDM_1533_47',
            'ethernet-40gbase-dwdm-1532-68':'ETHERNET_40GBASE_DWDM_1532_68',
            'ethernet-40gbase-dwdm-1531-90':'ETHERNET_40GBASE_DWDM_1531_90',
            'ethernet-40gbase-dwdm-1531-12':'ETHERNET_40GBASE_DWDM_1531_12',
            'ethernet-40gbase-dwdm-1530-33':'ETHERNET_40GBASE_DWDM_1530_33',
            'ethernet-40gbase-dwdm-tunable':'ETHERNET_40GBASE_DWDM_TUNABLE',
            'ethernet-100gbase-dwdm-1561-42':'ETHERNET_100GBASE_DWDM_1561_42',
            'ethernet-100gbase-dwdm-1560-61':'ETHERNET_100GBASE_DWDM_1560_61',
            'ethernet-100gbase-dwdm-1559-79':'ETHERNET_100GBASE_DWDM_1559_79',
            'ethernet-100gbase-dwdm-1558-98':'ETHERNET_100GBASE_DWDM_1558_98',
            'ethernet-100gbase-dwdm-1558-17':'ETHERNET_100GBASE_DWDM_1558_17',
            'ethernet-100gbase-dwdm-1557-36':'ETHERNET_100GBASE_DWDM_1557_36',
            'ethernet-100gbase-dwdm-1556-55':'ETHERNET_100GBASE_DWDM_1556_55',
            'ethernet-100gbase-dwdm-1555-75':'ETHERNET_100GBASE_DWDM_1555_75',
            'ethernet-100gbase-dwdm-1554-94':'ETHERNET_100GBASE_DWDM_1554_94',
            'ethernet-100gbase-dwdm-1554-13':'ETHERNET_100GBASE_DWDM_1554_13',
            'ethernet-100gbase-dwdm-1553-33':'ETHERNET_100GBASE_DWDM_1553_33',
            'ethernet-100gbase-dwdm-1552-52':'ETHERNET_100GBASE_DWDM_1552_52',
            'ethernet-100gbase-dwdm-1551-72':'ETHERNET_100GBASE_DWDM_1551_72',
            'ethernet-100gbase-dwdm-1550-92':'ETHERNET_100GBASE_DWDM_1550_92',
            'ethernet-100gbase-dwdm-1550-12':'ETHERNET_100GBASE_DWDM_1550_12',
            'ethernet-100gbase-dwdm-1549-32':'ETHERNET_100GBASE_DWDM_1549_32',
            'ethernet-100gbase-dwdm-1548-51':'ETHERNET_100GBASE_DWDM_1548_51',
            'ethernet-100gbase-dwdm-1547-72':'ETHERNET_100GBASE_DWDM_1547_72',
            'ethernet-100gbase-dwdm-1546-92':'ETHERNET_100GBASE_DWDM_1546_92',
            'ethernet-100gbase-dwdm-1546-12':'ETHERNET_100GBASE_DWDM_1546_12',
            'ethernet-100gbase-dwdm-1545-32':'ETHERNET_100GBASE_DWDM_1545_32',
            'ethernet-100gbase-dwdm-1544-53':'ETHERNET_100GBASE_DWDM_1544_53',
            'ethernet-100gbase-dwdm-1543-73':'ETHERNET_100GBASE_DWDM_1543_73',
            'ethernet-100gbase-dwdm-1542-94':'ETHERNET_100GBASE_DWDM_1542_94',
            'ethernet-100gbase-dwdm-1542-14':'ETHERNET_100GBASE_DWDM_1542_14',
            'ethernet-100gbase-dwdm-1541-35':'ETHERNET_100GBASE_DWDM_1541_35',
            'ethernet-100gbase-dwdm-1540-56':'ETHERNET_100GBASE_DWDM_1540_56',
            'ethernet-100gbase-dwdm-1539-77':'ETHERNET_100GBASE_DWDM_1539_77',
            'ethernet-100gbase-dwdm-1538-98':'ETHERNET_100GBASE_DWDM_1538_98',
            'ethernet-100gbase-dwdm-1538-19':'ETHERNET_100GBASE_DWDM_1538_19',
            'ethernet-100gbase-dwdm-1537-40':'ETHERNET_100GBASE_DWDM_1537_40',
            'ethernet-100gbase-dwdm-1536-61':'ETHERNET_100GBASE_DWDM_1536_61',
            'ethernet-100gbase-dwdm-1535-82':'ETHERNET_100GBASE_DWDM_1535_82',
            'ethernet-100gbase-dwdm-1535-04':'ETHERNET_100GBASE_DWDM_1535_04',
            'ethernet-100gbase-dwdm-1534-25':'ETHERNET_100GBASE_DWDM_1534_25',
            'ethernet-100gbase-dwdm-1533-47':'ETHERNET_100GBASE_DWDM_1533_47',
            'ethernet-100gbase-dwdm-1532-68':'ETHERNET_100GBASE_DWDM_1532_68',
            'ethernet-100gbase-dwdm-1531-90':'ETHERNET_100GBASE_DWDM_1531_90',
            'ethernet-100gbase-dwdm-1531-12':'ETHERNET_100GBASE_DWDM_1531_12',
            'ethernet-100gbase-dwdm-1530-33':'ETHERNET_100GBASE_DWDM_1530_33',
            'ethernet-100gbase-dwdm-tunable':'ETHERNET_100GBASE_DWDM_TUNABLE',
            'ethernet-40gbase-kr4':'ETHERNET_40GBASE_KR4',
            'ethernet-40gbase-cr4':'ETHERNET_40GBASE_CR4',
            'ethernet-40gbase-sr4':'ETHERNET_40GBASE_SR4',
            'ethernet-40gbase-fr':'ETHERNET_40GBASE_FR',
            'ethernet-100gbase-cr10':'ETHERNET_100GBASE_CR10',
            'ethernet-100gbase-sr10':'ETHERNET_100GBASE_SR10',
            'ethernet-40gbase-csr4':'ETHERNET_40GBASE_CSR4',
            'ethernet-10gbase-cwdm':'ETHERNET_10GBASE_CWDM',
            'ethernet-10gbase-cwdm-tunable':'ETHERNET_10GBASE_CWDM_TUNABLE',
            'ethernet-10gbase-cwdm-1470':'ETHERNET_10GBASE_CWDM_1470',
            'ethernet-10gbase-cwdm-1490':'ETHERNET_10GBASE_CWDM_1490',
            'ethernet-10gbase-cwdm-1510':'ETHERNET_10GBASE_CWDM_1510',
            'ethernet-10gbase-cwdm-1530':'ETHERNET_10GBASE_CWDM_1530',
            'ethernet-10gbase-cwdm-1550':'ETHERNET_10GBASE_CWDM_1550',
            'ethernet-10gbase-cwdm-1570':'ETHERNET_10GBASE_CWDM_1570',
            'ethernet-10gbase-cwdm-1590':'ETHERNET_10GBASE_CWDM_1590',
            'ethernet-10gbase-cwdm-1610':'ETHERNET_10GBASE_CWDM_1610',
            'ethernet-40gbase-cwdm':'ETHERNET_40GBASE_CWDM',
            'ethernet-40gbase-cwdm-tunable':'ETHERNET_40GBASE_CWDM_TUNABLE',
            'ethernet-40gbase-cwdm-1470':'ETHERNET_40GBASE_CWDM_1470',
            'ethernet-40gbase-cwdm-1490':'ETHERNET_40GBASE_CWDM_1490',
            'ethernet-40gbase-cwdm-1510':'ETHERNET_40GBASE_CWDM_1510',
            'ethernet-40gbase-cwdm-1530':'ETHERNET_40GBASE_CWDM_1530',
            'ethernet-40gbase-cwdm-1550':'ETHERNET_40GBASE_CWDM_1550',
            'ethernet-40gbase-cwdm-1570':'ETHERNET_40GBASE_CWDM_1570',
            'ethernet-40gbase-cwdm-1590':'ETHERNET_40GBASE_CWDM_1590',
            'ethernet-40gbase-cwdm-1610':'ETHERNET_40GBASE_CWDM_1610',
            'ethernet-100gbase-cwdm':'ETHERNET_100GBASE_CWDM',
            'ethernet-100gbase-cwdm-tunable':'ETHERNET_100GBASE_CWDM_TUNABLE',
            'ethernet-100gbase-cwdm-1470':'ETHERNET_100GBASE_CWDM_1470',
            'ethernet-100gbase-cwdm-1490':'ETHERNET_100GBASE_CWDM_1490',
            'ethernet-100gbase-cwdm-1510':'ETHERNET_100GBASE_CWDM_1510',
            'ethernet-100gbase-cwdm-1530':'ETHERNET_100GBASE_CWDM_1530',
            'ethernet-100gbase-cwdm-1550':'ETHERNET_100GBASE_CWDM_1550',
            'ethernet-100gbase-cwdm-1570':'ETHERNET_100GBASE_CWDM_1570',
            'ethernet-100gbase-cwdm-1590':'ETHERNET_100GBASE_CWDM_1590',
            'ethernet-100gbase-cwdm-1610':'ETHERNET_100GBASE_CWDM_1610',
            'ethernet-40gbase-elpb':'ETHERNET_40GBASE_ELPB',
            'ethernet-100gbase-elpb':'ETHERNET_100GBASE_ELPB',
            'ethernet-100gbase-lr10':'ETHERNET_100GBASE_LR10',
            'ethernet-40gbase':'ETHERNET_40GBASE',
            'ethernet-100gbase-kp4':'ETHERNET_100GBASE_KP4',
            'ethernet-100gbase-kr4':'ETHERNET_100GBASE_KR4',
            'ethernet-10gbase-lrm':'ETHERNET_10GBASE_LRM',
            'ethernet-10gbase-cx4':'ETHERNET_10GBASE_CX4',
            'ethernet-10gbase':'ETHERNET_10GBASE',
            'ethernet-10gbase-kx4':'ETHERNET_10GBASE_KX4',
            'ethernet-10gbase-kr':'ETHERNET_10GBASE_KR',
            'ethernet-10gbase-pr':'ETHERNET_10GBASE_PR',
            'ethernet-100base-lx':'ETHERNET_100BASE_LX',
            'ethernet-100base-zx':'ETHERNET_100BASE_ZX',
            'ethernet-1000base-bx-d':'ETHERNET_1000BASE_BX_D',
            'ethernet-1000base-bx-u':'ETHERNET_1000BASE_BX_U',
            'ethernet-1000base-bx20-d':'ETHERNET_1000BASE_BX20_D',
            'ethernet-1000base-bx20-u':'ETHERNET_1000BASE_BX20_U',
            'ethernet-1000base-bx40-d':'ETHERNET_1000BASE_BX40_D',
            'ethernet-1000base-bx40-da':'ETHERNET_1000BASE_BX40_DA',
            'ethernet-1000base-bx40-u':'ETHERNET_1000BASE_BX40_U',
            'ethernet-1000base-bx80-d':'ETHERNET_1000BASE_BX80_D',
            'ethernet-1000base-bx80-u':'ETHERNET_1000BASE_BX80_U',
            'ethernet-1000base-bx120-d':'ETHERNET_1000BASE_BX120_D',
            'ethernet-1000base-bx120-u':'ETHERNET_1000BASE_BX120_U',
            'ethernet-10gbase-bx-d':'ETHERNET_10GBASE_BX_D',
            'ethernet-10gbase-bx-u':'ETHERNET_10GBASE_BX_U',
            'ethernet-10gbase-bx10-d':'ETHERNET_10GBASE_BX10_D',
            'ethernet-10gbase-bx10-u':'ETHERNET_10GBASE_BX10_U',
            'ethernet-10gbase-bx20-d':'ETHERNET_10GBASE_BX20_D',
            'ethernet-10gbase-bx20-u':'ETHERNET_10GBASE_BX20_U',
            'ethernet-10gbase-bx40-d':'ETHERNET_10GBASE_BX40_D',
            'ethernet-10gbase-bx40-u':'ETHERNET_10GBASE_BX40_U',
            'ethernet-10gbase-bx80-d':'ETHERNET_10GBASE_BX80_D',
            'ethernet-10gbase-bx80-u':'ETHERNET_10GBASE_BX80_U',
            'ethernet-10gbase-bx120-d':'ETHERNET_10GBASE_BX120_D',
            'ethernet-10gbase-bx120-u':'ETHERNET_10GBASE_BX120_U',
            'ethernet-1000base-dr-lx':'ETHERNET_1000BASE_DR_LX',
            'ethernet-100gbase-er4l':'ETHERNET_100GBASE_ER4L',
            'ethernet-100gbase-sr4':'ETHERNET_100GBASE_SR4',
            'ethernet-40gbase-sr-bd':'ETHERNET_40GBASE_SR_BD',
            'ethernet-base-max':'ETHERNET_BASE_MAX',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetIpgEnum' : _MetaInfoEnum('EthernetIpgEnum', 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'standard':'STANDARD',
            'non-standard':'NON_STANDARD',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetDevEnum' : _MetaInfoEnum('EthernetDevEnum', 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'no-device':'NO_DEVICE',
            'pma-pmd':'PMA_PMD',
            'wis':'WIS',
            'pcs':'PCS',
            'phy-xs':'PHY_XS',
            'dte-xs':'DTE_XS',
            'ethernet-num-dev':'ETHERNET_NUM_DEV',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthCtrlrAlarmStateEnum' : _MetaInfoEnum('EthCtrlrAlarmStateEnum', 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'alarm-not-supported':'ALARM_NOT_SUPPORTED',
            'alarm-set':'ALARM_SET',
            'alarm-not-set':'ALARM_NOT_SET',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetDuplexEnum' : _MetaInfoEnum('EthernetDuplexEnum', 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'ethernet-duplex-invalid':'ETHERNET_DUPLEX_INVALID',
            'half-duplex':'HALF_DUPLEX',
            'full-duplex':'FULL_DUPLEX',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EtherAinsStatusEnum' : _MetaInfoEnum('EtherAinsStatusEnum', 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'ains-soak-status-none':'AINS_SOAK_STATUS_NONE',
            'ains-soak-status-pending':'AINS_SOAK_STATUS_PENDING',
            'ains-soak-status-running':'AINS_SOAK_STATUS_RUNNING',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EtherPhyPresentEnum' : _MetaInfoEnum('EtherPhyPresentEnum', 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'phy-not-present':'PHY_NOT_PRESENT',
            'phy-present':'PHY_PRESENT',
            'no-information':'NO_INFORMATION',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetBertPatternEnum' : _MetaInfoEnum('EthernetBertPatternEnum', 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'no-test-pattern':'NO_TEST_PATTERN',
            'high-frequency':'HIGH_FREQUENCY',
            'low-frequency':'LOW_FREQUENCY',
            'mixed-frequency':'MIXED_FREQUENCY',
            'continuous-random':'CONTINUOUS_RANDOM',
            'continuous-jitter':'CONTINUOUS_JITTER',
            'long-continuous-random':'LONG_CONTINUOUS_RANDOM',
            'short-continuous-random':'SHORT_CONTINUOUS_RANDOM',
            'pseudorandom-seed-a':'PSEUDORANDOM_SEED_A',
            'pseudorandom-seed-b':'PSEUDORANDOM_SEED_B',
            'prbs31':'PRBS31',
            'square-wave':'SQUARE_WAVE',
            'pseudorandom':'PSEUDORANDOM',
            'ethernet-bert-pattern-types':'ETHERNET_BERT_PATTERN_TYPES',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetLoopbackEnum' : _MetaInfoEnum('EthernetLoopbackEnum', 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'no-loopback':'NO_LOOPBACK',
            'internal':'INTERNAL',
            'line':'LINE',
            'external':'EXTERNAL',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetSpeedEnum' : _MetaInfoEnum('EthernetSpeedEnum', 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'ethernet-speed-invalid':'ETHERNET_SPEED_INVALID',
            'ten-mbps':'TEN_MBPS',
            'hundred-mbps':'HUNDRED_MBPS',
            'one-gbps':'ONE_GBPS',
            'ten-gbps':'TEN_GBPS',
            'forty-gbps':'FORTY_GBPS',
            'hundred-gbps':'HUNDRED_GBPS',
            'ethernet-speed-types-count':'ETHERNET_SPEED_TYPES_COUNT',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EtherLinkStateEnum' : _MetaInfoEnum('EtherLinkStateEnum', 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'state-undefined':'STATE_UNDEFINED',
            'unknown-state':'UNKNOWN_STATE',
            'available':'AVAILABLE',
            'not-available':'NOT_AVAILABLE',
            'remote-fault':'REMOTE_FAULT',
            'invalid-signal':'INVALID_SIGNAL',
            'remote-jabber':'REMOTE_JABBER',
            'link-loss':'LINK_LOSS',
            'remote-test':'REMOTE_TEST',
            'offline':'OFFLINE',
            'auto-neg-error':'AUTO_NEG_ERROR',
            'pmd-link-fault':'PMD_LINK_FAULT',
            'frame-loss':'FRAME_LOSS',
            'signal-loss':'SIGNAL_LOSS',
            'link-fault':'LINK_FAULT',
            'excessive-ber':'EXCESSIVE_BER',
            'dxs-link-fault':'DXS_LINK_FAULT',
            'pxs-link-fault':'PXS_LINK_FAULT',
            'security':'SECURITY',
            'phy-not-present':'PHY_NOT_PRESENT',
            'no-optic-license':'NO_OPTIC_LICENSE',
            'unsupported-module':'UNSUPPORTED_MODULE',
            'dwdm-laser-shut':'DWDM_LASER_SHUT',
            'wanphy-laser-shut':'WANPHY_LASER_SHUT',
            'incompatible-config':'INCOMPATIBLE_CONFIG',
            'system-error':'SYSTEM_ERROR',
            'wan-framing-error':'WAN_FRAMING_ERROR',
            'otn-framing-error':'OTN_FRAMING_ERROR',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EtherLedStateEnum' : _MetaInfoEnum('EtherLedStateEnum', 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'led-state-unknown':'LED_STATE_UNKNOWN',
            'led-off':'LED_OFF',
            'green-on':'GREEN_ON',
            'green-flashing':'GREEN_FLASHING',
            'yellow-on':'YELLOW_ON',
            'yellow-flashing':'YELLOW_FLASHING',
            'red-on':'RED_ON',
            'red-flashing':'RED_FLASHING',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetDevIfEnum' : _MetaInfoEnum('EthernetDevIfEnum', 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'no-interface':'NO_INTERFACE',
            'xgmii':'XGMII',
            'xaui':'XAUI',
            'ethernet-num-dev-if':'ETHERNET_NUM_DEV_IF',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EtherDomAlarmEnum' : _MetaInfoEnum('EtherDomAlarmEnum', 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'no-information':'NO_INFORMATION',
            'alarm-high':'ALARM_HIGH',
            'warning-high':'WARNING_HIGH',
            'normal':'NORMAL',
            'warning-low':'WARNING_LOW',
            'alarm-low':'ALARM_LOW',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetPortEnableEnum' : _MetaInfoEnum('EthernetPortEnableEnum', 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'disabled':'DISABLED',
            'rx-enabled':'RX_ENABLED',
            'tx-enabled':'TX_ENABLED',
            'enabled':'ENABLED',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetFecEnum' : _MetaInfoEnum('EthernetFecEnum', 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'not-configured':'NOT_CONFIGURED',
            'standard':'STANDARD',
            'disabled':'DISABLED',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetBertErrCntEnum' : _MetaInfoEnum('EthernetBertErrCntEnum', 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'no-count-type':'NO_COUNT_TYPE',
            'bit-error-count':'BIT_ERROR_COUNT',
            'frame-error-count':'FRAME_ERROR_COUNT',
            'block-error-count':'BLOCK_ERROR_COUNT',
            'ethernet-bert-err-cnt-types':'ETHERNET_BERT_ERR_CNT_TYPES',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EtherFlowcontrolEnum' : _MetaInfoEnum('EtherFlowcontrolEnum', 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper',
        {
            'no-flowcontrol':'NO_FLOWCONTROL',
            'egress':'EGRESS',
            'ingress':'INGRESS',
            'bidirectional':'BIDIRECTIONAL',
        }, 'Cisco-IOS-XR-drivers-media-eth-oper', _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper']),
    'EthernetInterface.Statistics.Statistic' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Statistics.Statistic',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3}\\d+)|(([a-zA-Z0-9_]*\\d+/){4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                The name of the interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-drivers-media-eth-oper', True),
            _MetaInfoClassMember('aborted-packet-drops', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Drops due to packet abort
                ''',
                'aborted_packet_drops',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('buffer-underrun-packet-drops', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Drops due to buffer underrun
                ''',
                'buffer_underrun_packet_drops',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('dropped-ether-stats-fragments', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Bad Frames < 64 Octet, dropped
                ''',
                'dropped_ether_stats_fragments',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('dropped-ether-stats-undersize-pkts', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Good frames < 64 Octet, dropped
                ''',
                'dropped_ether_stats_undersize_pkts',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('dropped-giant-packets-greaterthan-mru', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Good frames > MRU, dropped
                ''',
                'dropped_giant_packets_greaterthan_mru',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('dropped-jabbers-packets-greaterthan-mru', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Bad Frames > MRU, dropped
                ''',
                'dropped_jabbers_packets_greaterthan_mru',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('dropped-miscellaneous-error-packets', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Any other errors not counted
                ''',
                'dropped_miscellaneous_error_packets',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('dropped-packets-with-crc-align-errors', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Frames 64 - MRU with CRC error
                ''',
                'dropped_packets_with_crc_align_errors',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('ether-stats-collisions', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                All collision events
                ''',
                'ether_stats_collisions',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('invalid-dest-mac-drop-packets', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Drops due to the destination MAC not matching
                ''',
                'invalid_dest_mac_drop_packets',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('invalid-encap-drop-packets', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Drops due to the encapsulation or ether type not
                matching
                ''',
                'invalid_encap_drop_packets',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('miscellaneous-output-errors', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Any other errors not counted
                ''',
                'miscellaneous_output_errors',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('number-of-aborted-packets-dropped', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Drops due to packet abort
                ''',
                'number_of_aborted_packets_dropped',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('number-of-buffer-overrun-packets-dropped', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Drops due to buffer overrun
                ''',
                'number_of_buffer_overrun_packets_dropped',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('number-of-miscellaneous-packets-dropped', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Any other drops not counted
                ''',
                'number_of_miscellaneous_packets_dropped',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('numberof-invalid-vlan-id-packets-dropped', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Drops due to invalid VLAN id
                ''',
                'numberof_invalid_vlan_id_packets_dropped',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received8021q-frames', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                All 802.1Q frames
                ''',
                'received8021q_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-broadcast-frames', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Received broadcast Frames
                ''',
                'received_broadcast_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-good-bytes', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Total octets of all good frames
                ''',
                'received_good_bytes',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-good-frames', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Received Good Frames
                ''',
                'received_good_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-multicast-frames', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Received multicast Frames
                ''',
                'received_multicast_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-pause-frames', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                All pause frames
                ''',
                'received_pause_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-total64-octet-frames', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                All 64 Octet Frame Count
                ''',
                'received_total64_octet_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-total-bytes', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Total octets of all frames
                ''',
                'received_total_bytes',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-total-frames', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                All frames, good or bad
                ''',
                'received_total_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-total-octet-frames-from1024-to1518', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                All 1024-1518 Octet Frame Count
                ''',
                'received_total_octet_frames_from1024_to1518',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-total-octet-frames-from128-to255', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                All 128-255 Octet Frame Count
                ''',
                'received_total_octet_frames_from128_to255',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-total-octet-frames-from1519-to-max', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                All > 1518 Octet Frame Count
                ''',
                'received_total_octet_frames_from1519_to_max',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-total-octet-frames-from256-to511', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                All 256-511 Octet Frame Count
                ''',
                'received_total_octet_frames_from256_to511',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-total-octet-frames-from512-to1023', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                All 512-1023 Octet Frame Count
                ''',
                'received_total_octet_frames_from512_to1023',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-total-octet-frames-from65-to127', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                All 65-127 Octet Frame Count
                ''',
                'received_total_octet_frames_from65_to127',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-unicast-frames', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Received unicast Frames
                ''',
                'received_unicast_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-unknown-opcodes', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Unsupported MAC Control frames
                ''',
                'received_unknown_opcodes',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('rfc2819-ether-stats-crc-align-errors', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                RFC2819 etherStatsCRCAlignErrors
                ''',
                'rfc2819_ether_stats_crc_align_errors',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('rfc2819-ether-stats-jabbers', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                RFC2819 etherStatsJabbers
                ''',
                'rfc2819_ether_stats_jabbers',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('rfc2819-ether-stats-oversized-pkts', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                RFC2819 etherStatsOversizedPkts
                ''',
                'rfc2819_ether_stats_oversized_pkts',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('rfc3635dot3-stats-alignment-errors', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                RFC3635 dot3StatsAlignmentErrors
                ''',
                'rfc3635dot3_stats_alignment_errors',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('symbol-errors', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Symbol errors
                ''',
                'symbol_errors',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('total-bytes-transmitted', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Total octets of all frames
                ''',
                'total_bytes_transmitted',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('total-frames-transmitted', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                All frames, good or bad
                ''',
                'total_frames_transmitted',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('total-good-bytes-transmitted', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Total octets of all good frames
                ''',
                'total_good_bytes_transmitted',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted8021q-frames', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                All 802.1Q frames
                ''',
                'transmitted8021q_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-broadcast-frames', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Transmitted broadcast Frames
                ''',
                'transmitted_broadcast_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-good-frames', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Transmitted Good Frames
                ''',
                'transmitted_good_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-multicast-frames', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Transmitted multicast Frames
                ''',
                'transmitted_multicast_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-total64-octet-frames', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                All 64 Octet Frame Count
                ''',
                'transmitted_total64_octet_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-total-octet-frames-from1024-to1518', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                All 1024-1518 Octet Frame Count
                ''',
                'transmitted_total_octet_frames_from1024_to1518',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-total-octet-frames-from128-to255', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                All 128-255 Octet Frame Count
                ''',
                'transmitted_total_octet_frames_from128_to255',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-total-octet-frames-from1518-to-max', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                All > 1518 Octet Frame Count
                ''',
                'transmitted_total_octet_frames_from1518_to_max',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-total-octet-frames-from256-to511', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                All 256-511 Octet Frame Count
                ''',
                'transmitted_total_octet_frames_from256_to511',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-total-octet-frames-from512-to1023', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                All 512-1023 Octet Frame Count
                ''',
                'transmitted_total_octet_frames_from512_to1023',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-total-octet-frames-from65-to127', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                All 65-127 Octet Frame Count
                ''',
                'transmitted_total_octet_frames_from65_to127',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-total-pause-frames', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                All pause frames
                ''',
                'transmitted_total_pause_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmitted-unicast-frames', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Transmitted unicast Frames
                ''',
                'transmitted_unicast_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('uncounted-dropped-frames', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Any other drops not counted
                ''',
                'uncounted_dropped_frames',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Statistics' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Statistics',
            False, 
            [
            _MetaInfoClassMember('statistic', REFERENCE_LIST, 'Statistic' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Statistics.Statistic', 
                [], [], 
                '''                Ethernet statistics information
                ''',
                'statistic',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.LaneFieldValidity' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.LaneFieldValidity',
            False, 
            [
            _MetaInfoClassMember('laser-bias-valid', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                The laser bias 'per lane' field is valid
                ''',
                'laser_bias_valid',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('receive-power-valid', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                The receive power 'per lane' field is valid
                ''',
                'receive_power_valid',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmit-power-valid', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                The transmit power 'per lane' field is valid
                ''',
                'transmit_power_valid',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('wavelength-valid', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                The wavelength 'per lane' field is valid
                ''',
                'wavelength_valid',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'lane-field-validity',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarmThresholds.FieldValidity' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarmThresholds.FieldValidity',
            False, 
            [
            _MetaInfoClassMember('laser-bias-valid', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                The laser bias fields are valid
                ''',
                'laser_bias_valid',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('receive-power-valid', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                The receive power fields are valid
                ''',
                'receive_power_valid',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('temperature-valid', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                The temperature fields are valid
                ''',
                'temperature_valid',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmit-power-valid', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                The transmit power fields are valid
                ''',
                'transmit_power_valid',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('voltage-valid', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                The voltage fields are valid
                ''',
                'voltage_valid',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'field-validity',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarmThresholds' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarmThresholds',
            False, 
            [
            _MetaInfoClassMember('field-validity', REFERENCE_CLASS, 'FieldValidity' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarmThresholds.FieldValidity', 
                [], [], 
                '''                Field validity
                ''',
                'field_validity',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('laser-bias-alarm-high', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Laser bias high alarm threshold (mA)
                ''',
                'laser_bias_alarm_high',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('laser-bias-alarm-low', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Laser bias low alarm threshold (mA)
                ''',
                'laser_bias_alarm_low',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('laser-bias-warning-high', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Laser bias high warning threshold (mA)
                ''',
                'laser_bias_warning_high',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('laser-bias-warning-low', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Laser bias low warning threshold (mA)
                ''',
                'laser_bias_warning_low',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('optical-receive-power-alarm-high', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                High optical receive power alarm threshold (mW)
                ''',
                'optical_receive_power_alarm_high',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('optical-receive-power-alarm-low', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Low optical receive power alarm threshold (mW)
                ''',
                'optical_receive_power_alarm_low',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('optical-receive-power-warning-high', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                High optical receive power warning threshold
                (mW)
                ''',
                'optical_receive_power_warning_high',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('optical-receive-power-warning-low', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Low optical receive power warning threshold (mW)
                ''',
                'optical_receive_power_warning_low',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('optical-transmit-power-alarm-high', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                High optical transmit power alarm threshold (mW)
                ''',
                'optical_transmit_power_alarm_high',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('optical-transmit-power-alarm-low', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Low optical transmit power alarm threshold (mW)
                ''',
                'optical_transmit_power_alarm_low',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('optical-transmit-power-warning-high', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                High optical transmit power warning threshold
                (mW)
                ''',
                'optical_transmit_power_warning_high',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('optical-transmit-power-warning-low', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Low optical transmit power warning threshold
                (mW)
                ''',
                'optical_transmit_power_warning_low',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-temperature-alarm-high', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                Transceiver high temperature alarm threshold
                (mDegrees C)
                ''',
                'transceiver_temperature_alarm_high',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-temperature-alarm-low', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                Transceiver low temperature alarm threshold
                (mDegrees C)
                ''',
                'transceiver_temperature_alarm_low',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-temperature-warning-high', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                Transceiver high temperature warning threshold
                (mDegrees C)
                ''',
                'transceiver_temperature_warning_high',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-temperature-warning-low', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                Transceiver low temperature warning threshold
                (mDegrees C)
                ''',
                'transceiver_temperature_warning_low',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-voltage-alarm-high', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Transceiver high voltage alarm threshold (mV)
                ''',
                'transceiver_voltage_alarm_high',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-voltage-alarm-low', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Transceiver low voltage alarm threshold (mV)
                ''',
                'transceiver_voltage_alarm_low',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-voltage-warning-high', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Transceiver high voltage warning threshold (mV)
                ''',
                'transceiver_voltage_warning_high',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-voltage-warning-low', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Transceiver low voltage warning threshold (mV)
                ''',
                'transceiver_voltage_warning_low',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'dig-opt-mon-alarm-thresholds',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarms' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarms',
            False, 
            [
            _MetaInfoClassMember('laser-bias-current', REFERENCE_ENUM_CLASS, 'EtherDomAlarmEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherDomAlarmEnum', 
                [], [], 
                '''                Laser Bias Current Alarm
                ''',
                'laser_bias_current',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-laser-power', REFERENCE_ENUM_CLASS, 'EtherDomAlarmEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherDomAlarmEnum', 
                [], [], 
                '''                Received Optical Power Alarm
                ''',
                'received_laser_power',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-temperature', REFERENCE_ENUM_CLASS, 'EtherDomAlarmEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherDomAlarmEnum', 
                [], [], 
                '''                Transceiver Temperature Alarm
                ''',
                'transceiver_temperature',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-voltage', REFERENCE_ENUM_CLASS, 'EtherDomAlarmEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherDomAlarmEnum', 
                [], [], 
                '''                Transceiver Voltage Alarm
                ''',
                'transceiver_voltage',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmit-laser-power', REFERENCE_ENUM_CLASS, 'EtherDomAlarmEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherDomAlarmEnum', 
                [], [], 
                '''                Transmit Laser Power Alarm
                ''',
                'transmit_laser_power',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'dig-opt-mon-alarms',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.Lane.DigOptMonAlarm' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.Lane.DigOptMonAlarm',
            False, 
            [
            _MetaInfoClassMember('laser-bias-current', REFERENCE_ENUM_CLASS, 'EtherDomAlarmEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherDomAlarmEnum', 
                [], [], 
                '''                Laser Bias Current Alarm
                ''',
                'laser_bias_current',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-laser-power', REFERENCE_ENUM_CLASS, 'EtherDomAlarmEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherDomAlarmEnum', 
                [], [], 
                '''                Received Optical Power Alarm
                ''',
                'received_laser_power',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmit-laser-power', REFERENCE_ENUM_CLASS, 'EtherDomAlarmEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherDomAlarmEnum', 
                [], [], 
                '''                Transmit Laser Power Alarm
                ''',
                'transmit_laser_power',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'dig-opt-mon-alarm',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.Lane' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.Lane',
            False, 
            [
            _MetaInfoClassMember('center-wavelength', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Center Wavelength (nm*1000)
                ''',
                'center_wavelength',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('dig-opt-mon-alarm', REFERENCE_CLASS, 'DigOptMonAlarm' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.Lane.DigOptMonAlarm', 
                [], [], 
                '''                Digital Optical Monitoring alarms
                ''',
                'dig_opt_mon_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('laser-bias-current', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Laser Bias Current (uAmps)
                ''',
                'laser_bias_current',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-laser-power', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                Received Optical Power (dBm*1000)
                ''',
                'received_laser_power',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmit-laser-power', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                Transmit Laser Power (dBm*1000)
                ''',
                'transmit_laser_power',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'lane',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails',
            False, 
            [
            _MetaInfoClassMember('dig-opt-mon-alarm-thresholds', REFERENCE_CLASS, 'DigOptMonAlarmThresholds' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarmThresholds', 
                [], [], 
                '''                Digital Optical Monitoring alarm thresholds
                ''',
                'dig_opt_mon_alarm_thresholds',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('dig-opt-mon-alarms', REFERENCE_CLASS, 'DigOptMonAlarms' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarms', 
                [], [], 
                '''                Digital Optical Monitoring alarms
                ''',
                'dig_opt_mon_alarms',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('lane', REFERENCE_LIST, 'Lane' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.Lane', 
                [], [], 
                '''                Digital Optical Monitoring (per lane
                information)
                ''',
                'lane',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('lane-field-validity', REFERENCE_CLASS, 'LaneFieldValidity' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.LaneFieldValidity', 
                [], [], 
                '''                Digital Optical Monitoring (per lane
                information) validity
                ''',
                'lane_field_validity',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('optics-wavelength', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Wavelength of the optics being used in nm * 1000
                ''',
                'optics_wavelength',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-temperature', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                The temperature of the transceiver (mDegrees C)
                ''',
                'transceiver_temperature',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transceiver-voltage', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                The input voltage to the transceiver (mV)
                ''',
                'transceiver_voltage',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('vendor', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the port optics manufacturer
                ''',
                'vendor',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('vendor-part-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Part number for the port optics
                ''',
                'vendor_part_number',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('vendor-serial-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Serial number for the port optics
                ''',
                'vendor_serial_number',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'phy-details',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.PhyInfo.FecDetails' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.PhyInfo.FecDetails',
            False, 
            [
            _MetaInfoClassMember('corrected-codeword-count', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Corrected codeword error count
                ''',
                'corrected_codeword_count',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_ENUM_CLASS, 'EthernetFecEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetFecEnum', 
                [], [], 
                '''                Port operational FEC type
                ''',
                'fec',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('uncorrected-codeword-count', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Uncorrected codeword error count
                ''',
                'uncorrected_codeword_count',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'fec-details',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.PhyInfo' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.PhyInfo',
            False, 
            [
            _MetaInfoClassMember('fec-details', REFERENCE_CLASS, 'FecDetails' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.PhyInfo.FecDetails', 
                [], [], 
                '''                Forward Error Correction information
                ''',
                'fec_details',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('loopback', REFERENCE_ENUM_CLASS, 'EthernetLoopbackEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetLoopbackEnum', 
                [], [], 
                '''                Port operational loopback
                ''',
                'loopback',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('media-type', REFERENCE_ENUM_CLASS, 'EthernetMediaEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetMediaEnum', 
                [], [], 
                '''                Port media type
                ''',
                'media_type',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('phy-details', REFERENCE_CLASS, 'PhyDetails' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails', 
                [], [], 
                '''                Details about the PHY
                ''',
                'phy_details',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('phy-present', REFERENCE_ENUM_CLASS, 'EtherPhyPresentEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherPhyPresentEnum', 
                [], [], 
                '''                Presence of PHY
                ''',
                'phy_present',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'phy-info',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.Layer1Info.Autoneg' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.Layer1Info.Autoneg',
            False, 
            [
            _MetaInfoClassMember('autoneg-enabled', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                TRUE if autonegotiation is enabled
                ''',
                'autoneg_enabled',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('config-override', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                If true, configuration overrides negotiated
                settings.  If false, negotiated settings in
                effect
                ''',
                'config_override',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('duplex', REFERENCE_ENUM_CLASS, 'EthernetDuplexEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetDuplexEnum', 
                [], [], 
                '''                Restricted duplex (if relevant bit is set in
                mask)
                ''',
                'duplex',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_ENUM_CLASS, 'EtherFlowcontrolEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherFlowcontrolEnum', 
                [], [], 
                '''                Restricted flowcontrol (if relevant bit is set
                in mask)
                ''',
                'flowcontrol',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Validity mask: 0x1 speed, 0x2 duplex, 0x4
                flowcontrol
                ''',
                'mask',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('speed', REFERENCE_ENUM_CLASS, 'EthernetSpeedEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetSpeedEnum', 
                [], [], 
                '''                Restricted speed (if relevant bit is set in
                mask)
                ''',
                'speed',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'autoneg',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.Layer1Info.CurrentAlarms' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.Layer1Info.CurrentAlarms',
            False, 
            [
            _MetaInfoClassMember('hi-ber-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Hi BER
                ''',
                'hi_ber_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('local-fault-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Local Fault
                ''',
                'local_fault_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('loss-of-synchronization-data-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Loss of Synchronization Data
                ''',
                'loss_of_synchronization_data_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('pcs-loss-of-block-lock-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                PCS Loss of Block Lock
                ''',
                'pcs_loss_of_block_lock_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-loss-of-signal-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Received Loss of Signal
                ''',
                'received_loss_of_signal_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('remote-fault-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Remote Fault
                ''',
                'remote_fault_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('sd-ber-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                SD BER
                ''',
                'sd_ber_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('sf-ber-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                SF BER
                ''',
                'sf_ber_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('squelch-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Squelch
                ''',
                'squelch_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'current-alarms',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.Layer1Info.PreviousAlarms' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.Layer1Info.PreviousAlarms',
            False, 
            [
            _MetaInfoClassMember('hi-ber-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Hi BER
                ''',
                'hi_ber_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('local-fault-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Local Fault
                ''',
                'local_fault_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('loss-of-synchronization-data-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Loss of Synchronization Data
                ''',
                'loss_of_synchronization_data_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('pcs-loss-of-block-lock-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                PCS Loss of Block Lock
                ''',
                'pcs_loss_of_block_lock_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('received-loss-of-signal-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Received Loss of Signal
                ''',
                'received_loss_of_signal_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('remote-fault-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Remote Fault
                ''',
                'remote_fault_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('sd-ber-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                SD BER
                ''',
                'sd_ber_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('sf-ber-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                SF BER
                ''',
                'sf_ber_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('squelch-alarm', REFERENCE_ENUM_CLASS, 'EthCtrlrAlarmStateEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthCtrlrAlarmStateEnum', 
                [], [], 
                '''                Squelch
                ''',
                'squelch_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'previous-alarms',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.Layer1Info.ErrorCounts' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.Layer1Info.ErrorCounts',
            False, 
            [
            _MetaInfoClassMember('pcsbip-errors', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                PCS BIP error count
                ''',
                'pcsbip_errors',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('sync-header-errors', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Sync-header error count
                ''',
                'sync_header_errors',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'error-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.Layer1Info.BerMonitoring.Settings' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.Layer1Info.BerMonitoring.Settings',
            False, 
            [
            _MetaInfoClassMember('signal-degrade-alarm', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                Report alarm to indicate signal degrade
                ''',
                'signal_degrade_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('signal-degrade-threshold', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                BER threshold for signal to degrade
                ''',
                'signal_degrade_threshold',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('signal-fail-alarm', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                Report alarm to indicate signal failure
                ''',
                'signal_fail_alarm',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('signal-fail-threshold', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                BER threshold for signal to fail
                ''',
                'signal_fail_threshold',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('signal-remote-fault', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                Whether drivers should signal remote faults
                ''',
                'signal_remote_fault',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'settings',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.Layer1Info.BerMonitoring' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.Layer1Info.BerMonitoring',
            False, 
            [
            _MetaInfoClassMember('settings', REFERENCE_CLASS, 'Settings' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.Layer1Info.BerMonitoring.Settings', 
                [], [], 
                '''                The BER monitoring settings to be applied
                ''',
                'settings',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('supported', ATTRIBUTE, 'int' , None, None, 
                [(-2147483648, 2147483647)], [], 
                '''                Whether or not BER monitoring is supported
                ''',
                'supported',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'ber-monitoring',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.Layer1Info' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.Layer1Info',
            False, 
            [
            _MetaInfoClassMember('autoneg', REFERENCE_CLASS, 'Autoneg' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.Layer1Info.Autoneg', 
                [], [], 
                '''                Port autonegotiation configuration settings
                ''',
                'autoneg',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('bandwidth-utilization', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Bandwidth utilization (hundredths of a percent)
                ''',
                'bandwidth_utilization',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('ber-monitoring', REFERENCE_CLASS, 'BerMonitoring' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.Layer1Info.BerMonitoring', 
                [], [], 
                '''                BER monitoring details
                ''',
                'ber_monitoring',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('current-alarms', REFERENCE_CLASS, 'CurrentAlarms' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.Layer1Info.CurrentAlarms', 
                [], [], 
                '''                Current alarms
                ''',
                'current_alarms',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('duplex', REFERENCE_ENUM_CLASS, 'EthernetDuplexEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetDuplexEnum', 
                [], [], 
                '''                Port operational duplexity
                ''',
                'duplex',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('error-counts', REFERENCE_CLASS, 'ErrorCounts' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.Layer1Info.ErrorCounts', 
                [], [], 
                '''                Statistics for detected errors
                ''',
                'error_counts',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('flowcontrol', REFERENCE_ENUM_CLASS, 'EtherFlowcontrolEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherFlowcontrolEnum', 
                [], [], 
                '''                Port operational flow control
                ''',
                'flowcontrol',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('ipg', REFERENCE_ENUM_CLASS, 'EthernetIpgEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetIpgEnum', 
                [], [], 
                '''                Port operational inter-packet-gap
                ''',
                'ipg',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('laser-squelch-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Laser Squelch - TRUE if enabled
                ''',
                'laser_squelch_enabled',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('led-state', REFERENCE_ENUM_CLASS, 'EtherLedStateEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherLedStateEnum', 
                [], [], 
                '''                State of the LED
                ''',
                'led_state',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('link-state', REFERENCE_ENUM_CLASS, 'EtherLinkStateEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherLinkStateEnum', 
                [], [], 
                '''                Link state
                ''',
                'link_state',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('previous-alarms', REFERENCE_CLASS, 'PreviousAlarms' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.Layer1Info.PreviousAlarms', 
                [], [], 
                '''                Previous alarms
                ''',
                'previous_alarms',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('speed', REFERENCE_ENUM_CLASS, 'EthernetSpeedEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetSpeedEnum', 
                [], [], 
                '''                Port operational speed
                ''',
                'speed',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'layer1-info',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.MacInfo.UnicastMacFilters' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.MacInfo.UnicastMacFilters',
            False, 
            [
            _MetaInfoClassMember('unicast-mac-address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC addresses in the unicast ingress destination
                MAC filter
                ''',
                'unicast_mac_address',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'unicast-mac-filters',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.MacInfo.MulticastMacFilters.MulticastMacAddress' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.MacInfo.MulticastMacFilters.MulticastMacAddress',
            False, 
            [
            _MetaInfoClassMember('mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                MAC address
                ''',
                'mac_address',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('mask', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                Mask for this MAC address
                ''',
                'mask',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'multicast-mac-address',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.MacInfo.MulticastMacFilters' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.MacInfo.MulticastMacFilters',
            False, 
            [
            _MetaInfoClassMember('multicast-mac-address', REFERENCE_LIST, 'MulticastMacAddress' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.MacInfo.MulticastMacFilters.MulticastMacAddress', 
                [], [], 
                '''                MAC addresses in the multicast ingress
                destination MAC filter
                ''',
                'multicast_mac_address',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('multicast-promiscuous', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Whether the port is in multicast promiscuous
                mode
                ''',
                'multicast_promiscuous',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'multicast-mac-filters',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.MacInfo' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.MacInfo',
            False, 
            [
            _MetaInfoClassMember('burned-in-mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                Port Burned-In MAC address
                ''',
                'burned_in_mac_address',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('mru', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Port operational MRU
                ''',
                'mru',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Port operational MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('multicast-mac-filters', REFERENCE_CLASS, 'MulticastMacFilters' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.MacInfo.MulticastMacFilters', 
                [], [], 
                '''                Port multicast MAC filter information
                ''',
                'multicast_mac_filters',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('operational-mac-address', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{2}(:[0-9a-fA-F]{2}){5}'], 
                '''                Port operational MAC address
                ''',
                'operational_mac_address',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('unicast-mac-filters', REFERENCE_CLASS, 'UnicastMacFilters' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.MacInfo.UnicastMacFilters', 
                [], [], 
                '''                Port unicast MAC filter information
                ''',
                'unicast_mac_filters',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'mac-info',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface.TransportInfo' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface.TransportInfo',
            False, 
            [
            _MetaInfoClassMember('ains-status', REFERENCE_ENUM_CLASS, 'EtherAinsStatusEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EtherAinsStatusEnum', 
                [], [], 
                '''                AINS Soak status
                ''',
                'ains_status',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('maintenance-mode-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Maintenance Mode - TRUE if enabled
                ''',
                'maintenance_mode_enabled',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('remaining-duration', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Remaining duration (seconds) of AINS soak timer
                ''',
                'remaining_duration',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('total-duration', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Total duration (seconds) of AINS soak timer
                ''',
                'total_duration',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'transport-info',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces.Interface' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3}\\d+)|(([a-zA-Z0-9_]*\\d+/){4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                The name of the interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-drivers-media-eth-oper', True),
            _MetaInfoClassMember('admin-state', REFERENCE_ENUM_CLASS, 'EthernetPortEnableEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetPortEnableEnum', 
                [], [], 
                '''                Port Administrative State
                ''',
                'admin_state',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('layer1-info', REFERENCE_CLASS, 'Layer1Info' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.Layer1Info', 
                [], [], 
                '''                Layer 1 information
                ''',
                'layer1_info',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('mac-info', REFERENCE_CLASS, 'MacInfo' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.MacInfo', 
                [], [], 
                '''                MAC Layer information
                ''',
                'mac_info',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('oper-state-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Port Operational state - TRUE if up
                ''',
                'oper_state_up',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('phy-info', REFERENCE_CLASS, 'PhyInfo' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.PhyInfo', 
                [], [], 
                '''                PHY information
                ''',
                'phy_info',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transport-info', REFERENCE_CLASS, 'TransportInfo' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface.TransportInfo', 
                [], [], 
                '''                Transport state information
                ''',
                'transport_info',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Interfaces' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces.Interface', 
                [], [], 
                '''                Ethernet controller information
                ''',
                'interface',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Berts.Bert.BertStatus' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Berts.Bert.BertStatus',
            False, 
            [
            _MetaInfoClassMember('bert-state-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                State
                ''',
                'bert_state_enabled',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('data-availability', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Flag indicating available data
                ''',
                'data_availability',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('device-under-test', REFERENCE_ENUM_CLASS, 'EthernetDevEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetDevEnum', 
                [], [], 
                '''                Device being tested
                ''',
                'device_under_test',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('error-type', REFERENCE_ENUM_CLASS, 'EthernetBertErrCntEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetBertErrCntEnum', 
                [], [], 
                '''                Bit, block or frame error
                ''',
                'error_type',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('interface-device', REFERENCE_ENUM_CLASS, 'EthernetDevIfEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetDevIfEnum', 
                [], [], 
                '''                Interface being tested
                ''',
                'interface_device',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('receive-count', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Receive count (if 0x1 set in flag)
                ''',
                'receive_count',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('receive-errors', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Received errors (if 0x4 set in flag)
                ''',
                'receive_errors',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('test-pattern', REFERENCE_ENUM_CLASS, 'EthernetBertPatternEnum' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetBertPatternEnum', 
                [], [], 
                '''                Test pattern
                ''',
                'test_pattern',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('transmit-count', ATTRIBUTE, 'long' , None, None, 
                [(0, 18446744073709551615L)], [], 
                '''                Transmit count (if 0x2 set in flag)
                ''',
                'transmit_count',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'bert-status',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Berts.Bert' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Berts.Bert',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3}\\d+)|(([a-zA-Z0-9_]*\\d+/){4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                The name of the interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-drivers-media-eth-oper', True),
            _MetaInfoClassMember('bert-status', REFERENCE_CLASS, 'BertStatus' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Berts.Bert.BertStatus', 
                [], [], 
                '''                Current test status
                ''',
                'bert_status',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('port-bert-interval', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Port BERT interval
                ''',
                'port_bert_interval',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('time-left', ATTRIBUTE, 'int' , None, None, 
                [(0, 4294967295)], [], 
                '''                Remaining time for this test in seconds
                ''',
                'time_left',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'bert',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface.Berts' : {
        'meta_info' : _MetaInfoClass('EthernetInterface.Berts',
            False, 
            [
            _MetaInfoClassMember('bert', REFERENCE_LIST, 'Bert' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Berts.Bert', 
                [], [], 
                '''                Ethernet BERT information
                ''',
                'bert',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'berts',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
    'EthernetInterface' : {
        'meta_info' : _MetaInfoClass('EthernetInterface',
            False, 
            [
            _MetaInfoClassMember('berts', REFERENCE_CLASS, 'Berts' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Berts', 
                [], [], 
                '''                Ethernet controller BERT table
                ''',
                'berts',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Interfaces', 
                [], [], 
                '''                Ethernet controller info table
                ''',
                'interfaces',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper', 'EthernetInterface.Statistics', 
                [], [], 
                '''                Ethernet controller statistics table
                ''',
                'statistics',
                'Cisco-IOS-XR-drivers-media-eth-oper', False),
            ],
            'Cisco-IOS-XR-drivers-media-eth-oper',
            'ethernet-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-drivers-media-eth-oper'],
        'ydk.models.drivers.Cisco_IOS_XR_drivers_media_eth_oper'
        ),
    },
}
_meta_table['EthernetInterface.Statistics.Statistic']['meta_info'].parent =_meta_table['EthernetInterface.Statistics']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarmThresholds.FieldValidity']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarmThresholds']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.Lane.DigOptMonAlarm']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.Lane']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.LaneFieldValidity']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarmThresholds']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.DigOptMonAlarms']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails.Lane']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.PhyDetails']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo.FecDetails']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info.BerMonitoring.Settings']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info.BerMonitoring']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info.Autoneg']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info.CurrentAlarms']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info.PreviousAlarms']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info.ErrorCounts']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info.BerMonitoring']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.MacInfo.MulticastMacFilters.MulticastMacAddress']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.MacInfo.MulticastMacFilters']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.MacInfo.UnicastMacFilters']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.MacInfo']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.MacInfo.MulticastMacFilters']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface.MacInfo']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.PhyInfo']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.Layer1Info']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.MacInfo']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface.TransportInfo']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces.Interface']['meta_info']
_meta_table['EthernetInterface.Interfaces.Interface']['meta_info'].parent =_meta_table['EthernetInterface.Interfaces']['meta_info']
_meta_table['EthernetInterface.Berts.Bert.BertStatus']['meta_info'].parent =_meta_table['EthernetInterface.Berts.Bert']['meta_info']
_meta_table['EthernetInterface.Berts.Bert']['meta_info'].parent =_meta_table['EthernetInterface.Berts']['meta_info']
_meta_table['EthernetInterface.Statistics']['meta_info'].parent =_meta_table['EthernetInterface']['meta_info']
_meta_table['EthernetInterface.Interfaces']['meta_info'].parent =_meta_table['EthernetInterface']['meta_info']
_meta_table['EthernetInterface.Berts']['meta_info'].parent =_meta_table['EthernetInterface']['meta_info']
