


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION

from ydk.errors import YPYError, YPYModelError
from ydk.models import _yang_ns

_meta_table = {
    'LocaleCountryEnum' : _MetaInfoEnum('LocaleCountryEnum', 'ydk.models.infra.Cisco_IOS_XR_infra_infra_locale_cfg',
        {
            'ad':'AD',
            'ae':'AE',
            'af':'AF',
            'ag':'AG',
            'ai':'AI',
            'al':'AL',
            'am':'AM',
            'an':'AN',
            'ao':'AO',
            'aq':'AQ',
            'ar':'AR',
            'as':'AS',
            'at':'AT',
            'au':'AU',
            'aw':'AW',
            'az':'AZ',
            'ba':'BA',
            'bb':'BB',
            'bd':'BD',
            'be':'BE',
            'bf':'BF',
            'bg':'BG',
            'bh':'BH',
            'bi':'BI',
            'bj':'BJ',
            'bm':'BM',
            'bn':'BN',
            'bo':'BO',
            'br':'BR',
            'bs':'BS',
            'bt':'BT',
            'bv':'BV',
            'bw':'BW',
            'by':'BY',
            'bz':'BZ',
            'ca':'CA',
            'cc':'CC',
            'cd':'CD',
            'cf':'CF',
            'cg':'CG',
            'ch':'CH',
            'ci':'CI',
            'ck':'CK',
            'cl':'CL',
            'cm':'CM',
            'cn':'CN',
            'co':'CO',
            'cr':'CR',
            'cu':'CU',
            'cv':'CV',
            'cx':'CX',
            'cy':'CY',
            'cz':'CZ',
            'de':'DE',
            'dj':'DJ',
            'dk':'DK',
            'dm':'DM',
            'do':'DO',
            'dz':'DZ',
            'ec':'EC',
            'ee':'EE',
            'eg':'EG',
            'eh':'EH',
            'er':'ER',
            'es':'ES',
            'et':'ET',
            'fi':'FI',
            'fj':'FJ',
            'fk':'FK',
            'fm':'FM',
            'fo':'FO',
            'fr':'FR',
            'ga':'GA',
            'gb':'GB',
            'gd':'GD',
            'ge':'GE',
            'gf':'GF',
            'gh':'GH',
            'gi':'GI',
            'gl':'GL',
            'gm':'GM',
            'gn':'GN',
            'gp':'GP',
            'gq':'GQ',
            'gr':'GR',
            'gs':'GS',
            'gt':'GT',
            'gu':'GU',
            'gw':'GW',
            'gy':'GY',
            'hk':'HK',
            'hm':'HM',
            'hn':'HN',
            'hr':'HR',
            'ht':'HT',
            'hu':'HU',
            'id':'ID',
            'ie':'IE',
            'il':'IL',
            'in':'IN',
            'io':'IO',
            'iq':'IQ',
            'ir':'IR',
            'is':'IS',
            'it':'IT',
            'jm':'JM',
            'jo':'JO',
            'jp':'JP',
            'ke':'KE',
            'kg':'KG',
            'kh':'KH',
            'ki':'KI',
            'km':'KM',
            'kn':'KN',
            'kp':'KP',
            'kr':'KR',
            'kw':'KW',
            'ky':'KY',
            'kz':'KZ',
            'la':'LA',
            'lb':'LB',
            'lc':'LC',
            'li':'LI',
            'lk':'LK',
            'lr':'LR',
            'ls':'LS',
            'lt':'LT',
            'lu':'LU',
            'lv':'LV',
            'ly':'LY',
            'ma':'MA',
            'mc':'MC',
            'md':'MD',
            'mg':'MG',
            'mh':'MH',
            'mk':'MK',
            'ml':'ML',
            'mm':'MM',
            'mn':'MN',
            'mo':'MO',
            'mp':'MP',
            'mq':'MQ',
            'mr':'MR',
            'ms':'MS',
            'mt':'MT',
            'mu':'MU',
            'mv':'MV',
            'mw':'MW',
            'mx':'MX',
            'my':'MY',
            'mz':'MZ',
            'na':'NA',
            'nc':'NC',
            'ne':'NE',
            'nf':'NF',
            'ng':'NG',
            'ni':'NI',
            'nl':'NL',
            'no':'NO',
            'np':'NP',
            'nr':'NR',
            'nu':'NU',
            'nz':'NZ',
            'om':'OM',
            'pa':'PA',
            'pe':'PE',
            'pf':'PF',
            'pg':'PG',
            'ph':'PH',
            'pk':'PK',
            'pl':'PL',
            'pm':'PM',
            'pn':'PN',
            'pr':'PR',
            'pt':'PT',
            'pw':'PW',
            'py':'PY',
            'qa':'QA',
            're':'RE',
            'ro':'RO',
            'ru':'RU',
            'rw':'RW',
            'sa':'SA',
            'sb':'SB',
            'sc':'SC',
            'sd':'SD',
            'se':'SE',
            'sg':'SG',
            'sh':'SH',
            'si':'SI',
            'sj':'SJ',
            'sk':'SK',
            'sl':'SL',
            'sm':'SM',
            'sn':'SN',
            'so':'SO',
            'sr':'SR',
            'st':'ST',
            'sv':'SV',
            'sy':'SY',
            'sz':'SZ',
            'tc':'TC',
            'td':'TD',
            'tf':'TF',
            'tg':'TG',
            'th':'TH',
            'tj':'TJ',
            'tk':'TK',
            'tm':'TM',
            'tn':'TN',
            'to':'TO',
            'tp':'TP',
            'tr':'TR',
            'tt':'TT',
            'tv':'TV',
            'tw':'TW',
            'tz':'TZ',
            'ua':'UA',
            'ug':'UG',
            'um':'UM',
            'us':'US',
            'uy':'UY',
            'uz':'UZ',
            'va':'VA',
            'vc':'VC',
            've':'VE',
            'vg':'VG',
            'vi':'VI',
            'vn':'VN',
            'vu':'VU',
            'wf':'WF',
            'ws':'WS',
            'ye':'YE',
            'yt':'YT',
            'yu':'YU',
            'za':'ZA',
            'zm':'ZM',
            'zw':'ZW',
        }, 'Cisco-IOS-XR-infra-infra-locale-cfg', _yang_ns._namespaces['Cisco-IOS-XR-infra-infra-locale-cfg']),
    'LocaleLanguageEnum' : _MetaInfoEnum('LocaleLanguageEnum', 'ydk.models.infra.Cisco_IOS_XR_infra_infra_locale_cfg',
        {
            'aa':'AA',
            'ab':'AB',
            'af':'AF',
            'am':'AM',
            'ar':'AR',
            'as':'AS',
            'ay':'AY',
            'az':'AZ',
            'ba':'BA',
            'be':'BE',
            'bg':'BG',
            'bh':'BH',
            'bi':'BI',
            'bn':'BN',
            'bo':'BO',
            'br':'BR',
            'ca':'CA',
            'co':'CO',
            'cs':'CS',
            'cy':'CY',
            'da':'DA',
            'de':'DE',
            'dz':'DZ',
            'el':'EL',
            'en':'EN',
            'eo':'EO',
            'es':'ES',
            'et':'ET',
            'eu':'EU',
            'fa':'FA',
            'fi':'FI',
            'fj':'FJ',
            'fo':'FO',
            'fr':'FR',
            'fy':'FY',
            'ga':'GA',
            'gd':'GD',
            'gl':'GL',
            'gn':'GN',
            'gu':'GU',
            'ha':'HA',
            'he':'HE',
            'hi':'HI',
            'hr':'HR',
            'hu':'HU',
            'hy':'HY',
            'ia':'IA',
            'id':'ID',
            'ie':'IE',
            'ik':'IK',
            'is':'IS',
            'it':'IT',
            'iu':'IU',
            'ja':'JA',
            'jw':'JW',
            'ka':'KA',
            'kk':'KK',
            'kl':'KL',
            'km':'KM',
            'kn':'KN',
            'ko':'KO',
            'ks':'KS',
            'ku':'KU',
            'ky':'KY',
            'la':'LA',
            'ln':'LN',
            'lo':'LO',
            'lt':'LT',
            'lv':'LV',
            'mg':'MG',
            'mi':'MI',
            'mk':'MK',
            'ml':'ML',
            'mn':'MN',
            'mo':'MO',
            'mr':'MR',
            'ms':'MS',
            'mt':'MT',
            'my':'MY',
            'na':'NA',
            'ne':'NE',
            'nl':'NL',
            'no':'NO',
            'oc':'OC',
            'om':'OM',
            'or':'OR',
            'pa':'PA',
            'pl':'PL',
            'ps':'PS',
            'pt':'PT',
            'qu':'QU',
            'rm':'RM',
            'rn':'RN',
            'ro':'RO',
            'ru':'RU',
            'rw':'RW',
            'sa':'SA',
            'sd':'SD',
            'sg':'SG',
            'sh':'SH',
            'si':'SI',
            'sk':'SK',
            'sl':'SL',
            'sm':'SM',
            'sn':'SN',
            'so':'SO',
            'sq':'SQ',
            'sr':'SR',
            'ss':'SS',
            'st':'ST',
            'su':'SU',
            'sv':'SV',
            'sw':'SW',
            'ta':'TA',
            'te':'TE',
            'tg':'TG',
            'th':'TH',
            'ti':'TI',
            'tk':'TK',
            'tl':'TL',
            'tn':'TN',
            'to':'TO',
            'tr':'TR',
            'ts':'TS',
            'tt':'TT',
            'tw':'TW',
            'ug':'UG',
            'uk':'UK',
            'ur':'UR',
            'uz':'UZ',
            'vi':'VI',
            'vo':'VO',
            'wo':'WO',
            'xh':'XH',
            'yi':'YI',
            'yo':'YO',
            'za':'ZA',
            'zh':'ZH',
            'zu':'ZU',
        }, 'Cisco-IOS-XR-infra-infra-locale-cfg', _yang_ns._namespaces['Cisco-IOS-XR-infra-infra-locale-cfg']),
    'Locale' : {
        'meta_info' : _MetaInfoClass('Locale',
            False, 
            [
            _MetaInfoClassMember('country', REFERENCE_ENUM_CLASS, 'LocaleCountryEnum' , 'ydk.models.infra.Cisco_IOS_XR_infra_infra_locale_cfg', 'LocaleCountryEnum', 
                [], [], 
                '''                Name of country locale
                ''',
                'country',
                'Cisco-IOS-XR-infra-infra-locale-cfg', False),
            _MetaInfoClassMember('language', REFERENCE_ENUM_CLASS, 'LocaleLanguageEnum' , 'ydk.models.infra.Cisco_IOS_XR_infra_infra_locale_cfg', 'LocaleLanguageEnum', 
                [], [], 
                '''                Name of language locale
                ''',
                'language',
                'Cisco-IOS-XR-infra-infra-locale-cfg', False),
            ],
            'Cisco-IOS-XR-infra-infra-locale-cfg',
            'locale',
            _yang_ns._namespaces['Cisco-IOS-XR-infra-infra-locale-cfg'],
        'ydk.models.infra.Cisco_IOS_XR_infra_infra_locale_cfg'
        ),
    },
}
