


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION

from ydk.errors import YPYError, YPYModelError
from ydk.models import _yang_ns

_meta_table = {
    'Ipv4AclDscpNumberEnum' : _MetaInfoEnum('Ipv4AclDscpNumberEnum', 'ydk.models.ipv4.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'default':'DEFAULT',
            'af11':'AF11',
            'af12':'AF12',
            'af13':'AF13',
            'af21':'AF21',
            'af22':'AF22',
            'af23':'AF23',
            'af31':'AF31',
            'af32':'AF32',
            'af33':'AF33',
            'af41':'AF41',
            'af42':'AF42',
            'af43':'AF43',
            'cs1':'CS1',
            'cs2':'CS2',
            'cs3':'CS3',
            'cs4':'CS4',
            'cs5':'CS5',
            'cs6':'CS6',
            'cs7':'CS7',
            'ef':'EF',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclTcpBitsNumberEnum' : _MetaInfoEnum('Ipv4AclTcpBitsNumberEnum', 'ydk.models.ipv4.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'established':'ESTABLISHED',
            'ack':'ACK',
            'rst':'RST',
            'fin':'FIN',
            'psh':'PSH',
            'syn':'SYN',
            'urg':'URG',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclTcpMatchOperatorEnumEnum' : _MetaInfoEnum('Ipv4AclTcpMatchOperatorEnumEnum', 'ydk.models.ipv4.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'match-all':'MATCH_ALL',
            'match-any':'MATCH_ANY',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclLoggingEnumEnum' : _MetaInfoEnum('Ipv4AclLoggingEnumEnum', 'ydk.models.ipv4.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'log':'LOG',
            'log-input':'LOG_INPUT',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclPrecedenceNumberEnum' : _MetaInfoEnum('Ipv4AclPrecedenceNumberEnum', 'ydk.models.ipv4.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'critical':'CRITICAL',
            'flash':'FLASH',
            'flash-override':'FLASH_OVERRIDE',
            'immediate':'IMMEDIATE',
            'internet':'INTERNET',
            'network':'NETWORK',
            'priority':'PRIORITY',
            'routine':'ROUTINE',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclProtocolNumberEnum' : _MetaInfoEnum('Ipv4AclProtocolNumberEnum', 'ydk.models.ipv4.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'ip':'IP',
            'icmp':'ICMP',
            'igmp':'IGMP',
            'ip-in-ip':'IP_IN_IP',
            'tcp':'TCP',
            'igrp':'IGRP',
            'udp':'UDP',
            'gre':'GRE',
            'esp':'ESP',
            'ahp':'AHP',
            'eigrp':'EIGRP',
            'ospf':'OSPF',
            'nos':'NOS',
            'pim':'PIM',
            'pcp':'PCP',
            'sctp':'SCTP',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclGrantEnumEnum' : _MetaInfoEnum('Ipv4AclGrantEnumEnum', 'ydk.models.ipv4.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'deny':'DENY',
            'permit':'PERMIT',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclPortNumberEnum' : _MetaInfoEnum('Ipv4AclPortNumberEnum', 'ydk.models.ipv4.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'echo':'ECHO',
            'discard':'DISCARD',
            'daytime':'DAYTIME',
            'char-gen':'CHAR_GEN',
            'ftp-data':'FTP_DATA',
            'ftp':'FTP',
            'telnet':'TELNET',
            'smtp':'SMTP',
            'time':'TIME',
            'name-server':'NAME_SERVER',
            'who-is':'WHO_IS',
            'tacacs':'TACACS',
            'dns':'DNS',
            'boot-ps':'BOOT_PS',
            'boot-pc':'BOOT_PC',
            'tftp':'TFTP',
            'gopher':'GOPHER',
            'finger':'FINGER',
            'www':'WWW',
            'host-name':'HOST_NAME',
            'pop2':'POP2',
            'pop3':'POP3',
            'sun-rpc':'SUN_RPC',
            'ident':'IDENT',
            'nntp':'NNTP',
            'ntp':'NTP',
            'net-bios-ns':'NET_BIOS_NS',
            'net-bios-dgs':'NET_BIOS_DGS',
            'net-bios-ss':'NET_BIOS_SS',
            'snmp':'SNMP',
            'snmp-trap':'SNMP_TRAP',
            'xdmcp':'XDMCP',
            'bgp':'BGP',
            'irc':'IRC',
            'dnsix':'DNSIX',
            'mobile-ip':'MOBILE_IP',
            'pim-auto-rp':'PIM_AUTO_RP',
            'isakmp':'ISAKMP',
            'exec-or-biff':'EXEC_OR_BIFF',
            'login-or-who':'LOGIN_OR_WHO',
            'cmd-or-syslog':'CMD_OR_SYSLOG',
            'lpd':'LPD',
            'talk':'TALK',
            'rip':'RIP',
            'uucp':'UUCP',
            'klogin':'KLOGIN',
            'kshell':'KSHELL',
            'ldp':'LDP',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclIcmpTypeCodeEnumEnum' : _MetaInfoEnum('Ipv4AclIcmpTypeCodeEnumEnum', 'ydk.models.ipv4.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'echo-reply':'ECHO_REPLY',
            'network-unreachable':'NETWORK_UNREACHABLE',
            'host-unreachable':'HOST_UNREACHABLE',
            'protocol-unreachable':'PROTOCOL_UNREACHABLE',
            'port-unreachable':'PORT_UNREACHABLE',
            'packet-too-big':'PACKET_TOO_BIG',
            'source-route-failed':'SOURCE_ROUTE_FAILED',
            'network-unknown':'NETWORK_UNKNOWN',
            'host-unknown':'HOST_UNKNOWN',
            'host-isolated':'HOST_ISOLATED',
            'dod-net-prohibited':'DOD_NET_PROHIBITED',
            'dod-host-prohibited':'DOD_HOST_PROHIBITED',
            'host-tos-unreachable':'HOST_TOS_UNREACHABLE',
            'net-tos-unreachable':'NET_TOS_UNREACHABLE',
            'administratively-prohibited':'ADMINISTRATIVELY_PROHIBITED',
            'host-precedence-unreachable':'HOST_PRECEDENCE_UNREACHABLE',
            'precedence-unreachable':'PRECEDENCE_UNREACHABLE',
            'unreachable':'UNREACHABLE',
            'source-quench':'SOURCE_QUENCH',
            'network-redirect':'NETWORK_REDIRECT',
            'host-redirect':'HOST_REDIRECT',
            'net-tos-redirect':'NET_TOS_REDIRECT',
            'host-tos-redirect':'HOST_TOS_REDIRECT',
            'redirect':'REDIRECT',
            'alternate-address':'ALTERNATE_ADDRESS',
            'echo':'ECHO',
            'router-advertisement':'ROUTER_ADVERTISEMENT',
            'router-solicitation':'ROUTER_SOLICITATION',
            'ttl-exceeded':'TTL_EXCEEDED',
            'reassembly-timeout':'REASSEMBLY_TIMEOUT',
            'time-exceeded':'TIME_EXCEEDED',
            'general-parameter-problem':'GENERAL_PARAMETER_PROBLEM',
            'option-missing':'OPTION_MISSING',
            'no-room-for-option':'NO_ROOM_FOR_OPTION',
            'parameter-problem':'PARAMETER_PROBLEM',
            'timestamp-request':'TIMESTAMP_REQUEST',
            'timestamp-reply':'TIMESTAMP_REPLY',
            'information-request':'INFORMATION_REQUEST',
            'information-reply':'INFORMATION_REPLY',
            'mask-request':'MASK_REQUEST',
            'mask-reply':'MASK_REPLY',
            'traceroute':'TRACEROUTE',
            'conversion-error':'CONVERSION_ERROR',
            'mobile-redirect':'MOBILE_REDIRECT',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclOperatorEnumEnum' : _MetaInfoEnum('Ipv4AclOperatorEnumEnum', 'ydk.models.ipv4.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'equal':'EQUAL',
            'greater-than':'GREATER_THAN',
            'less-than':'LESS_THAN',
            'not-equal':'NOT_EQUAL',
            'range':'RANGE',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclIgmpNumberEnum' : _MetaInfoEnum('Ipv4AclIgmpNumberEnum', 'ydk.models.ipv4.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'host-query':'HOST_QUERY',
            'host-report':'HOST_REPORT',
            'dvmrp':'DVMRP',
            'pim':'PIM',
            'trace':'TRACE',
            'v2-report':'V2_REPORT',
            'v2-leave':'V2_LEAVE',
            'mtrace-response':'MTRACE_RESPONSE',
            'mtrace':'MTRACE',
            'v3-report':'V3_REPORT',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
    'Ipv4AclStatusEnumEnum' : _MetaInfoEnum('Ipv4AclStatusEnumEnum', 'ydk.models.ipv4.Cisco_IOS_XR_ipv4_acl_datatypes',
        {
            'disabled':'DISABLED',
            'enabled':'ENABLED',
        }, 'Cisco-IOS-XR-ipv4-acl-datatypes', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-acl-datatypes']),
}
