


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION

from ydk.errors import YPYError, YPYModelError
from ydk.models import _yang_ns

_meta_table = {
    'OpticsThresholdEnum' : _MetaInfoEnum('OpticsThresholdEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'thresh-opt-min':'THRESH_OPT_MIN',
            'thresh-opr-min':'THRESH_OPR_MIN',
            'thresh-lbc-min':'THRESH_LBC_MIN',
            'thresh-lbc-pc-min':'THRESH_LBC_PC_MIN',
            'thresh-cd-min':'THRESH_CD_MIN',
            'thresh-dgd-min':'THRESH_DGD_MIN',
            'thresh-pmd-min':'THRESH_PMD_MIN',
            'thresh-osnr-min':'THRESH_OSNR_MIN',
            'thresh-pdl-min':'THRESH_PDL_MIN',
            'thresh-pcr-min':'THRESH_PCR_MIN',
            'thresh-pn-min':'THRESH_PN_MIN',
            'thresh-opt-max':'THRESH_OPT_MAX',
            'thresh-opr-max':'THRESH_OPR_MAX',
            'thresh-lbc-max':'THRESH_LBC_MAX',
            'thresh-lbc-pc-max':'THRESH_LBC_PC_MAX',
            'thresh-cd-max':'THRESH_CD_MAX',
            'thresh-dgd-max':'THRESH_DGD_MAX',
            'thresh-pmd-max':'THRESH_PMD_MAX',
            'thresh-osnr-max':'THRESH_OSNR_MAX',
            'thresh-pdl-max':'THRESH_PDL_MAX',
            'thresh-pcr-max':'THRESH_PCR_MAX',
            'thresh-pn-max':'THRESH_PN_MAX',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'OtnThresholdEnum' : _MetaInfoEnum('OtnThresholdEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'thresh-es-sm-ne':'THRESH_ES_SM_NE',
            'thresh-ses-sm-ne':'THRESH_SES_SM_NE',
            'thresh-uas-sm-ne':'THRESH_UAS_SM_NE',
            'thresh-bbe-sm-ne':'THRESH_BBE_SM_NE',
            'thresh-fc-sm-ne':'THRESH_FC_SM_NE',
            'thresh-esr-sm-ne':'THRESH_ESR_SM_NE',
            'thresh-sesr-sm-ne':'THRESH_SESR_SM_NE',
            'thresh-bber-sm-ne':'THRESH_BBER_SM_NE',
            'thresh-es-pm-ne':'THRESH_ES_PM_NE',
            'thresh-ses-pm-ne':'THRESH_SES_PM_NE',
            'thresh-uas-pm-ne':'THRESH_UAS_PM_NE',
            'thresh-bbe-pm-ne':'THRESH_BBE_PM_NE',
            'thresh-fc-pm-ne':'THRESH_FC_PM_NE',
            'thresh-esr-pm-ne':'THRESH_ESR_PM_NE',
            'thresh-sesr-pm-ne':'THRESH_SESR_PM_NE',
            'thresh-bber-pm-ne':'THRESH_BBER_PM_NE',
            'thresh-es-sm-fe':'THRESH_ES_SM_FE',
            'thresh-ses-sm-fe':'THRESH_SES_SM_FE',
            'thresh-uas-sm-fe':'THRESH_UAS_SM_FE',
            'thresh-bbe-sm-fe':'THRESH_BBE_SM_FE',
            'thresh-fc-sm-fe':'THRESH_FC_SM_FE',
            'thresh-esr-sm-fe':'THRESH_ESR_SM_FE',
            'thresh-sesr-sm-fe':'THRESH_SESR_SM_FE',
            'thresh-bber-sm-fe':'THRESH_BBER_SM_FE',
            'thresh-es-pm-fe':'THRESH_ES_PM_FE',
            'thresh-ses-pm-fe':'THRESH_SES_PM_FE',
            'thresh-uas-pm-fe':'THRESH_UAS_PM_FE',
            'thresh-bbe-pm-fe':'THRESH_BBE_PM_FE',
            'thresh-fc-pm-fe':'THRESH_FC_PM_FE',
            'thresh-esr-pm-fe':'THRESH_ESR_PM_FE',
            'thresh-sesr-pm-fe':'THRESH_SESR_PM_FE',
            'thresh-bber-pm-fe':'THRESH_BBER_PM_FE',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'OtnTcmThresholdEnum' : _MetaInfoEnum('OtnTcmThresholdEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'thresh-es-tcm-fe':'THRESH_ES_TCM_FE',
            'thresh-ses-tcm-fe':'THRESH_SES_TCM_FE',
            'thresh-uas-tcm-fe':'THRESH_UAS_TCM_FE',
            'thresh-bbe-tcm-fe':'THRESH_BBE_TCM_FE',
            'thresh-fc-tcm-fe':'THRESH_FC_TCM_FE',
            'thresh-esr-tcm-fe':'THRESH_ESR_TCM_FE',
            'thresh-sesr-tcm-fe':'THRESH_SESR_TCM_FE',
            'thresh-bber-tcm-fe':'THRESH_BBER_TCM_FE',
            'thresh-es-tcm-ne':'THRESH_ES_TCM_NE',
            'thresh-ses-tcm-ne':'THRESH_SES_TCM_NE',
            'thresh-uas-tcm-ne':'THRESH_UAS_TCM_NE',
            'thresh-bbe-tcm-ne':'THRESH_BBE_TCM_NE',
            'thresh-fc-tcm-ne':'THRESH_FC_TCM_NE',
            'thresh-esr-tcm-ne':'THRESH_ESR_TCM_NE',
            'thresh-sesr-tcm-ne':'THRESH_SESR_TCM_NE',
            'thresh-bber-tcm-ne':'THRESH_BBER_TCM_NE',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'StsThresholdEnum' : _MetaInfoEnum('StsThresholdEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'thresh-cv':'THRESH_CV',
            'thresh-es':'THRESH_ES',
            'thresh-ses':'THRESH_SES',
            'thresh-uas':'THRESH_UAS',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'FecReportEnum' : _MetaInfoEnum('FecReportEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'report-ec-bits':'REPORT_EC_BITS',
            'report-uc-words':'REPORT_UC_WORDS',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'HoVcThresholdEnum' : _MetaInfoEnum('HoVcThresholdEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'thresh-eb':'THRESH_EB',
            'thresh-es':'THRESH_ES',
            'thresh-esr':'THRESH_ESR',
            'thresh-ses':'THRESH_SES',
            'thresh-sesr':'THRESH_SESR',
            'thresh-bbe':'THRESH_BBE',
            'thresh-bber':'THRESH_BBER',
            'thresh-uass':'THRESH_UASS',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'GfpThresholdEnum' : _MetaInfoEnum('GfpThresholdEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'thresh-rx-bit-err':'THRESH_RX_BIT_ERR',
            'thresh-rx-inv-typ':'THRESH_RX_INV_TYP',
            'thresh-rx-crc':'THRESH_RX_CRC',
            'thresh-rx-lfd':'THRESH_RX_LFD',
            'thresh-rx-csf':'THRESH_RX_CSF',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'ReportEnum' : _MetaInfoEnum('ReportEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'false':'FALSE',
            'true':'TRUE',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'OtnTcmReportEnum' : _MetaInfoEnum('OtnTcmReportEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'report-es-tcm-fe':'REPORT_ES_TCM_FE',
            'report-ses-tcm-fe':'REPORT_SES_TCM_FE',
            'report-uas-tcm-fe':'REPORT_UAS_TCM_FE',
            'report-bbe-tcm-fe':'REPORT_BBE_TCM_FE',
            'report-fc-tcm-fe':'REPORT_FC_TCM_FE',
            'report-esr-tcm-fe':'REPORT_ESR_TCM_FE',
            'report-sesr-tcm-fe':'REPORT_SESR_TCM_FE',
            'report-bber-tcm-fe':'REPORT_BBER_TCM_FE',
            'report-es-tcm-ne':'REPORT_ES_TCM_NE',
            'report-ses-tcm-ne':'REPORT_SES_TCM_NE',
            'report-uas-tcm-ne':'REPORT_UAS_TCM_NE',
            'report-bbe-tcm-ne':'REPORT_BBE_TCM_NE',
            'report-fc-tcm-ne':'REPORT_FC_TCM_NE',
            'report-esr-tcm-ne':'REPORT_ESR_TCM_NE',
            'report-sesr-tcm-ne':'REPORT_SESR_TCM_NE',
            'report-bber-tcm-ne':'REPORT_BBER_TCM_NE',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'OpticsReportEnum' : _MetaInfoEnum('OpticsReportEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'report-opt-min':'REPORT_OPT_MIN',
            'report-opr-min':'REPORT_OPR_MIN',
            'report-lbc-min':'REPORT_LBC_MIN',
            'report-lbc-pc-min':'REPORT_LBC_PC_MIN',
            'report-cd-min':'REPORT_CD_MIN',
            'report-dgd-min':'REPORT_DGD_MIN',
            'report-pmd-min':'REPORT_PMD_MIN',
            'report-osnr-min':'REPORT_OSNR_MIN',
            'report-pdl-min':'REPORT_PDL_MIN',
            'report-pcr-min':'REPORT_PCR_MIN',
            'report-pn-min':'REPORT_PN_MIN',
            'report-opt-max':'REPORT_OPT_MAX',
            'report-opr-max':'REPORT_OPR_MAX',
            'report-lbc-max':'REPORT_LBC_MAX',
            'report-lbc-pc-max':'REPORT_LBC_PC_MAX',
            'report-cd-max':'REPORT_CD_MAX',
            'report-dgd-max':'REPORT_DGD_MAX',
            'report-pmd-max':'REPORT_PMD_MAX',
            'report-osnr-max':'REPORT_OSNR_MAX',
            'report-pdl-max':'REPORT_PDL_MAX',
            'report-pcr-max':'REPORT_PCR_MAX',
            'report-pn-max':'REPORT_PN_MAX',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'GfpReportEnum' : _MetaInfoEnum('GfpReportEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'report-rx-bit-err':'REPORT_RX_BIT_ERR',
            'report-rx-inv-typ':'REPORT_RX_INV_TYP',
            'report-rx-crc':'REPORT_RX_CRC',
            'report-rx-lfd':'REPORT_RX_LFD',
            'report-rx-csf':'REPORT_RX_CSF',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'HoVcReportEnum' : _MetaInfoEnum('HoVcReportEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'report-eb':'REPORT_EB',
            'report-es':'REPORT_ES',
            'report-esr':'REPORT_ESR',
            'report-ses':'REPORT_SES',
            'report-sesr':'REPORT_SESR',
            'report-bbe':'REPORT_BBE',
            'report-bber':'REPORT_BBER',
            'report-uass':'REPORT_UASS',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'StmReportEnum' : _MetaInfoEnum('StmReportEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'report-ebs':'REPORT_EBS',
            'report-ess':'REPORT_ESS',
            'report-esrs':'REPORT_ESRS',
            'report-sess':'REPORT_SESS',
            'report-sesrs':'REPORT_SESRS',
            'report-bbes':'REPORT_BBES',
            'report-bbesr':'REPORT_BBESR',
            'report-uass':'REPORT_UASS',
            'report-ebl-ne':'REPORT_EBL_NE',
            'report-esl-ne':'REPORT_ESL_NE',
            'report-eslr-ne':'REPORT_ESLR_NE',
            'report-sesl-ne':'REPORT_SESL_NE',
            'report-sesrl-ne':'REPORT_SESRL_NE',
            'report-bbel-ne':'REPORT_BBEL_NE',
            'report-bberl-ne':'REPORT_BBERL_NE',
            'report-uasl-ne':'REPORT_UASL_NE',
            'report-ebl-fe':'REPORT_EBL_FE',
            'report-esl-fe':'REPORT_ESL_FE',
            'report-esrl-fe':'REPORT_ESRL_FE',
            'report-sesl-fe':'REPORT_SESL_FE',
            'report-sesrl-fe':'REPORT_SESRL_FE',
            'report-bbel-fe':'REPORT_BBEL_FE',
            'report-bberl-fe':'REPORT_BBERL_FE',
            'report-uasl-fe':'REPORT_UASL_FE',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'EtherThresholdEnum' : _MetaInfoEnum('EtherThresholdEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'thresh-rx-pkt':'THRESH_RX_PKT',
            'thresh-stat-pkt':'THRESH_STAT_PKT',
            'thresh-octet-stat':'THRESH_OCTET_STAT',
            'thresh-over-size-pkt':'THRESH_OVER_SIZE_PKT',
            'thresh-fcs-err':'THRESH_FCS_ERR',
            'thresh-long-frame-s':'THRESH_LONG_FRAME_S',
            'thresh-jabber-stats':'THRESH_JABBER_STATS',
            'thresh-64-octet':'THRESH_64_OCTET',
            'thresh-65-127-octet':'THRESH_65_127_OCTET',
            'thresh-128-255-octet':'THRESH_128_255_OCTET',
            'thresh-256-511-octet':'THRESH_256_511_OCTET',
            'thresh-512-1023-octet':'THRESH_512_1023_OCTET',
            'thresh-1024-1518-octet':'THRESH_1024_1518_OCTET',
            'thresh-in-ucast':'THRESH_IN_UCAST',
            'thresh-in-mcast':'THRESH_IN_MCAST',
            'thresh-in-bcast':'THRESH_IN_BCAST',
            'thresh-out-ucast':'THRESH_OUT_UCAST',
            'thresh-out-mcast':'THRESH_OUT_MCAST',
            'thresh-out-bcast':'THRESH_OUT_BCAST',
            'thresh-tx-pkt':'THRESH_TX_PKT',
            'thresh-ifin-error-s':'THRESH_IFIN_ERROR_S',
            'thresh-ifin-octets':'THRESH_IFIN_OCTETS',
            'thresh-ether-stat-multicast-pkt':'THRESH_ETHER_STAT_MULTICAST_PKT',
            'thresh-ether-stat-broadcast-pkt':'THRESH_ETHER_STAT_BROADCAST_PKT',
            'thresh-ether-stat-under-size-d-pkt':'THRESH_ETHER_STAT_UNDER_SIZE_D_PKT',
            'thresh-out-octet':'THRESH_OUT_OCTET',
            'thresh-in-pause-frame':'THRESH_IN_PAUSE_FRAME',
            'thresh-in-go-od-bytes':'THRESH_IN_GO_OD_BYTES',
            'thresh-in-802-1q-frame-s':'THRESH_IN_802_1Q_FRAME_S',
            'thresh-in-pkts-1519-max-octets':'THRESH_IN_PKTS_1519_MAX_OCTETS',
            'thresh-in-go-od-pkts':'THRESH_IN_GO_OD_PKTS',
            'thresh-in-drop-overrun':'THRESH_IN_DROP_OVERRUN',
            'thresh-in-drop-abort':'THRESH_IN_DROP_ABORT',
            'thresh-in-drop-invalid-vlan':'THRESH_IN_DROP_INVALID_VLAN',
            'thresh-in-drop-invalid-dmac':'THRESH_IN_DROP_INVALID_DMAC',
            'thresh-in-drop-invalid-encap':'THRESH_IN_DROP_INVALID_ENCAP',
            'thresh-in-drop-other':'THRESH_IN_DROP_OTHER',
            'thresh-in-mib-giant':'THRESH_IN_MIB_GIANT',
            'thresh-in-mib-jabber':'THRESH_IN_MIB_JABBER',
            'thresh-in-mib-crc':'THRESH_IN_MIB_CRC',
            'thresh-in-error-collision-s':'THRESH_IN_ERROR_COLLISION_S',
            'thresh-in-error-symbol':'THRESH_IN_ERROR_SYMBOL',
            'thresh-out-go-od-bytes':'THRESH_OUT_GO_OD_BYTES',
            'thresh-out-802-1q-frame-s':'THRESH_OUT_802_1Q_FRAME_S',
            'thresh-out-pause-frame-s':'THRESH_OUT_PAUSE_FRAME_S',
            'thresh-out-pkts-1519-max-octets':'THRESH_OUT_PKTS_1519_MAX_OCTETS',
            'thresh-out-go-od-pkts':'THRESH_OUT_GO_OD_PKTS',
            'thresh-out-drop-under-run':'THRESH_OUT_DROP_UNDER_RUN',
            'thresh-out-drop-abort':'THRESH_OUT_DROP_ABORT',
            'thresh-out-drop-other':'THRESH_OUT_DROP_OTHER',
            'thresh-out-error-other':'THRESH_OUT_ERROR_OTHER',
            'thresh-in-error-giant':'THRESH_IN_ERROR_GIANT',
            'thresh-in-error-runt':'THRESH_IN_ERROR_RUNT',
            'thresh-in-error-jabbers':'THRESH_IN_ERROR_JABBERS',
            'thresh-in-error-fragments':'THRESH_IN_ERROR_FRAGMENTS',
            'thresh-in-error-other':'THRESH_IN_ERROR_OTHER',
            'thresh-in-pkt-64-octet':'THRESH_IN_PKT_64_OCTET',
            'thresh-in-pkts-65-127octets':'THRESH_IN_PKTS_65_127OCTETS',
            'thresh-in-pkts-128-255-octets':'THRESH_IN_PKTS_128_255_OCTETS',
            'thresh-in-pkts-256-511-octets':'THRESH_IN_PKTS_256_511_OCTETS',
            'thresh-in-pkts-512-1023-octets':'THRESH_IN_PKTS_512_1023_OCTETS',
            'thresh-in-pkts-1024-1518-octets':'THRESH_IN_PKTS_1024_1518_OCTETS',
            'thresh-out-pkt-64-octet':'THRESH_OUT_PKT_64_OCTET',
            'thresh-out-pkts-65-127octets':'THRESH_OUT_PKTS_65_127OCTETS',
            'thresh-out-pkts-128-255-octets':'THRESH_OUT_PKTS_128_255_OCTETS',
            'thresh-out-pkts-256-511-octets':'THRESH_OUT_PKTS_256_511_OCTETS',
            'thresh-out-pkts-512-1023-octets':'THRESH_OUT_PKTS_512_1023_OCTETS',
            'thresh-out-pkts-1024-1518-octets':'THRESH_OUT_PKTS_1024_1518_OCTETS',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'FecThresholdEnum' : _MetaInfoEnum('FecThresholdEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'thresh-ec-bits':'THRESH_EC_BITS',
            'thresh-uc-words':'THRESH_UC_WORDS',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'StsReportEnum' : _MetaInfoEnum('StsReportEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'report-cv':'REPORT_CV',
            'report-es':'REPORT_ES',
            'report-ses':'REPORT_SES',
            'report-uas':'REPORT_UAS',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'OtnReportEnum' : _MetaInfoEnum('OtnReportEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'report-es-sm-ne':'REPORT_ES_SM_NE',
            'report-ses-sm-ne':'REPORT_SES_SM_NE',
            'report-uas-sm-ne':'REPORT_UAS_SM_NE',
            'report-bbe-sm-ne':'REPORT_BBE_SM_NE',
            'report-fc-sm-ne':'REPORT_FC_SM_NE',
            'report-esr-sm-ne':'REPORT_ESR_SM_NE',
            'report-sesr-sm-ne':'REPORT_SESR_SM_NE',
            'report-bber-sm-ne':'REPORT_BBER_SM_NE',
            'report-es-pm-ne':'REPORT_ES_PM_NE',
            'report-ses-pm-ne':'REPORT_SES_PM_NE',
            'report-uas-pm-ne':'REPORT_UAS_PM_NE',
            'report-bbe-pm-ne':'REPORT_BBE_PM_NE',
            'report-fc-pm-ne':'REPORT_FC_PM_NE',
            'report-esr-pm-ne':'REPORT_ESR_PM_NE',
            'report-sesr-pm-ne':'REPORT_SESR_PM_NE',
            'report-bber-pm-ne':'REPORT_BBER_PM_NE',
            'report-es-sm-fe':'REPORT_ES_SM_FE',
            'report-ses-sm-fe':'REPORT_SES_SM_FE',
            'report-uas-sm-fe':'REPORT_UAS_SM_FE',
            'report-bbe-sm-fe':'REPORT_BBE_SM_FE',
            'report-fc-sm-fe':'REPORT_FC_SM_FE',
            'report-esr-sm-fe':'REPORT_ESR_SM_FE',
            'report-sesr-sm-fe':'REPORT_SESR_SM_FE',
            'report-bber-sm-fe':'REPORT_BBER_SM_FE',
            'report-es-pm-fe':'REPORT_ES_PM_FE',
            'report-ses-pm-fe':'REPORT_SES_PM_FE',
            'report-uas-pm-fe':'REPORT_UAS_PM_FE',
            'report-bbe-pm-fe':'REPORT_BBE_PM_FE',
            'report-fc-pm-fe':'REPORT_FC_PM_FE',
            'report-esr-pm-fe':'REPORT_ESR_PM_FE',
            'report-sesr-pm-fe':'REPORT_SESR_PM_FE',
            'report-bber-pm-fe':'REPORT_BBER_PM_FE',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'OcnThresholdEnum' : _MetaInfoEnum('OcnThresholdEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'thresh-sefss':'THRESH_SEFSS',
            'thresh-cvs':'THRESH_CVS',
            'thresh-ess':'THRESH_ESS',
            'thresh-sess':'THRESH_SESS',
            'thresh-cvl-ne':'THRESH_CVL_NE',
            'thresh-esl-ne':'THRESH_ESL_NE',
            'thresh-sesl-ne':'THRESH_SESL_NE',
            'thresh-uasl-ne':'THRESH_UASL_NE',
            'thresh-fcl-ne':'THRESH_FCL_NE',
            'thresh-fcl-fe':'THRESH_FCL_FE',
            'thresh-cvl-fe':'THRESH_CVL_FE',
            'thresh-esl-fe':'THRESH_ESL_FE',
            'thresh-sesl-fe':'THRESH_SESL_FE',
            'thresh-uasl-fe':'THRESH_UASL_FE',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'StmThresholdEnum' : _MetaInfoEnum('StmThresholdEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'thresh-ebs':'THRESH_EBS',
            'thresh-ess':'THRESH_ESS',
            'thresh-esrs':'THRESH_ESRS',
            'thresh-sess':'THRESH_SESS',
            'thresh-sesrs':'THRESH_SESRS',
            'thresh-bbes':'THRESH_BBES',
            'thresh-bbesr':'THRESH_BBESR',
            'thresh-uass':'THRESH_UASS',
            'thresh-ebl-ne':'THRESH_EBL_NE',
            'thresh-esl-ne':'THRESH_ESL_NE',
            'thresh-eslr-ne':'THRESH_ESLR_NE',
            'thresh-sesl-ne':'THRESH_SESL_NE',
            'thresh-sesrl-ne':'THRESH_SESRL_NE',
            'thresh-bbel-ne':'THRESH_BBEL_NE',
            'thresh-bberl-ne':'THRESH_BBERL_NE',
            'thresh-uasl-ne':'THRESH_UASL_NE',
            'thresh-ebl-fe':'THRESH_EBL_FE',
            'thresh-esl-fe':'THRESH_ESL_FE',
            'thresh-esrl-fe':'THRESH_ESRL_FE',
            'thresh-sesl-fe':'THRESH_SESL_FE',
            'thresh-sesrl-fe':'THRESH_SESRL_FE',
            'thresh-bbel-fe':'THRESH_BBEL_FE',
            'thresh-bberl-fe':'THRESH_BBERL_FE',
            'thresh-uasl-fe':'THRESH_UASL_FE',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'OcnReportEnum' : _MetaInfoEnum('OcnReportEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'report-sefss':'REPORT_SEFSS',
            'report-cvs':'REPORT_CVS',
            'report-ess':'REPORT_ESS',
            'report-sess':'REPORT_SESS',
            'report-cvl-ne':'REPORT_CVL_NE',
            'report-esl-ne':'REPORT_ESL_NE',
            'report-sesl-ne':'REPORT_SESL_NE',
            'report-uasl-ne':'REPORT_UASL_NE',
            'report-fcl-ne':'REPORT_FCL_NE',
            'report-fcl-fe':'REPORT_FCL_FE',
            'report-cvl-fe':'REPORT_CVL_FE',
            'report-esl-fe':'REPORT_ESL_FE',
            'report-sesl-fe':'REPORT_SESL_FE',
            'report-uasl-fe':'REPORT_UASL_FE',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'EtherReportEnum' : _MetaInfoEnum('EtherReportEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'report-rx-pkt':'REPORT_RX_PKT',
            'report-stat-pkt':'REPORT_STAT_PKT',
            'report-octet-stat':'REPORT_OCTET_STAT',
            'report-over-size-pkt':'REPORT_OVER_SIZE_PKT',
            'report-fcs-err':'REPORT_FCS_ERR',
            'report-long-frame-s':'REPORT_LONG_FRAME_S',
            'report-jabber-stats':'REPORT_JABBER_STATS',
            'report-64-octet':'REPORT_64_OCTET',
            'report-65-127-octet':'REPORT_65_127_OCTET',
            'report-128-255-octet':'REPORT_128_255_OCTET',
            'report-256-511-octet':'REPORT_256_511_OCTET',
            'report-512-1023-octet':'REPORT_512_1023_OCTET',
            'report-1024-1518-octet':'REPORT_1024_1518_OCTET',
            'report-in-ucast':'REPORT_IN_UCAST',
            'report-in-mcast':'REPORT_IN_MCAST',
            'report-in-bcast':'REPORT_IN_BCAST',
            'report-out-ucast':'REPORT_OUT_UCAST',
            'report-out-mcast':'REPORT_OUT_MCAST',
            'report-out-bcast':'REPORT_OUT_BCAST',
            'report-tx-pkt':'REPORT_TX_PKT',
            'report-ifin-error-s':'REPORT_IFIN_ERROR_S',
            'report-ifin-octets':'REPORT_IFIN_OCTETS',
            'report-ether-stat-multicast-pkt':'REPORT_ETHER_STAT_MULTICAST_PKT',
            'report-ether-stat-broadcast-pkt':'REPORT_ETHER_STAT_BROADCAST_PKT',
            'report-ether-stat-under-size-d-pkt':'REPORT_ETHER_STAT_UNDER_SIZE_D_PKT',
            'report-out-octet':'REPORT_OUT_OCTET',
            'report-in-pause-frame':'REPORT_IN_PAUSE_FRAME',
            'report-in-go-od-bytes':'REPORT_IN_GO_OD_BYTES',
            'report-in-802-1q-frame-s':'REPORT_IN_802_1Q_FRAME_S',
            'report-in-pkts-1519-max-octets':'REPORT_IN_PKTS_1519_MAX_OCTETS',
            'report-in-go-od-pkts':'REPORT_IN_GO_OD_PKTS',
            'report-in-drop-overrun':'REPORT_IN_DROP_OVERRUN',
            'report-in-drop-abort':'REPORT_IN_DROP_ABORT',
            'report-in-drop-invalid-vlan':'REPORT_IN_DROP_INVALID_VLAN',
            'report-in-drop-invalid-dmac':'REPORT_IN_DROP_INVALID_DMAC',
            'report-in-drop-invalid-encap':'REPORT_IN_DROP_INVALID_ENCAP',
            'report-in-drop-other':'REPORT_IN_DROP_OTHER',
            'report-in-mib-giant':'REPORT_IN_MIB_GIANT',
            'report-in-mib-jabber':'REPORT_IN_MIB_JABBER',
            'report-in-mib-crc':'REPORT_IN_MIB_CRC',
            'report-in-error-collision-s':'REPORT_IN_ERROR_COLLISION_S',
            'report-in-error-symbol':'REPORT_IN_ERROR_SYMBOL',
            'report-out-go-od-bytes':'REPORT_OUT_GO_OD_BYTES',
            'report-out-802-1q-frame-s':'REPORT_OUT_802_1Q_FRAME_S',
            'report-out-pause-frame-s':'REPORT_OUT_PAUSE_FRAME_S',
            'report-out-pkts-1519-max-octets':'REPORT_OUT_PKTS_1519_MAX_OCTETS',
            'report-out-go-od-pkts':'REPORT_OUT_GO_OD_PKTS',
            'report-out-drop-under-run':'REPORT_OUT_DROP_UNDER_RUN',
            'report-out-drop-abort':'REPORT_OUT_DROP_ABORT',
            'report-out-drop-other':'REPORT_OUT_DROP_OTHER',
            'report-out-error-other':'REPORT_OUT_ERROR_OTHER',
            'report-in-error-giant':'REPORT_IN_ERROR_GIANT',
            'report-in-error-runt':'REPORT_IN_ERROR_RUNT',
            'report-in-error-jabbers':'REPORT_IN_ERROR_JABBERS',
            'report-in-error-fragments':'REPORT_IN_ERROR_FRAGMENTS',
            'report-in-error-other':'REPORT_IN_ERROR_OTHER',
            'report-in-pkt-64-octet':'REPORT_IN_PKT_64_OCTET',
            'report-in-pkts-65-127octets':'REPORT_IN_PKTS_65_127OCTETS',
            'report-in-pkts-128-255-octets':'REPORT_IN_PKTS_128_255_OCTETS',
            'report-in-pkts-256-511-octets':'REPORT_IN_PKTS_256_511_OCTETS',
            'report-in-pkts-512-1023-octets':'REPORT_IN_PKTS_512_1023_OCTETS',
            'report-in-pkts-1024-1518-octets':'REPORT_IN_PKTS_1024_1518_OCTETS',
            'report-out-pkt-64-octet':'REPORT_OUT_PKT_64_OCTET',
            'report-out-pkts-65-127octets':'REPORT_OUT_PKTS_65_127OCTETS',
            'report-out-pkts-128-255-octets':'REPORT_OUT_PKTS_128_255_OCTETS',
            'report-out-pkts-256-511-octets':'REPORT_OUT_PKTS_256_511_OCTETS',
            'report-out-pkts-512-1023-octets':'REPORT_OUT_PKTS_512_1023_OCTETS',
            'report-out-pkts-1024-1518-octets':'REPORT_OUT_PKTS_1024_1518_OCTETS',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'PathThresholdEnum' : _MetaInfoEnum('PathThresholdEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'thresh-cv':'THRESH_CV',
            'thresh-es':'THRESH_ES',
            'thresh-ses':'THRESH_SES',
            'thresh-uas':'THRESH_UAS',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
    'PathReportEnum' : _MetaInfoEnum('PathReportEnum', 'ydk.models.pmengine.Cisco_IOS_XR_pmengine_cfg',
        {
            'report-cv':'REPORT_CV',
            'report-es':'REPORT_ES',
            'report-ses':'REPORT_SES',
            'report-uas':'REPORT_UAS',
        }, 'Cisco-IOS-XR-pmengine-cfg', _yang_ns._namespaces['Cisco-IOS-XR-pmengine-cfg']),
}
