##############################################################
#                                                            #
#  This sample script shows basic script dialog with router  #
#                                                            #
#                                                            #
#  Copyright Laszlo Frank (c) 2016                           #
#                                                            #
##############################################################

# Perform any action only when Terminal is connected to a device
if Session.IsConnected:
  # Enter configuration mode
  Session.SendText("conf t")
  # Send a command without checking actual prompt and memorize the
  # number of the terminal line in which the command was issued.
  line = Session.SendText("crypto key generate rsa")
  # Check for prompt yes/no, as the router might ask us to overwrite existing keys 
  # WaitForText starts scannig the response from the given line number until the last ternminal line.
  foundInLine = Session.WaitForPrompt(3, "#", "yes/no", line)
  if foundInLine > -1:
    # As the yes/no was thrown, answer yes and
    line = Session.SendText("yes")
    
  # Wait for the keyword "modulus" in the response
  Session.WaitForPrompt(10, "#", "modulus", line)
  # Now send the key length
  line = Session.SendText("2048")
  # Now wait for the prompt.
  # In contrast to WaitForText, WaitForPrompt always checks the prompt in the last terinal line.
  Session.WaitForPrompt(30, "#", "")