<?xml version="1.0" standalone="yes"?>
<vScriptDS xmlns="http://tempuri.org/vScriptDS.xsd">
  <vScriptCommands>
    <vsID>0</vsID>
    <CommandID>11ba7bfb-7f99-4a0c-bf6c-50234c97a413</CommandID>
    <Name>CheckSession</Name>
    <DisplayLabel />
    <Commands />
    <MainCode>SessionOK = type(Session) == type(PGT.NetconfTerminal)
if SessionOK : YDKServices.Open()</MainCode>
    <Origin_X>178</Origin_X>
    <Origin_Y>10</Origin_Y>
    <Size_Width>124</Size_Width>
    <Size_Height>50</Size_Height>
    <isStart>false</isStart>
    <isStop>false</isStop>
    <isSimpleCommand>false</isSimpleCommand>
    <isSimpleDecision>false</isSimpleDecision>
    <Variables>SessionOK = False</Variables>
    <Break>false</Break>
    <ExecPolicy>After</ExecPolicy>
    <CustomCodeBlock />
    <DemoMode>false</DemoMode>
    <Description />
    <WatchVariables />
    <Initializer />
  </vScriptCommands>
  <vScriptCommands>
    <vsID>1</vsID>
    <CommandID>97cc654e-27df-4114-85d5-1f41f846c712</CommandID>
    <Name>NTP</Name>
    <DisplayLabel />
    <Commands />
    <MainCode />
    <Origin_X>349</Origin_X>
    <Origin_Y>90</Origin_Y>
    <Size_Width>124</Size_Width>
    <Size_Height>50</Size_Height>
    <isStart>false</isStart>
    <isStop>false</isStop>
    <isSimpleCommand>false</isSimpleCommand>
    <isSimpleDecision>false</isSimpleDecision>
    <Variables>ntp = None
ntp_module = None
peerVrfName = ""
peerIpv4Address = ""</Variables>
    <Break>false</Break>
    <ExecPolicy>After</ExecPolicy>
    <CustomCodeBlock>def Init(self):
  """
Create NTP object and set required parameters
  """
  from ydk.models.ip import Cisco_IOS_XR_ip_ntp_cfg as xr_ip_ntp_cfg
  self.ntp_module = xr_ip_ntp_cfg
  self.ntp = xr_ip_ntp_cfg.Ntp()
  
def Configure(self):
  """
Configure NTP object according to attributes
  """
  peer_vrf = self.ntp.peer_vrfs.PeerVrf()
  peer_vrf.vrf_name = self.peerVrfName
  peer_ipv4 = peer_vrf.peer_ipv4s.PeerIpv4()
  peer_ipv4.address_ipv4 = self.peerIpv4Address
  peer_type_ipv4 = peer_ipv4.PeerTypeIpv4()
  peer_type_ipv4.peer_type = self.ntp_module.NtpPeerEnum.SERVER
  peer_ipv4.peer_type_ipv4.append(peer_type_ipv4)
  peer_vrf.peer_ipv4s.peer_ipv4.append(peer_ipv4)
  self.ntp.peer_vrfs.peer_vrf.append(peer_vrf)</CustomCodeBlock>
    <DemoMode>false</DemoMode>
    <Description>Encapsulates ydk.models.ip.Cisco_IOS_XR_ip_ntp_cfg class</Description>
    <WatchVariables>;Session</WatchVariables>
    <Initializer>Init</Initializer>
  </vScriptCommands>
  <vScriptCommands>
    <vsID>2</vsID>
    <CommandID>dc307008-94d4-4134-a6bb-f772b7ff3bfe</CommandID>
    <Name>SystemTime</Name>
    <DisplayLabel />
    <Commands />
    <MainCode />
    <Origin_X>164</Origin_X>
    <Origin_Y>170</Origin_Y>
    <Size_Width>124</Size_Width>
    <Size_Height>50</Size_Height>
    <isStart>false</isStart>
    <isStop>false</isStop>
    <isSimpleCommand>false</isSimpleCommand>
    <isSimpleDecision>false</isSimpleDecision>
    <Variables>ydk_entity = None</Variables>
    <Break>false</Break>
    <ExecPolicy>After</ExecPolicy>
    <CustomCodeBlock>def Init(self):
  """
Create ShellUtil_Oper object
  """
  from ydk.models.shellutil import Cisco_IOS_XR_shellutil_oper as xr_shellutil_oper 
  self.ydk_entity = xr_shellutil_oper.SystemTime()
  
def Configure(self):
  """
Configure object as required
  """
  pass</CustomCodeBlock>
    <DemoMode>false</DemoMode>
    <Description>Encapsulates ydk.models.shellutilCisco_IOS_XR_shellutil_oper.SystemTime object</Description>
    <WatchVariables />
    <Initializer>Init</Initializer>
  </vScriptCommands>
  <vScriptCommands>
    <vsID>3</vsID>
    <CommandID>08fb5f46-540c-4951-a418-28ba3520b3ce</CommandID>
    <Name>YDKServices</Name>
    <DisplayLabel />
    <Commands />
    <MainCode />
    <Origin_X>318</Origin_X>
    <Origin_Y>170</Origin_Y>
    <Size_Width>120</Size_Width>
    <Size_Height>50</Size_Height>
    <isStart>false</isStart>
    <isStop>false</isStop>
    <isSimpleCommand>false</isSimpleCommand>
    <isSimpleDecision>false</isSimpleDecision>
    <Variables>_Provider = None
_CRUD = None</Variables>
    <Break>false</Break>
    <ExecPolicy>After</ExecPolicy>
    <CustomCodeBlock>def InitService(self):
  global Session
  self._Provider = PGTNetconfServiceProvider(Session)
  self._CRUD = CRUDService()
  
def Shutdown(self):
  self._Provider.close()
  
def Read(self, entity):
   return self._CRUD.read(self._Provider, entity)
   
def Create(self, entity):
  return self._CRUD.create(self._Provider, entity)
  
def Update(self, entity):
  self._CRUD.update(self._Provider, entity)
  
def Delete(self, entity):
  self._CRUD.delete(self._Provider, entity)</CustomCodeBlock>
    <DemoMode>false</DemoMode>
    <Description>A general YDK helper class to manages core YDK services.</Description>
    <WatchVariables />
    <Initializer />
  </vScriptCommands>
  <vScriptCommands>
    <vsID>4</vsID>
    <CommandID>ae776331-8319-4e57-b567-612c876eb77b</CommandID>
    <Name>RouterStatic</Name>
    <DisplayLabel />
    <Commands />
    <MainCode />
    <Origin_X>10</Origin_X>
    <Origin_Y>170</Origin_Y>
    <Size_Width>124</Size_Width>
    <Size_Height>50</Size_Height>
    <isStart>false</isStart>
    <isStop>false</isStop>
    <isSimpleCommand>false</isSimpleCommand>
    <isSimpleDecision>false</isSimpleDecision>
    <Variables>ydk_entity = None</Variables>
    <Break>false</Break>
    <ExecPolicy>After</ExecPolicy>
    <CustomCodeBlock>def Init(self):
  """
Create RouterStatic object
  """
  from ydk.models.ip import Cisco_IOS_XR_ip_static_cfg as xr_ip_static_cfg
  self.ydk_entity = xr_ip_static_cfg.RouterStatic()
  
def Configure(self):
  """
Configure object as required
  """
  pass</CustomCodeBlock>
    <DemoMode>false</DemoMode>
    <Description>Encapsulates Cisco_IOS_XR_ip_static_cfg object in ydk.models.shellutil</Description>
    <WatchVariables />
    <Initializer>Init</Initializer>
  </vScriptCommands>
  <vScriptCommands>
    <vsID>5</vsID>
    <CommandID>a91090cc-1326-4c68-93e6-6f4d83163cbe</CommandID>
    <Name>GetVersion_CS</Name>
    <DisplayLabel>Get version</DisplayLabel>
    <Commands>sh version</Commands>
    <MainCode>VersionInfo = CommandResult.Split(Environment.NewLine.ToCharArray(), StringSplitOptions.RemoveEmptyEntries);
if (VersionInfo.Length &gt;0)
{
  VersionLine1 = VersionInfo[0];
  VersionLine1Sections = VersionLine1.Split(',');
  if (VersionLine1Sections.Length &gt; 1) ActionResult += VersionLine1Sections[1] + ";";
}
else ActionResult += "Unknown version;";</MainCode>
    <Origin_X>685</Origin_X>
    <Origin_Y>10</Origin_Y>
    <Size_Width>138</Size_Width>
    <Size_Height>50</Size_Height>
    <isStart>false</isStart>
    <isStop>false</isStop>
    <isSimpleCommand>false</isSimpleCommand>
    <isSimpleDecision>false</isSimpleDecision>
    <Variables>string[] VersionInfo;
string VersionLine1;
string[] VersionLine1Sections;</Variables>
    <Break>false</Break>
    <ExecPolicy>After</ExecPolicy>
    <CustomCodeBlock />
    <DemoMode>false</DemoMode>
    <Description>Get Cisco router version</Description>
    <WatchVariables />
    <Initializer />
  </vScriptCommands>
  <vScriptCommands>
    <vsID>6</vsID>
    <CommandID>be4adc09-f292-40f9-9911-d154b3d08215</CommandID>
    <Name>GetVLANS_CS_C830</Name>
    <DisplayLabel />
    <Commands>sh vlan-switch</Commands>
    <MainCode>CommandLines = CommandResult.Split("\r\n".ToCharArray(), StringSplitOptions.RemoveEmptyEntries);
if (CommandLines.Length &gt; 2) 
{
	VLAN1Details = CommandLines[2].Split(", ".ToCharArray(), StringSplitOptions.RemoveEmptyEntries);
	string interfaceList = "";
	for(int i = VLAN1Details.Length - 1; i &gt; 2; i--) interfaceList += VLAN1Details[i] + "-";
	interfaceList = interfaceList.Trim('-');
	ActionResult +=  "VLAN1 is " + VLAN1Details[2] + " on " + interfaceList + ";";
}</MainCode>
    <Origin_X>178</Origin_X>
    <Origin_Y>90</Origin_Y>
    <Size_Width>141</Size_Width>
    <Size_Height>50</Size_Height>
    <isStart>false</isStart>
    <isStop>false</isStop>
    <isSimpleCommand>false</isSimpleCommand>
    <isSimpleDecision>false</isSimpleDecision>
    <Variables>string[] CommandLines;
string[] VLAN1Details;
string s;</Variables>
    <Break>false</Break>
    <ExecPolicy>After</ExecPolicy>
    <CustomCodeBlock />
    <DemoMode>false</DemoMode>
    <Description>Get switch-vlans from Cisco 800 series routers</Description>
    <WatchVariables />
    <Initializer />
  </vScriptCommands>
  <vScriptCommands>
    <vsID>7</vsID>
    <CommandID>a91090cc-1326-4c68-93e6-6f4d83163cbe</CommandID>
    <Name>GetVersion_Py</Name>
    <DisplayLabel>Get version</DisplayLabel>
    <Commands>sh version</Commands>
    <MainCode>global ScriptError

_versions = [ n.strip(" ") for n in GetVersion.aCommandResult if n.startswith("Cisco") ]
self.CiscoVersionInfo = [ v.strip(" ")  for v in _versions[0].split(",")]
#Calculate IOS version numbers
_IOSVersion = self.CiscoVersionInfo[2]
_IOSVersionNumber = _IOSVersion.split(" ")[1]
_IOSSubVersionNumbers = re.findall(r"[\w']+", _IOSVersionNumber)
self.IOSMajorRelease = _IOSSubVersionNumbers[0]
self.IOSMinorRelease = _IOSSubVersionNumbers[1]
self.IOSMaintenanceNumber = _IOSSubVersionNumbers[2]
self.IOSTrainID = _IOSSubVersionNumbers[3]
# Calculate Router HW version
_HWVersionInfo = [ v for v in _versions[1].strip(" ").split(" ")]
self.HWVersion = _HWVersionInfo[0] + " " + _HWVersionInfo[1]
self.Is857 = self.HWVersion == "Cisco 857"
self.Is867VAE = self.HWVersion == "Cisco 867VAE-K9" or self.HWVersion == "Cisco 867VAE"
self.Is877 = self.HWVersion == "Cisco 877"

ScriptError = ScriptError | self.ExecError

</MainCode>
    <Origin_X>10</Origin_X>
    <Origin_Y>90</Origin_Y>
    <Size_Width>138</Size_Width>
    <Size_Height>50</Size_Height>
    <isStart>false</isStart>
    <isStop>false</isStop>
    <isSimpleCommand>false</isSimpleCommand>
    <isSimpleDecision>false</isSimpleDecision>
    <Variables>CiscoVersionInfo = []
IOSMajorRelease = ""
IOSMinorRelease = ""
IOSMaintenanceNumber = ""
IOSTrainID = ""
HWVersion = ""
Is857 = False
Is877 = False
Is867VAE = False</Variables>
    <Break>false</Break>
    <ExecPolicy>After</ExecPolicy>
    <CustomCodeBlock />
    <DemoMode>false</DemoMode>
    <Description>Get extended router version from a Cisco router</Description>
    <WatchVariables />
    <Initializer />
  </vScriptCommands>
  <vScriptCommands>
    <vsID>8</vsID>
    <CommandID>77bb3bb2-46c4-4b9b-ad12-00a1d311bc0b</CommandID>
    <Name>ReloadSchedule_Py</Name>
    <DisplayLabel>Schedule reload</DisplayLabel>
    <Commands />
    <MainCode># Send a command without checking actual prompt and memorize the
# number of the terminal line in which the command was issued.
line = Session.SendText("reload in 30")
# Wait for the keyword "confirm" or "yes/no" in the response, after line number memorized earlier
# If the "yes/no" keyword was detected, the returned prompt index will be 1001 (1000 + index of prompt)
promptIndex = Session.WaitForPrompt(20, "#", "confirm;[yes/no]:", line)
if promptIndex == 1001:
  # Send "no" as we do not want to save the modified configurtion yet
  line = Session.SendText("no")
  promptIndex = Session.WaitForPrompt(20, "#", "confirm", line)
  line = Session.SendText("") 
  
elif promptIndex == 1000:
  line = Session.SendText("") 

# Otherwise send ENTER to confirm command
line = Session.SendText("") 
  
# Wait for the keyword "***" in the response. 
Session.WaitForText(20, "***", line)
# Send ENTER to gain back prompt
Session.SendText("")
# Now wait for the prompt.
Session.WaitForPrompt(20, "#", "")</MainCode>
    <Origin_X>663</Origin_X>
    <Origin_Y>90</Origin_Y>
    <Size_Width>130</Size_Width>
    <Size_Height>50</Size_Height>
    <isStart>false</isStart>
    <isStop>false</isStop>
    <isSimpleCommand>false</isSimpleCommand>
    <isSimpleDecision>false</isSimpleDecision>
    <Variables />
    <Break>false</Break>
    <ExecPolicy>After</ExecPolicy>
    <CustomCodeBlock />
    <DemoMode>false</DemoMode>
    <Description>Schedules automatic reload in10 minutes</Description>
    <WatchVariables />
    <Initializer />
  </vScriptCommands>
  <vScriptCommands>
    <vsID>9</vsID>
    <CommandID>db000b06-23f1-42c3-971d-07e541071435</CommandID>
    <Name>ReloadCancel_Py</Name>
    <DisplayLabel>Cancel reload</DisplayLabel>
    <Commands />
    <MainCode>line = Session.SendText("reload cancel")
# Wait for the text "***". 
Session.WaitForText(10, "***", line)
Session.SendText("")
Session.WaitForPrompt(10, "#", "")</MainCode>
    <Origin_X>503</Origin_X>
    <Origin_Y>90</Origin_Y>
    <Size_Width>130</Size_Width>
    <Size_Height>50</Size_Height>
    <isStart>false</isStart>
    <isStop>false</isStop>
    <isSimpleCommand>false</isSimpleCommand>
    <isSimpleDecision>false</isSimpleDecision>
    <Variables />
    <Break>false</Break>
    <ExecPolicy>After</ExecPolicy>
    <CustomCodeBlock />
    <DemoMode>false</DemoMode>
    <Description>Cancel scheduled reload operation on a Cisco router</Description>
    <WatchVariables />
    <Initializer />
  </vScriptCommands>
  <vScriptCommands>
    <vsID>10</vsID>
    <CommandID>a562e438-cd16-4734-b870-c4ac98ad8e2c</CommandID>
    <Name>CreateSSHKey_Py</Name>
    <DisplayLabel />
    <Commands>sh crypto key mypubkey rsa</Commands>
    <MainCode>global ActionResult
global ConnectionDropped
global ScriptSuccess
global DeviceConnectionInfo
global BreakExecution
global ScriptExecutor
global Session

keyExists = len(self.CommandResult) &gt; 0
Session.ExecCommand("conf t","#")
if keyExists:
 line = Session.SendText("crypto key zeroize rsa")
 Session.WaitForPrompt(10, "#", "yes/no", line)
 line = Session.SendText("yes")

Session.ExecCommand("ip domain name xian","#")
# Send a command without checking actual prompt and memorize the
# number of the terminal line in which the command was issued.
line = Session.SendText("crypto key generate rsa")
# Check for prompt yes/no, as the router might ask us to overwrite existing keys 
# WaitForText starts scannig the response from the given line number until the last ternminal line.
foundInLine = Session.WaitForText(3, "yes/no", line)
if foundInLine &gt; -1:
  # As the yes/no was thrown, answer yes and
  line = Session.SendText("yes")
  
# Wait for the text "modulus" in the response
Session.WaitForPrompt(10, "#", "modulus", line)
# Now send the key length
line = Session.SendText("2048")
# Now wait for the prompt.
# In contrast to WaitForText, WaitForPrompt always checks the prompt in the last terinal line.
Session.WaitForPrompt(60, "#", "")
Session.ExecCommand("exit","#")</MainCode>
    <Origin_X>332</Origin_X>
    <Origin_Y>10</Origin_Y>
    <Size_Width>130</Size_Width>
    <Size_Height>50</Size_Height>
    <isStart>false</isStart>
    <isStop>false</isStop>
    <isSimpleCommand>false</isSimpleCommand>
    <isSimpleDecision>false</isSimpleDecision>
    <Variables />
    <Break>false</Break>
    <ExecPolicy>After</ExecPolicy>
    <CustomCodeBlock />
    <DemoMode>false</DemoMode>
    <Description>Create a new SSH key using an interactive script.
This is necessary in a separate command element due to playing with prompt
which is supported only using Terminal.WaitForText() and WaitForPrompt() respectively.</Description>
    <WatchVariables />
    <Initializer />
  </vScriptCommands>
  <vScriptCommands>
    <vsID>11</vsID>
    <CommandID>160d6aa9-8148-4aed-8653-3b96ce1447ee</CommandID>
    <Name>Check3AConfig_Py</Name>
    <DisplayLabel>Check AAA config</DisplayLabel>
    <Commands>sh run | s aaa</Commands>
    <MainCode>global ActionResult
global ConnectionDropped
global ScriptSuccess
global ConnectionInfo
global BreakExecution
global ScriptExecutor
global Session
global ScriptError

if ConnectionInfo.Command != "AAAOK":
  if self.aCommandResult[len(self.aCommandResult)-1] == "" : self.aCommandResult.RemoveAt(len(self.aCommandResult)-1)
  self.AAAConfigOK = XIANHelper.CompareLists(self.aCommandResult, self.OldAAATemplate)
  ScriptError = ScriptError | self.ExecError
else:
  self.AAAConfigOK = True
</MainCode>
    <Origin_X>10</Origin_X>
    <Origin_Y>10</Origin_Y>
    <Size_Width>138</Size_Width>
    <Size_Height>50</Size_Height>
    <isStart>false</isStart>
    <isStop>false</isStop>
    <isSimpleCommand>false</isSimpleCommand>
    <isSimpleDecision>false</isSimpleDecision>
    <Variables>AAAConfigOK = False
OldAAATemplate = [\
"aaa new-model",\
"aaa authentication login default group tacacs+ enable",\
"aaa authentication enable default group tacacs+ enable",\
"aaa authorization console",\
"aaa authorization exec default group tacacs+ none ",\
"aaa authorization commands 15 default group tacacs+ none ",\
"aaa accounting exec default start-stop group tacacs+",\
"aaa accounting commands 15 default start-stop group tacacs+",\
"aaa accounting connection default start-stop group tacacs+",\
"aaa session-id common"\
]
</Variables>
    <Break>false</Break>
    <ExecPolicy>After</ExecPolicy>
    <CustomCodeBlock />
    <DemoMode>false</DemoMode>
    <Description>Check if the current AAA config on device confirms to a default template.</Description>
    <WatchVariables>;lines;OldAAATemplate</WatchVariables>
    <Initializer />
  </vScriptCommands>
  <vScriptCommands>
    <vsID>12</vsID>
    <CommandID>bcd2db07-d049-47c3-b03b-f61e9b274690</CommandID>
    <Name>GetIPHelperAddresses_Py</Name>
    <DisplayLabel>Get ip helper-addresses</DisplayLabel>
    <Commands />
    <MainCode>global ActionResult
global ConnectionDropped
global ScriptSuccess
global DeviceConnectionInfo
global BreakExecution
global ScriptExecutor
global Session

import re

ActionResult = "ip helper not found"

result = Session.ExecCommand("sh ip int brief","#")
commandResult = result[0]
timedout = result[1]
if not timedout:
  for thisLine in commandResult.splitlines():
    ifList = filter(None, thisLine.split(" "))
    if ifList[4] == "up" and ifList[5] == "up":
      ifName = ifList[0]
      result = Session.ExecCommand("sh run int {0}".format(ifName), "#")
      ifconfig = result[0]
      timedout = result[1]
      if not timedout:
        helperAddresses = re.findall(r'ip helper-address.*',ifconfig)
        if len(helperAddresses) &gt; 0:
          for s in helperAddresses:
            address = filter(None, s.split(" "))[2]
            InterfacesWithHelperAddress.append([ifName, address])</MainCode>
    <Origin_X>492</Origin_X>
    <Origin_Y>10</Origin_Y>
    <Size_Width>163</Size_Width>
    <Size_Height>50</Size_Height>
    <isStart>false</isStart>
    <isStop>false</isStop>
    <isSimpleCommand>false</isSimpleCommand>
    <isSimpleDecision>false</isSimpleDecision>
    <Variables>InterfacesWithHelperAddress = []</Variables>
    <Break>false</Break>
    <ExecPolicy>After</ExecPolicy>
    <CustomCodeBlock />
    <DemoMode>false</DemoMode>
    <Description>Get all interface with ip-helper address specified from a Cisco router</Description>
    <WatchVariables />
    <Initializer />
  </vScriptCommands>
  <Parameters>
    <ScriptName>new_vScript</ScriptName>
    <GlobalCode />
    <BreakPolicy>After</BreakPolicy>
    <CustomNameSpaces />
    <CustomReferences />
    <DebuggingAllowed>false</DebuggingAllowed>
    <LogFileName />
    <WatchVariables />
    <Language>CS</Language>
    <IsTemplate>false</IsTemplate>
    <IsRepository>true</IsRepository>
  </Parameters>
</vScriptDS>